function y = quantize(x,n)
% y = quantize(x,n)
% Der Vektor x wird im Bereich -1,...,+1 limitiert und
% entsprechend einer Reprsentation in n Bit quantisiert.
% Der Ausgabevektor y enthlt quantisierte real-Zahlen.
% Im Fall  n = 1  sind die Komponenten von y aus [-1  +1]
% Lage der Quantisierungsniveaus: quantize ohne Parameter aufrufen!

% Autor: Klaus von der Heide;  e-mail:  v.d.heide@on-line.de

if nargin<1 
   x = -1.5:0.001:1.5;
   figure
   plot(x,[quantize(x,1);quantize(x,2);quantize(x,3);quantize(x,4)])
   xlabel('Input')
   ylabel('Output')
   legend('n = 1','n = 2','n = 3','n = 4',2)
   break
end

if nargin<2  n = 24; end

if n==1  y = 2*(x>0) - 1; break; end

y = max(-2^(n-1),min(2^(n-1)-1,floor(x*2^(n-1)+0.5)))*2^(1-n);
