function [g,d] = suchkode(n,k,c,mt)
% [g,d] = suchkode(n,k,c,mt)
% Suche nach linearen (n,k)-Randomkodes mit maximalem Abstand.
% n,k :  Kodeparameter
% c   :  Dichte der Einsen (0<c<1).
% mt  :  nach mt Sekunden soll die Berechnung abgebrochen werden

t0 = clock;
d = 0;
while etime(clock,t0)<mt
   gn = rand([k,n])<c;
   if minabst(gn)>d
      dn = codedist(gn);
      if dn>d
         d = dn
         g = gn;
      end
   end
end