function addtrellisdiag(hndl,n,q,ta,za,d,c,step)
% addtrellisdiag(hndl,n,q,ta,za,d,c,step)
% Addition eines Pfades im Trellis-Diagramms, das mit 
% hndl = trellisdiag(n,q,...) erzeugt wurde.
% n,q : die selben Werte wie bei trellisdiag
% ta :  Spalte in der der Pfad beginnen soll
% za :  Anfangszustand des Pfades {0..(q^n)-1}
% d  :  Datenfolge fr den neuen Pfad
% c  :  Color fr den neuen Pfad

% Autor: Klaus von der Heide, v.d.heide@on-line.de

% Konstanten
% ==========
m  = q^n;              % Trellis-Tiefe
td = floor(0.13*m + 0.5*q); % Skalierung der Schritt-Achse
r  = 1/4;              % Kreisradius
lw2= 3.0;              % LineWidth fr neue Transitionen
cl2= c;                % Color fr neue Transitionen
tn = ta + length(d)-1; % Trellis-Lnge (neuer Pfad)

figure(hndl(1));       % FigureHandle
ah = hndl(2);          % AxesHandle

% Zeichnen der neuen Transitionen
% ===============================
if nargin>2
   z  = za;            % Anfangszustand
   zz = num2basvec(z,q,n); % Anfangs-Zustandsvektor
   for t=ta-1:tn-1     % Schritt
      if nargin>7      % schrittweise darstellen
         if (t-1)*td > m  set(ah,'xlim',get(ah,'xlim')+td); end
         pause;
      end
      nz = basvec2num([d(t-ta+2),zz(1:n-1)],q); % nchster Zustand
      drawarr([t*td,m-z-1],[(t+1)*td,m-nz-1],cl2,lw2,0,r,r)
      z  = nz;         % Takt: nchster Zustand wird Zustand
      zz = num2basvec(z,q,n); % dieser als Vektor
   end
end
