function x = binomialvert(k,n,p)
% x = binomialvert(k,n,p)
% Binomialverteilung  (n ber k) * p^k * (1-p)^(n-k)
% Fr n>52 wird die Verteilung approximiert, und zwar
% durch eine Gaussverteilung, wenn  n*p>3, Andernfalls
% erfolgt eine Approximation durch die Poisson-Verteilung.

% K. v. d. Heide,  e-mail:  v.d.heide@on-line.de

if n>52
   if n*p<3
      x = ((n*p)^k)/prod(1:k) * exp(-n*p);
   elseif n*(1-p)<3
      x = ((n*(1-p))^(n-k))/prod(1:(n-k)) * exp(-n*(1-p));
   else
      np = n*p;
      h  = 2*np*(1-p); 
      h  = max(h,eps);
      x  = 1/sqrt(pi*h) * exp(-((k-np).^2)/h);
   end
else
   x = binko(n,k) * p^k * (1-p)^(n-k);   
end