function  z = convgf(x,y,gf)
% z = convgf(x,y,gf)
% Die Vektoren x aus GF(q)^m und y aus GF(q)^n werden gefaltet 
% zum Vektor z aus GF(q)^(m+n-1).
%
% x, y :  Vektoren mit Elementen aus GF(q), die durch die natrlichen 
%         Zahlen  1 ... q  reprsentiert werden.
%         Das Eins-Element der Addition (die sog. Null) ist 1,
%         das Eins-Element der Multiplikation (die sog. Eins) ist 2. 
%
% gf   :  Struktur zur Definition eines endlichen Krpers.
%         Benutzt werden die Felder gf.mul und gf.add, 
%         die die Multiplikations- und Additionstabellen enthalten.
%
% z    :  Faltung von x und y, Reprsentation wie x und y.

% K. v. d. Heide,  e-mail:  v.d.heide@on-line.de

lx = length(x);
ly = length(y);
z  = ones(1,lx+ly-1);
for i=1:lx
   for j=1:ly
      k = i + j -1;
      z(k) = gf.add(z(k),gf.mul(x(i),y(j))); 
   end
end