function  costasgraph
% costasgraph zeichnet das Blockschema einer Costas Loop 
% fr die Trgerregelung bei ASK und PSK. 

%  Autor:  K. v. d. Heide,  e-mail:  v.d.heide@on-line.de
%
lw = 1.5;               % LineWidth
fs = 18;                % FontSize
if screen==1  fs = 14; end
cf = 0.8*[1 1 1];       % Fllfarbe
cl = 'k';               % Linienfarbe
spl= 2;                 % Pfeilspitzenlnge
r  = 3;                 % Kreisradius
h = fullscreen('Costas Loop');
axis([0,130,0,70]); 
set(gca,'Visible','off','Position',[0 0.1 1 0.75])

drawsq([60, 0],10,cf,'TP',fs);
drawsq([60,30],10,cf,'VCO',fs);
drawsq([60,60],10,cf,'TP',fs);
drawsq([40,45],10,cf,'90',fs);
drawsq([80,30],10,cf,'Filter',fs);

drawccir([45, 5],r,cf,'',fs+4);
drawccir([45,65],r,cf,'',fs+4);
drawccir([105,35],r,cf,'',fs+4);

drawarr([ 0, 5],[45, 5],cl,lw,spl,0,r);
drawarr([20,65],[45,65],cl,lw,spl,0,r);
drawarr([45,35],[45,45],cl,lw,spl,0,0);
drawarr([45,35],[45, 5],cl,lw,spl,0,r);
drawarr([45,55],[45,65],cl,lw,spl,0,r);
drawarr([45,65],[60,65],cl,lw,spl,r,0);
drawarr([45, 5],[60, 5],cl,lw,spl,r,0);
drawarr([70, 5],[130,5],cl,lw,spl,0,0);
drawarr([105,5],[105,35],cl,lw,spl,0,r);
drawarr([105,65],[105,35],cl,lw,spl,0,r);
drawarr([105,35],[90,35],cl,lw,spl,r,0);
drawarr([80,35],[70,35],cl,lw,spl,0,0);

line([20,20],[ 5,65],'Color',cl,'LineWidth',lw)
line([45,60],[35,35],'Color',cl,'LineWidth',lw)
line([70,105],[65,65],'Color',cl,'LineWidth',lw)

text(7,8,'Input','FontSize',fs)
text(84.5,8,'demoduliertes  Signal','FontSize',fs)
text(8,75,'Costas-Loop zur Trgerregelung und Demodulation von ASK und 2PSK','FontSize',fs+3)
