function x = demanchester(y)
% x = demanchester(y)
% Umkehrung der Manchester-Kodierung:
% Jedes Bitpaar 0 1 wird ersetzt durch 0
% Jedes Bitpaar 1 0 wird ersetzt durch 1

if mod(length(y),2) 
   y1 = y(1:length(y)-1); 
else y1 = y;
end
z1 = reshape(y1,2,length(y1)/2);
nz1= sum(xor(z1(1,:),z1(2,:)));

if mod(length(y),2) 
   y2 = y(2:length(y)); 
else
   y2 = y(2:length(y)-1);
end
z2 = reshape(y2,2,length(y2)/2);
nz2= sum(xor(z2(1,:),z2(2,:)));
if nz1>nz2 
   x = z1(1,:);
   x(find(z1(1,:)==z1(2,:))) = NaN;
else
   x = z2(1,:);
   x(find(z2(1,:)==z2(2,:))) = NaN;
end   
