function subr = demultiplex(r, dimension, alpha, puncture);
% copywright 1997, Yufei Wu

% at receiver, serial to paralle demultiplex to get the code word of each
% encoder
% dimension: number of encoder/decoder; 
% alpha: interleaver map 
% puncture = 1: rate increase from 1/(1+dimension) to 1/2;
% puncture = -1; unpunctured, rate = 1/(1+dimension);

if puncture < 0
  L_total = length(r)/(1+dimension);
  for i = 1:L_total  
      x_sys(i) = r((1+dimension)*(i-1)+1);
      for j = 1:dimension
          subr(j,2*i) = r((1+dimension)*(i-1)+1+j);
      end
   end
else
   L_total = length(r)/2;
   for i = 1:L_total
       x_sys(i) = r(2*(i-1)+1);
       for j = 1:dimension
          subr(j,2*i) = 0;
       end   
       if rem(i,dimension)>0
          subr(rem(i,dimension),2*i) = r(2*i);
       else
          subr(dimension,2*i) = r(2*i);
       end      
   end
end       

% interleave the systematic bits  
for dim = 1:dimension
    for j = 1:L_total
        subr(dim,2*(j-1)+1) = x_sys(alpha(dim,j));
    end 
end    
