function [x,y] = diophant(a)
% [x,y] = diophant(a)
% lst die diophantische Gleichung 
% x(1)/a(1) + x(2)/a(2) + ... + x(n)/a(n) = y + 1/prod(a)
% fr natrliche Zahlen a(k), x(k), y  fr natrliche  n .
% Alle a(k1), a(k2) mssen fr k1 ~= k2 teilerfremd und >1 sein. 
% Beispiel:
% a=[13 17 19 23 29 31], [x,y]=diophant(a), z=prod(a), mod(sum(z*x./a),z)
% Der letzte ausgegebene Wert ist die Probe.  Er muss 1 sein.  Im Falle 
% nicht gegenseitig teilerfremder Elemente von a ist das nicht der Fall.

% Autor: Klaus von der Heide, e-mail:  v.d.heide@on-line.de

p = prod(a);
if p>2^52  error('diophant:  prod(a) ist zu gross'); end
for k=1:length(a)
   z  = p/a(k);
   [g,u,v] = gcd(a(k),z);
   x(k) = mod(v,a(k));
end
y = sum(x./a) - 1/p;