% Concatenierung von Faltungskodes mit harter Entscheidung:
% das ergibt ganz schlechte Kodes!

% Konstanten
% ==========
EbN0 = 3                       % Eb/N0 in dB
n  = 1000                      % Anzahl Informationsbits
g1 = faltpoly(2,10)            % innerer Kode
g2 = faltpolygross(5)          % usserer Kode
[r1,c1] = size(g1);            % Parameter des inneren Kodes
[r2,c2] = size(g2);            % Parameter des usseren Kodes
u  = randb(n);                 % zufllige Information

% Kodierung
% =========
x  = faltcode(u,g1,1);         % inneres Kodewort
y  = 2*faltcode(x,g2,1) - 1;   % usseres Kodewort

% Kanalsimulation
% ===============
z  = add_awgn(y,1/(r1*r2),EbN0);

% Dekodierung
% ===========
[w,f] = viterbi2(g2,z);        % usserer Kode
v  = viterbi(g1,(2*w-1).*f/r2);% innerer Kode

% Prfung
% =======
%f1 = sum(u~=v)
v
f2 = sum(x~=w)
