function g = faltpolygross(cl,modus)
% g = faltpolygross(cl,modus)
% liefert spezielle Polynome fr Faltungskodes:
% 
% modus = 0 :  smtliche Binrmuster der Lnge cl, 
%              die eine 1 an Anfang und Ende haben
% modus = 1 :  wie bei modus = 0, jedoch nur die Muster, deren 
%              Anzahl von Einsen grsser als floor(cl/2) ist.
% modus = 2 :  wie bei modus = 0, jedoch nur Muster mit m Einsen,
%              wo  m = floor(cl/2)  oder  m = floor(cl/2) + 1.

% Autor:  Klaus von der Heide, e-mail:  v.d.heide@on-line.de

if nargin<2  modus = 0; end
if nargin<1     cl = 9; end 
switch modus
   case 0
      g = [ones(2^(cl-2),1), num2binmat((0:2^(cl-2)-1)',cl-2), ones(2^(cl-2),1)];
   case 1
      g = [ones(2^(cl-2),1), num2binmat((0:2^(cl-2)-1)',cl-2), ones(2^(cl-2),1)];
      g = g(sum(g')>floor(cl/2),:);
   case 2
      g = [ones(2^(cl-2),1), num2binmat((0:2^(cl-2)-1)',cl-2), ones(2^(cl-2),1)];
      clh = floor(cl/2);
      a = sum(g');
      g = g((a==clh)|(a==clh+1),:);
end