function  faltstruktur
% faltstruktur zeichnet die Struktur eines Faltungscodierers.

% K. v. d. Heide,  e-mail:  v.d.heide@on-line.de
%
fh = fullscreen('Faltungskodierer');
axis([-60,140,0,150]); axis off
set(gca,'Position',[0.02 0.1 0.98 1])
sqrpos = [-5,95;15,95;35,95;70,95];
cirpos = [5,50;25,65;45,80;85,95];
von  = [-60,95;5,95;25,95;45,95;0,95;20,95;40,95;60,95;75,95;89,95;...
        95,50;85,65;80,80;5,40;25,55;45,70;85,105;106,95];
nach = [-10,95;5,54;25,69;45,84;10,95;30,95;50,95;65,95;81,95;100,95;...
        100,95;100,95;100,95;5,50;25,65;45,80;85,95;140,95];
sr   = [zeros(1,9),6*ones(1,4),4*ones(1,7)];
linx = [9,95;29,85;49,80];
liny = [50,50;65,65;80,80];
tx   = [7,27,47,87,-60,110];
ty   = [43,58,73,102,100,100];
ttxt = {'p(1)';'p(2)';'p(3)';'p(k)';'Informationsbits';'Kodebits'};
ssqr = size(sqrpos);
scir = size(cirpos);
sarr = size(von);
slin = size(linx);
drawccir([100,95],6,'w','+',25);
line([50,60],[95,95],'lineWidth',2,'Color','k','LineStyle',':')
for k = 1:ssqr(1) drawcsq(sqrpos(k,:),10,'w','T',20); end
for k = 1:scir(1) drawccir(cirpos(k,:),4,'w','X',14); end
for k = 1:sarr(1) drawarr(von(k,:),nach(k,:),'k',2,3,0,sr(k)); end
for k = 1:slin(1) line(linx(k,:),liny(k,:),'lineWidth',2,'Color','k'); end
for k = 1:length(tx) set(text(tx(k),ty(k),ttxt{k}),'FontSize',15); end
set(text(-2,115,'Status-Schieberegister'),'FontSize',20)
set(text(10,20,'Faltungs-Kodierer'),'FontSize',25)
if screen<2  fs = 13; else fs = 14; end
set(text(-40,5,...
   '+  und  X  bedeuten  XOR  bzw. AND  sowie  T  Verzgerung um eine Stelle'),...
   'FontSize',fs)

