function f = fmaxkomp(x,fu,fo)
% f = fmaxkomp(x,fu,fo)
% Bestimmung der Frequenz maximaler Amplitude im
% Signalvektor x. f ist relativ zur Abtastfrequenz.
% Mit fu und fo kann der Suchbereich fr f eingeschrnkt 
% werden auf fu <= f <= fo.

if nargin<3  fo = 0.5; end
if nargin<2  fu = 0.0; end

lx1 = length(x) - 1;
ftx = abs(fft(x));
ix  = find(max(ftx(floor(fu*lx1+1):floor(fo*lx1+1)))==ftx);
f   = ix(1)/lx1;
