function fsksignalplot(baud,freq)
% fsksignalplot(baud,freq)
% zeichnet im Zeitbereich eines Schrittes Sinuswellen der 
% Frequenzen freq.

% K. v. d. Heide,  e-mail:  v.d.heide@on-line.de

if nargin<2  freq = [980 1180]; end
if nargin<1  baud = 300; end

fsiz = 13;                        % FontSize
fh = fullscreen('FSK-Signale');
n  = 512;                         % Anzahl der Zeitpunkte des Diagramms
t  = (0:n)/n/baud;                % Zeitbereich
lf = length(freq);                % Anzahl der Frequenzen
c  = 'kbgrcym';                   % Farben fr die Linien
while lf>length(c) c = [c c]; end % Farben periodisch
for k=1:lf  line(t,sin(2*pi*freq(k)*t),'Color',c(k),'lineWidth',1.5); end
line([0 1/baud],[0 0],'Color',0.7*[1 1 1])
title('FSK-Signale eines Schrittes','FontSize',fsiz)
axis([0 1/baud -1.2 +1.2]); axis off