function fehler = fsktest(ebn0db,f0,baud,hub,bits,bild)
% fehler = fsktest(ebn0db,f0,baud,hub,bits)
% bertrgt die Datenbbits bits byteweise nach v.21 bei
% additiven weissen Rauschen mit Eb/No = ebn0db [dB]
% Defaults :  V.21 FSK-Modem, Trger 1080 Hz, 300 Bd, Hub 100 Hz
% 45 Baud RTTY: fsktest(0,0.125,0.005626,0.0106)

% Autor: Klaus von der Heide, e-mail:  v.d.heide@on-line.de

if nargin<5  bits = randb(32);end 
if nargin<4    hub = 0.0125;  end
if nargin<3   baud = 0.0375;  end
if nargin<2     f0 = 0.135;   end
if nargin<1 ebn0db = 6;       end
if nargout bild = 0; else bild = 1; end
if nargout vor = 100; else vor = 0; end
signal = add_awgn(fsktx(2*bits-1,f0,baud,hub,vor),1,ebn0db); 
fehler = sum(bits~=fskrx(signal,f0,baud,baud,bild));
signal = signal/max(abs(signal));
sound(signal,8000)