function x0 = hamming7_4(k)
%
% x0 = hamming7_4
% liefert die 16*7-Matrix aller Codewrter 
% des zyklischen systematischen (7,4)-Hammingcodes.
% Die Codewrter sind so angeordnet, dass die ersten 
% 4 Bits die Information = Zeilennummer darstellen.
%
% x0 = hamming7_4(k)
% liefert fr  0 <= k <= 15  und 
% fr Binrvektoren k der Lnge 4  das zugehrige 
% Codewort als Binrvektor.

% Autor: Klaus von der Heide, e-mail:  v.d.heide@on-line.de

cw = [0 0 0 0 0 0 0;
      0 0 0 1 0 1 1;
      0 0 1 0 1 1 0;
      0 0 1 1 1 0 1;
      0 1 0 0 1 1 1;
      0 1 0 1 1 0 0;
      0 1 1 0 0 0 1;
      0 1 1 1 0 1 0;
      1 0 0 0 1 0 1;
      1 0 0 1 1 1 0;
      1 0 1 0 0 1 1;
      1 0 1 1 0 0 0;
      1 1 0 0 0 1 0;
      1 1 0 1 0 0 1;
      1 1 1 0 1 0 0;
      1 1 1 1 1 1 1];
   
if nargin<1          x0 = cw;
elseif length(k)==4  x0 = cw(binvec2num(k)+1,:);
else                 x0 = cw(k+1,:);
end