function d = hammingdist(x,y)
% d = hammingdist(x,y)
% Hammingabstand der beiden Vektoren x und y.
% Sind x und y Matrizen, so ist d eine Matrix mit 
% d(i,j) = Hammingabstand der i-ten Spalte von x zur j-ten Spalte von y.

[xm,xn] = size(x);
[ym,yn] = size(y);
if xm~=ym  error('hammingdist: Die Spaltenlnge der Parameter muss gleich sein.'); end

for i=1:xn
   for j=1:yn
      d(i,j) = sum(x(:,i)~=y(:,j));
   end
end
