function  jt44ser
% jt44ser
% Berechnung und Darstellung der Symbolfehlerwahrscheinlichkeit 
% fr die 44-FSK  JT44.

% K. v. d. Heide,  e-mail:  v.d.heide@on-line.de

% Konstanten
% ==========
fsiz= 13;                          % FontSize
lw  = 1.5;                         % LineWidth
col  = 'b';                        % Farben
ebn0db = linspace(-2,10,1000);
x  = 66/135*10.^(ebn0db/10);       % 66 Symbol-Schritte vs. 69 Sync-Schritte 

% Symbolfehlerrate ber Eb/No
% ===========================
fh1 = fullscreen('SER','w');
line(ebn0db,1-(1-0.5*erfc(sqrt(0.5*x*log2(44)))).^(44-1),'LineWidth',lw,'Color',col)
set(gca,'YScale','log')
grid on
title('Symbolfehlerrate bei JT44','FontSize',fsiz)
xlabel('E_b/N_0 [dB]','FontSize',fsiz)
ylabel('Symbolfehlerwahrscheinlichkeit','FontSize',fsiz)
axis([ebn0db(1) ebn0db(end) 10^-5 1])
