function x = klammerzu(s,t)
% klammerzu(s,t)
% Im String s werden alle ffnenden und schliessenden Klammern 
% des Typs t gezhlt und fehlende schliessende Klammern angefgt.
%
%  s     :  String
%  t = 1 :  runde Klammer  ()
%  t = 2 :  eckige Klammer []
%  t = 3 :  geschweifte Klammer {}
% 
% Beispiel:
%  z = '{\fontname{Courier}nyquist';
%  y = klammerzu(z,3);
% liefert y = '{\fontname{Courier}nyquist}'

switch t
   case 1,  ta = '(';  tz = ')';
   case 2,  ta = '[';  tz = ']';
   case 3,  ta = '{';  tz = '}';
   otherwise error('keine definierte Klammer in klammerzu')
end
   
x = cat(2,s,char(ones(1,length(find(ta==s))-length(find(tz==s)))*tz));