function Loesung4a

load('lrkanal')
lkanal = interp([linker;kanal],2);
rkanal = interp([rechter;kanal],2);

beideplus = (lkanal')+(rkanal');
x = beideplus/max(abs(beideplus));

beideminus = (lkanal')-(rkanal');
y = beideminus/max(abs(beideminus));

% Defaults
% ========
f0 = 5000;
fs = 16000;
fsiz  = 14;
hlcol = 0.7*[1 1 1];
patchcol = 0.8*[1 1 1];

% AM
% --
hubAM = 1;
nx = length(x);

% FM
% --
hubFM = 0.5;
ny = length(y);

% Signalerzeugung
% ===============
t = (0:ny-1)/ny;                              % Zeitsegment
si(1) = y(1);
for k=2:length(t) si(k) = si(k-1) + y(k); end

% Modulation
% ----------
zErg = (1 + hubAM*x) .* (cos(2*pi*(f0.*t+hubFM*si)));

% Demodulation
% ------------
% AM
xc = real2analyt(zErg);
xdm = abs(xc) - 0.5;

% FM
ph = unwrap(angle(xc));
ydm = [0 diff(ph)] - 2*pi*f0/fs;

% Darstellung
% -----------

fh = fullscreen('Loesung 4a');
subplot(5,1,1);                               % 1. Bild
plot(t,x); line([0 1],[0 0],'LineStyle',':','Color',hlcol);
set(gca,'XLim',[0,1]); axis off
if ischar(y) title(y,'FontSize',fsiz); else title('Signal: L+R (fr AM-Modulation)','FontSize',fsiz); end

subplot(5,1,2);                               % 2. Bild
plot(t,y); line([0 1],[0 0],'LineStyle',':','Color',hlcol);
set(gca,'XLim',[0,1]); axis off
if ischar(y) title(y,'FontSize',fsiz); else title('Signal: L-R (fr FM-Modulation)','FontSize',fsiz); end

subplot(5,1,3);                               % 3. Bild
plot(t,zErg); line([0 1],[0 0],'LineStyle',':','Color',hlcol);
set(gca,'XLim',[0,1]); axis off
if ischar(y) title(y,'FontSize',fsiz); else title('Moduliertes Signal','FontSize',fsiz); end

subplot(5,1,4);                               % 4. Bild
plot(t,xdm); line([0 1],[0 0],'LineStyle',':','Color',hlcol);
set(gca,'XLim',[0,1]); axis off
if ischar(y) title(y,'FontSize',fsiz); else title('Demoduliertes-Signal: L+R (fr AM-Modulation)','FontSize',fsiz); end

subplot(5,1,5);                               % 5. Bild
plot(t,ydm); line([0 1],[0 0],'LineStyle',':','Color',hlcol);
set(gca,'XLim',[0,1]); axis off
if ischar(y) title(y,'FontSize',fsiz); else title('Demoduliertes-Signal: L-R (fr FM-Modulation)','FontSize',fsiz); end


