function lsg4a

load('lrkanal')
%lkanal = interp([linker;kanal],2);
lkanal = interp([linker],2);         % 2 = Macht aus 8k 16k
%rkanal = interp([rechter;kanal],2);
rkanal = interp([rechter],2);

% Signal-Erzeugung fr Modulation
% -------------------------------
beideplus = (lkanal')+(rkanal');
x = beideplus/max(abs(beideplus));

beideminus = (lkanal')-(rkanal');
if max(abs(beideminus)) > 0.5 
   y = beideminus/max(abs(beideminus));
else
   y = beideminus;
end


% Defaults
% ========
f0 = 5000;
fs = 16000;
fsiz  = 14;
hlcol = 0.7*[1 1 1];
patchcol = 0.8*[1 1 1];

% AM
% --
hubAM = 1;
nx = length(x);

% FM
% --
hubFM = 0.13;
ny = length(y);

% Signalerzeugung
% ===============
t = (0:nx-1)/nx;                              % Zeitsegment
si(1) = y(1);
for k=2:length(t) si(k) = si(k-1) + y(k); end

% Modulation
% ----------
zErg = (1 + hubAM*x) .* (cos(2*pi*(f0*t+hubFM*si)));

% Demodulation
% ------------
% AM
xc = real2analyt(zErg);
xdm = abs(xc) - 1;

% FM
ph = unwrap(angle(xc));
ydm = [diff(ph) 0] - 2*pi*f0/fs;


% Signal-Trennung

lneu = (xdm + ydm) / 2;
rneu = xdm - lneu;

% Darstellung
% -----------

fh = fullscreen('Loesung 4a - bertragung');
subplot(5,1,1);                               % 1. Bild
plot(t,x); line([0 1],[0 0],'LineStyle',':','Color',hlcol);
set(gca,'XLim',[0,1]); axis off
if ischar(y) title(y,'FontSize',fsiz); else title('Signal: L+R (fr AM-Modulation)','FontSize',fsiz); end

subplot(5,1,2);                               % 2. Bild
plot(t,y); line([0 1],[0 0],'LineStyle',':','Color',hlcol);
set(gca,'XLim',[0,1]); axis off
if ischar(y) title(y,'FontSize',fsiz); else title('Signal: L-R (fr FM-Modulation)','FontSize',fsiz); end

subplot(5,1,3);                               % 3. Bild
plot(t,zErg); line([0 1],[0 0],'LineStyle',':','Color',hlcol);
set(gca,'XLim',[0,1]); axis off
if ischar(y) title(y,'FontSize',fsiz); else title('Moduliertes Signal','FontSize',fsiz); end

subplot(5,1,4);                               % 4. Bild
plot(t,xdm); line([0 1],[0 0],'LineStyle',':','Color',hlcol);
set(gca,'XLim',[0,1]); axis off
if ischar(y) title(y,'FontSize',fsiz); else title('Demoduliertes-Signal: L+R (fr AM-Modulation)','FontSize',fsiz); end

subplot(5,1,5);                               % 5. Bild
plot(t,ydm); line([0 1],[0 0],'LineStyle',':','Color',hlcol);
%set(gca,'XLim',[0,1]); axis off
axis([0,1,-1 +1]); axis off
if ischar(y) title(y,'FontSize',fsiz); else title('Demoduliertes-Signal: L-R (fr FM-Modulation)','FontSize',fsiz); end


fh = fullscreen('Loesung 4a - Daten');
subplot(5,1,1);
plot(t,lkanal); line([0 1],[0 0],'LineStyle',':','Color',hlcol);
set(gca,'XLim',[0,1]); axis off
if ischar(y) title(y,'FontSize',fsiz); else title('Signal: L-Kanal (Send.)','FontSize',fsiz); end

subplot(5,1,2);
plot(t,lneu); line([0 1],[0 0],'LineStyle',':','Color',hlcol);
axis([0,1,-1 +1]); axis off
if ischar(y) title(y,'FontSize',fsiz); else title('Signal: L-Kanal (Empf.)','FontSize',fsiz); end

subplot(5,1,3);
plot(t,rkanal); line([0 1],[0 0],'LineStyle',':','Color',hlcol);
set(gca,'XLim',[0,1]); axis off
if ischar(y) title(y,'FontSize',fsiz); else title('Signal: R-Kanal (Send.)','FontSize',fsiz); end

subplot(5,1,4);
plot(t,rneu); line([0 1],[0 0],'LineStyle',':','Color',hlcol);
axis([0,1,-1 +1]); axis off
if ischar(y) title(y,'FontSize',fsiz); else title('Signal: R-Kanal (Empf.)','FontSize',fsiz); end

subplot(5,1,5);                             
plot(t,xdm); line([0 1],[0 0],'LineStyle',':','Color',hlcol);
set(gca,'XLim',[0,1]); axis off
if ischar(y) title(y,'FontSize',fsiz); else title('Signal: Mono (Empf.)','FontSize',fsiz); end


% Soundausgabe
% ------------
% Orig.
soundsc(lkanal,16000);
pause(1);
soundsc([zeros(size(rkanal)),rkanal],16000);
pause(2);
% Empf.
soundsc(xdm,16000);
pause(1);
soundsc(lneu,16000);
pause(1);
soundsc([zeros(size(rneu)),rneu],16000);