%
%
%10.  Matched Filter%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Wir betrachten zunchst das Schema eines additiv gestrten Kanals:
%
kanalgraph
%
% Die Symbolfolge  {\fontname{Courier}w}  wird durch ein Sendefilter SF in das Sendersignal  {\fontname{Courier}x}  gewandelt.  
% Der Empfnger erhlt das Signal   {\fontname{Courier}y = x + r}  , wo  {\fontname{Courier}r}  die Strung ist.   {\fontname{Courier}r}  sei als 
% Zufallsprozess angenommen mit bekannten statistischen Eigenschaften.  Zur Beschrnkung 
% der Strung auf den zum Empfang des Sendesignals  {\fontname{Courier}x}  erforderlichen Bereich des 
% Spektrums wird ein lineares Empfangsfilter EF verwendet.  Im Falle der Modulation liegt 
% das Sendefilter vor dem Modulator und das Empfangsfilter zwischen Demodulator und 
% Datenentscheider.  Wegen der unvermeidlichen Nichtlinearitten aller analogen Stufen 
% eines Empfngers muss das Spektrum an jeder Stelle mit Hilfe von Filtern so weit wie 
% mglich eingeschrnkt werden.  Mit dem Empfangsfilter ist das letzte (und schmalste) 
% Filter gemeint.
%
% Die Frage dieses Kapitels lautet nun:
%
% Gegeben sei die Form des Sendeimpulses, also die Impulsantwort des Sendefilters SF, 
% und gegeben seien die statistischen Eigenschaften der Strung  {\fontname{Courier}r}.  Mit welcher 
% Impulsantwort des Empfangsfilters wird das Signal/Rauschverhltnis  {\fontname{Courier}SNR}  von  {\fontname{Courier}z} optimal?
%
% Wir betrachten hier nur den einfachen Fall des weissen Rauschens.  Die statistischen 
% Eigenschaften sind also:
%
% (1)  {\fontname{Courier}r}  ist Gauss-verteilt.
% (2)  Die spektrale Leistungsdichte ist konstant gleich  {\fontname{Courier}N_0}  im Durchlassbereich des Empfangsfilters.
%
% Diese Bedingungen sind hufig erfllt.
%
% Offenbar gilt
%
%      y(t) = x(t) + r(t)   %<'FontName',MSVFORMFONT>
%
%      z(t) = y(t) \otimes h_e(t) = x(t) \otimes h_e(t) + r(t) \otimes h_e(t)   %<'FontName',MSVFORMFONT>
%
% {\fontname{Courier}h_e(t)}  ist die Impulsantwort des Empfangsfilters und  {\fontname{Courier}\otimes}  bedeutet Faltung.
%
% Das  SNR ist der Quotient der Leistungen von  {\fontname{Courier}x(t) \otimes h_e(t)}  und  {\fontname{Courier}r(t) \otimes h_e(t)}.
%
% Die Rauschleistung am Ausgang des Empfangsfilters, ist unter den gegebenen Annahmen 
% einfach zu berechnen, denn fr die Leistungsdichten  {\fontname{Courier}L_x(\omega)}  und  {\fontname{Courier}L_y(\omega)}  der Ein- 
% und Ausgabe eines linearen Filters mit der bertragungsfunktion H_e(\omega) gilt allgemein
%
%      L_y(\omega) = L_x(\omega) * {\fontsize{18}|}H(\omega){\fontsize{18}|}^2   %<'FontName',MSVFORMFONT>
%
% und damit fr die Leistung im gesamten Spektralbereich
%
%           +\infty  %<'FontName',MSVFORMFONT>
%      L_y =  _{\fontsize{24}\int}  L_x(\omega) {\fontsize{18}|}H(w){\fontsize{18}|}^2  d\omega   %<'FontName',MSVFORMFONT>
%           -\infty  %<'FontName',MSVFORMFONT>
%
% Mit der konstanten Leistungsdichte  {\fontname{Courier}N_0}  des Rauschens am Filtereingang 
% ist der Erwartungswert der Rauschleistung am Ausgang des Empfangsfilters
%
%               +\infty  %<'FontName',MSVFORMFONT>
%      L_n = N_0 * _{\fontsize{24}\int}  {\fontsize{18}|}H_e(\omega){\fontsize{18}|}^2  d\omega   %<'FontName',MSVFORMFONT>  
%               -\infty  %<'FontName',MSVFORMFONT>
%
% Die Signalleistung ist das Quadrat des Signals. Um aus der Faltung  {\fontname{Courier}x(t) \otimes he(t)}  
% eine Multiplikation zu machen, wird in den Frequenzbereich transformiert:
%
%               +\infty  %<'FontName',MSVFORMFONT>
%      L_s(t) = {\fontsize{18}|} _{\fontsize{24}\int}  X(\omega)*H_e(\omega)*exp(i\omegat) d\omega  / (2\pi) {\fontsize{18}|}^2   %<'FontName',MSVFORMFONT>
%               -\infty  %<'FontName',MSVFORMFONT> 
%
% Nun ist 
%
%      SNR = L_s(t)/L_n   %<'FontName',MSVFORMFONT>
%
% zu maximieren.
%
% Hierzu benutzt man die Schwarz'sche Ungleichung
%
% {\fontsize{18}|}_{\fontsize{24}\int} f(\omega)*g(\omega) d\omega{\fontsize{18}|}^2   \leq  (_{\fontsize{24}\int} {\fontsize{18}|}f(\omega){\fontsize{18}|}^2 d\omega) * _{\fontsize{24}\int} {\fontsize{18}|}g(\omega{\fontsize{18}|}^2 d\omega   %<'FontName',MSVFORMFONT>
%
% (wo alle Integrale bestimmte Integrale mit den selben Grenzen sind)  mit der Ersetzung  
%
%      f(\omega) = H_e(\omega)   %<'FontName',MSVFORMFONT>
%
%      g(\omega) = X(\omega)*exp(i\omegat)   %<'FontName',MSVFORMFONT>
%
% Das Gleichheitszeichen gilt in der Ungleichung fr 
%
%      f(\omega) = conj(g(\omega))   %<'FontName',MSVFORMFONT>
%
% Damit liegt das Maximum des SNR vor im Fall
%
%      H_e(\omega) = k * conj(X(\omega))*exp(-i\omegat)   %<'FontName',MSVFORMFONT>
%
% wo  {\fontname{Courier}k}  eine beliebige Konstante ist.
%
% Wir transformieren dies in den Zeitbereich  {\fontname{Courier}\tau} , um die Impulsantwort 
% des Empfangsfilters zu erhalten. Dabei wird die Beziehung
%
%      conj(X(\omega)) = X(-\omega)   %<'FontName',MSVFORMFONT>
%
% benutzt, die fr reelle  {\fontname{Courier}X}  gilt  (Integral jeweils von  -\infty bis +\infty):
%
%      h_e(\tau) = k/(2\pi) * _{\fontsize{24}\int} X(-\omega)*exp(-i\omegat)*exp(i\omega\tau) d\omega   %<'FontName',MSVFORMFONT>
%
%            = k/(2\pi) * _{\fontsize{24}\int} X(-\omega)*exp(i\omega(\tau - t)) d\omega   %<'FontName',MSVFORMFONT>
%
%            = k/(2\pi) * _{\fontsize{24}\int} X(u)*exp(i*u*(t - \tau)) du   %<'FontName',MSVFORMFONT>
%
%            = k/(2\pi) * x(t - \tau)   %<'FontName',MSVFORMFONT>
%
% Die Impulsantwort des optimalen Empfangsfilters fr einen Sendeimpuls  {\fontname{Courier}x(t)}  ist also eine 
% Spiegelung und Verschiebung von  {\fontname{Courier}x(t)}  in  {\fontname{Courier}t}.  Man nennt ein solches Empfangsfilter ein 
% angepasstes Filter oder neudeutsch matched filter.
%
% Das Gesamtverhalten von Sendefilter SF und Empfangsfilter EF zusammen ergibt sich als 
% Faltung der Impulsantworten im Zeitbereich.  Damit die Datenentscheidung im Falle der 
% digitalen Datenbertragung ohne Intersymbolinterferenz erfolgen kann, gehen wir davon 
% aus, dass das Gesamtfilter die Nyquist-Bedingung erfllt, die Impulsantwort also Nullstellen 
% hat an den Zeitpunkten benachbarter Datenentscheidungen.
%
%
% \bfBeispiele fr symmetrische Impulsformen
%
% Der bersichtlichkeit halber sind die Impulsantworten in den folgenden Bildern immer 
% in nicht-kausaler Form dargestellt.  In der Praxis haben die Filter immer eine dem 
% Filtergrad entsprechende zeitliche Verzgerung {\fontname{Courier}t}.
%
% \bf(A)  Rechteckimpuls:
%        Die Faltung des Rechtecks mit seiner Spiegelung ergibt einen Dreiecksimpuls. 
%        Die Realisierung eines Filters mit rechteckiger Impulsantwort entspricht einer 
%        Integration des Inputsignals ber die Breite des Rechtecks.  Im Falle des 
%        Rechteckimpulses ist es also optimal, das Empfangssignal  {\fontname{Courier}y}  einfach ber 
%        die ganze Schrittlnge zu integrieren.  Man nennt dies das Integrate-and-Dump-
%        Verfahren.
%
sr = 100;                               % Schritt in Abtastungen
x  = ones(1,sr);                        % Sendeimpuls
xx = [zeros(1,sr/2) x zeros(1,sr/2+1)]; % Zero-Padding
z  = conv(x,reverse(x));                % Faltung
zz = [z 0 0]/max(z);                    % Normierung
fh = fullscreen('Rechteck-Impuls');
plot((1:2*sr+1)/sr-1,[xx; zz]')
for k=1:sr:length(xx) line((k-1)/sr-1,xx(k),'Marker','o','Color','r','LineWidth',2); end
for k=1:sr:length(zz) line((k-1)/sr-1,zz(k),'Marker','o','Color','r','LineWidth',2); end
legend('Sendeimpuls','Impuls nach Empfangsfilter')
axis([-1.01 +1.01 -0.1 +1.1])
line(get(gca,'XLim'),[0 0],'LineStyle',':','Color',0.7*[1 1 1])
%
% \bf(B)  Sinc-Impuls:
%        Der Sinc-Impuls wird erzeugt mit einem idealen Tiefpass als Sendefilter.  Ein 
%        ebensolches wird als Empfangsfilter verwendet.  In diesem Sonderfall wird also 
%        das Nutzsignal  {\fontname{Courier}y(t)}  durch das Empfangsfilter berhaupt nicht verndert 
%        (ausser der Verschiebung in der Zeit). 
%
% \bf(C)  Raised-Cosine-Impuls:
%        Die Impulsantwort des angepassten Empangsfilters hat ebenfalls die Form des 
%        Raised-Cosine.  Der Impuls beim Datenentscheider ist also die Faltung des 
%        Raised-Cosine-Impulses mit sich selbst.  Wir stellen dies in MATLAB dar:
%
sr = 100;                           % Schritt in Abtastungen
x  = raisedcosine([0 1 0],sr);      % Sendeimpuls
xx = [zeros(1,sr) x zeros(1,sr-1)]; % Zero-Padding
z  = conv(x,reverse(x));            % Faltung
zz = z/max(z);                      % Normierung
fh = fullscreen('RC-Impuls');
plot((1:4*sr-1)/sr-2,[xx; zz]')
for k=sr:sr:length(xx) line(k/sr-2,xx(k),'Marker','o','Color','r','LineWidth',2); end
for k=sr:sr:length(zz) line(k/sr-2,zz(k),'Marker','o','Color','r','LineWidth',2); end
legend('Sendeimpuls','Impuls nach Empfangsfilter')
%
%        Offensichtlich gibt es beim Datenentscheider eine erhebliche Intersymbolinterferenz. 
%        Die Forderungen nach Intersymbolfreiheit und angepassten Filtern sind also nicht 
%        vereinbar mit dem Raised-Cosine-Impuls.
%
% \bf(D)  Wurzel-Kosinus-Roll-Off:
%        Die Forderung nach Intersymbolinterferenzfreiheit wird erfllt durch Filter, 
%        deren Impulsantwort eine gefensterte Sinc-Funktion ist.  Spezielle und weit 
%        verbreitete Filter dieser Art sind die schon im Abschnitt 6.5.5 behandelten 
%        Kosinus-Roll-Off-Filter.  Um am Datenentscheider eine entsprechende Impulsform 
%        vorzufinden muss das Gesamtfilter ein Kosinus-Roll-Off-Filter sein.  Sowohl 
%        Sendefilter wie auch Empfangsfilter sind dann sog. Wurzel-Kosinus-Roll-Off-Filter. 
%        Wie oben veranschaulichen wir dies in MATLAB:
%
sr = 10;                            % Schritt in Abtastungen
g  = 40;                            % Filtergrad
rf = 0.5;                           % Roll-Off-Faktor
b  = wcrfir(g,0.0825,rf);           % Koeffizienten des Filters
x  = b/max(b);                      % Sendeimpuls
xx = [zeros(1,g/2) x zeros(1,g/2)]; % Zero-Padding
z  = conv(x,reverse(x));            % Faltung
zz = z/max(z);                      % Normierung
fh = fullscreen('Cos-Roll-Off');
plot(((1:length(xx))-g-1)/sr,[xx; zz]')
for k=1:sr:length(xx) line((k-g-1)/sr,xx(k),'Marker','o','Color','b','LineWidth',2); end
for k=1:sr:length(zz) line((k-g-1)/sr,zz(k),'Marker','o','Color','r','LineWidth',2); end
legend('Sendeimpuls','Impuls nach Empfangsfilter')
axis([round(2/rf)*[-1 +1] -0.2 +1.1])
line(get(gca,'XLim'),[0 0],'LineStyle',':','Color',0.7*[1 1 1])
%
%        Ein weiteres Beispiel zum Wurzel-Kosinus-Roll-Off-Filter:
%
sr = 10;                            % Schritt in Abtastungen
g  = 200;                           % Filtergrad
rf = 0.25;                          % Roll-Off-Faktor
b  = wcrfir(g,0.0956,rf);           % Koeffizienten des Filters
x  = b/max(b);                      % Sendeimpuls
xx = [zeros(1,g/2) x zeros(1,g/2)]; % Zero-Padding
z  = conv(x,reverse(x));            % Faltung
zz = z/max(z);                      % Normierung
fh = fullscreen('Cos-Roll-Off');
plot(((1:length(xx))-g-1)/sr,[xx; zz]')
for k=1:sr:length(xx) line((k-g-1)/sr,xx(k),'Marker','o','Color','b','LineWidth',2); end
for k=1:sr:length(zz) line((k-g-1)/sr,zz(k),'Marker','o','Color','r','LineWidth',2); end
legend('Sendeimpuls','Impuls nach Empfangsfilter')
axis([round(2/rf)*[-1 +1] -0.2 +1.1])
line(get(gca,'XLim'),[0 0],'LineStyle',':','Color',0.7*[1 1 1])
%
%        Je kleiner der Roll-Off-Faktor wird, desto hnlicher wird der Sendeimpuls dem 
%        Sinc-Impuls und entsprechend das Filter eine Approximation des idealen Tiefpasses:
%
sr = 10;                            % Schritt in Abtastungen
g  = 800;                           % Filtergrad
rf = 0.025;                         % Roll-Off-Faktor
b  = wcrfir(g,0.0989,rf);           % Koeffizienten des Filters
x  = b/max(b);                      % Sendeimpuls
xx = [zeros(1,g/2) x zeros(1,g/2)]; % Zero-Padding
z  = conv(x,reverse(x));            % Faltung
zz = z/max(z);                      % Normierung
fh = fullscreen('Cos-Roll-Off');
plot(((1:length(xx))-g-1)/sr,[xx; zz]')
for k=1:sr:length(xx) line((k-g-1)/sr,xx(k),'Marker','o','Color','b','LineWidth',2); end
for k=1:sr:length(zz) line((k-g-1)/sr,zz(k),'Marker','o','Color','r','LineWidth',2); end
legend('Sendeimpuls','Impuls nach Empfangsfilter')
axis([20*[-1 +1] -0.25 +1.1])
line(get(gca,'XLim'),[0 0],'LineStyle',':','Color',0.7*[1 1 1])
%
%
% \bfBeispiele fr asymmetrische Impulsformen
%
% \bf(E)  Sinus-Impuls gefenstert mit Kosinus:
%
sr = 100;                                 % Schritt in Abtastungen
d  = 65;                                  % halbe Breite des Sendeimpulses
a  = pi*(-d:d)/(d+1);                     % Abtastungen
x  = sin(a).*(1+cos(a)); x = x/max(x);    % Sendeimpuls, Normierung
z  = conv(x,reverse(x)); z = z/max(z);    % Faltung,     Normierung
k  = 3*sr+1 - length(x);
xx = [zeros(1,floor(k/2)) x zeros(1,ceil(k/2))]; % Zero-Padding
k  = 3*sr+1 - length(z);
zz = [zeros(1,floor(k/2)) z zeros(1,ceil(k/2))]; % Zero-Padding
fh = fullscreen('Rechteck-Impuls');
plot((0:3*sr)/sr-1.5,[xx; zz]')
for k=sr/2+1:sr:length(xx) line((k-1)/sr-1.5,xx(k),'Marker','o','Color','r','LineWidth',2); end
for k=sr/2+1:sr:length(zz) line((k-1)/sr-1.5,zz(k),'Marker','o','Color','r','LineWidth',2); end
legend('Sendeimpuls','Impuls nach Empfangsfilter')
axis([-1.5 +1.5 -1.1 +1.1])
line(get(gca,'XLim'),[0 0],'LineStyle',':','Color',0.7*[1 1 1])
%
%        Offensichtlich hat auch dieser Impuls nach dem Empfangsfilter die gewnschten 
%        Eigenschaften, nmlich den Wert {\fontname{Courier}1} an der Abtaststelle und Nullstellen an allen 
%        anderen Abtaststellen.  Man beachte, dass der Sendeimpuls an allen Abtaststellen 
%        den Wert {\fontname{Courier}0} hat.  Jede Symbolfolge wird vor dem Empfangsfilter 
%        also Nullstellen an allen Abtastpunkten haben.  Das kann gut zur Synchronisation 
%        des Schritttaktes verwendet werden.  Tatschlich handelt es sich bei dieser 
%        Impulsform um eine geglttete Form des Manchester-Kodes.
%
% \bf(F)  Barker-Kode:
%
%        Barker-Kodes sind Binrvektoren der Elemente  {\fontname{Courier}-1},  {\fontname{Courier}+1}  mit minimaler Autokorrelation 
%        (ausser natrlich bei  {\fontname{Courier}0}).  Ein solcher Kode ist z.B.
%
b  = [+1 -1 +1 -1 +1 +1 -1 -1 +1 +1 +1 +1 +1];
n  = length(b); m = 100;
fh = fullscreen('Barker-Kode');
plot((1:m*n)/m,nfach(b,m))
axis([0 n -1.5 +1.5]); axis off
line(get(gca,'XLim'),[0 0],'LineStyle',':','Color',0.7*[1 1 1])
line((1:n)-0.5,zeros(1,n),'Marker','o','Color','r','LineStyle','none')
set(gca,'Position',[0 0 1 1])
if screen==1 set(fh,'Position',[0 500 800 100]); else set(fh,'Position',[4 625 1018 124]); end
%
%        Die diskrete Autokorrelationsfunktion ergibt sich zu
%
l = length(b);
x = fft(b);
y = ifft(x.*conj(x)/l);
a  = abs(y(1:l));
fh = fullscreen('AKF Barker');
plot(-l+1:l-1,[reverse(a) a(2:end)])
%
%        Wir betrachten nun diesen Barker-Kode als Sendeimpuls und nehmen der Forderung 
%        nach einem angepassten Filter den gespiegelten Kode als Impulsantwort des 
%        Empangsfilters.  Im Gegensatz zu allen vorangegangenen Beispielen nehmen wir 
%        hier eine kausale Darstellung:
%
b  = [+1 -1 +1 -1 +1 +1 -1 -1 +1 +1 +1 +1 +1]; % Barker-Kode
n  = length(b);                         % Lnge des Barker-Kodes
sr = 100;                               % Schritt in Abtastungen
x  = nfach(b,sr);                       % Sendeimpuls
z  = conv(x,reverse(x)); z = z/max(z);  % Faltung, Normierung
xx = [x zeros(1,2*n*sr+1-length(x))];   % Zero-Padding
zz = [zeros(1,2*n*sr+1-length(z)) z];   % Zero-Padding
fh = fullscreen('Barker-Kode');
plot((0:2*n*sr+1)/sr,[0 xx; zz 0]')
for k=1:sr:length(zz) line((k-1)/sr,zz(k),'Marker','o','Color','r','LineWidth',2); end
legend('Sendeimpuls','Impuls nach Empfangsfilter')
axis([0 2*n -1.5 +1.5]); axis off
line(get(gca,'XLim'),[0 0],'LineStyle',':','Color',0.7*[1 1 1])
%
%        Barker-Kodes werden hufig zu Synchronisationszwecken verwendet.  In der 
%        RADAR-Technik benutzt man sie als Sendeimpulse, um die Entfernung der Objekte 
%        trotz langer Sendeperioden genau bestimmen zu knnen.  Je grsser die 
%        Entfernung ist desto lnger mssen die Barker-Kodes sein (Satelliten-RADAR, 
%        Planeten-RADAR).
%
%
% Das Verfahren des angepassten Empfangsfilters entspricht mathematisch der Kreuzkorrela-
% tion des Empfangssignals mit dem Sendeimpuls.  Im Falle verschiedener mglicher 
% Sendeimpulse bentigt man im Empfnger entsprechend viele angepasste Filter bzw. 
% parallele Korrelationen mit den mglichen Sendeimpulsformen.  Die Datenentscheidung 
% erfolgt dann durch Finden des maximalen Ausgabewertes unter den Filtern bzw. Korrela-
% tionen. 
%
%
%% bung 10a   Wie sieht das Sendesignal im Falle des Impulses nach (E) aus fr 
%% folgende Bitfolgen:
%%  (1)  1 1 1 1 1 1 1 1 1 1 1 ...
%%  (2)  0 1 0 1 0 1 0 1 0 1 0 ...
%%  (3)  -1 +1 -1 +1 -1 + 1 -1 ...
%%
%% bung 10b   Anstelle des Barker-Kodes aus Beispiel (F) mit recheckigen Bits sollen 
%% diese mit dem Wurzel-Kosinus-Roll-Off-Filter des Beispiels (D) (erster Fall) geglttet 
%% werden.  Die Impulsantwort des Sendefilters ist also die Faltung der Sendefilter der 
%% Beispiele (D) und (F).  Wie sieht das Signal am Datenentscheider aus?
%%
%% bung 10c   Wiederholen Sie bung 10b mit dem asymmetrischen Filter von Beispiel (E) 
%% anstelle des Wurzel-Kosinus-Filters.
%