%
%
%11.1.  bersicht%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Zur  {\bfFehlererkennung}  und zur  {\bfFehlerkorrektur}  ist eine  {\bfKodierung}  der Information 
% erforderlich, die  {\bfRedundanz}  enthlt, also mehr Bits zur Reprsentation verwendet 
% als zur reinen Speicherung erforderlich.  Dadurch gelingt es, die zulssigen Kodewrter 
% so zu definieren, dass sie sich gegenseitig an wenigstens  {\fontname{Courier}D}  Stellen unterscheiden.  
% {\fontname{Courier}D}  heisst  {\bfMinimalabstand}  des Kodes.  Bei Benutzung eines Kodes mit dem 
% Minimalabstand  {\fontname{Courier}D}  kann man ein empfangenes Wort mit bis zu  {\fontname{Courier}D-1}  fehlerhaften 
% Stellen als unbrauchbar erkennen oder ein Wort mit bis zu  {\fontname{Courier}floor((D-1)/2)}  fehlerhaften 
% Stellen korrigieren.  Entscheidet man sich zur Korrektur, so ist die Fehlererkennung 
% eingeschrnkt oder ganz verloren.
%
% Die Benutzung einer Kanalkodierung, um fehlerhafte Zeichen am Empfangsort korrigieren 
% zu knnen, bezeichnet man als  {\bfVorwrts-Korrektur}  (Forward Error Correctionm, {\bfFEC}). 
% Wird dagegen der Kode zur Fehlererkennung benutzt, um eine Wiederholung der bertragung 
% anzufordern, so bezeichnet man dies als {\bfARQ} (Automated Repeat Request).  Hufig werden 
% beide Verfahren kombiniert.  ARQ ist jedoch nicht einsetzbar bei grossen Entfernungen 
% (inteplanetare Raumsonden).
%
% Es gibt eine Reihe von Verfahren zur Konstruktion von Kodes zur Fehlererkennung und 
% -Korrektur, jedoch keine einheitliche Theorie, aus der sich alle guten Kodes ergeben. 
% Gute Kodes muss man finden.  Zur Suche benutzt man heute den Computer.
%
% Zunchst wollen wir eine Klassifikation von Kodes vornehmen:
%
% (1)  {\bfBlock-Kode}  {\fontname{Courier}vs}.  {\bfFaltungskode}
% Man unterscheidet Block-Kodes gegenber Faltungskodes.  Bei Block-Kodes werden jeweils  
% {\fontname{Courier}k}  Informationsbits in ein Kodewort von  {\fontname{Courier}n}  Bits kodiert.  Im Falle von Faltungskodes wird 
% dagegen ein kontinuierlicher Bitstrom in einen Kodebitstrom hherer Bitrate kodiert.
%
% (2)  {\bfLineare} , {\bfmodifizierte}  und  {\bfnichtlineare} Kodes
% Ein linearer  {\fontname{Courier}(n,k)}-Block-Kode ber  {\fontname{Courier}GF(q)}  ist ein  {\fontname{Courier}k}-dimensionaler Unterraum des  {\fontname{Courier}GF(q)^n} .  
% {\fontname{Courier}GF(q)}  ist der endliche Krper mit  {\fontname{Courier}q} Elementen.   {\fontname{Courier}q}  ist  {\fontname{Courier}p^m} , wo  {\fontname{Courier}p}  Primzahl ist und  {\fontname{Courier}m}  eine 
% natrliche Zahl.
% Beispiel:   {\fontname{Courier}p = 2 ;   m = 1 ;   n = 3 ;   k = 1 .}   
% Der Kode ist ein eindimensionaler Unterraum des  {\fontname{Courier}GF(2)^3} .  Er enthlt die Kodewrter  
% {\fontname{Courier}[0 0 0]}  und {\fontname{Courier}[1 1 1]} .  Alle anderen Elemente von {\fontname{Courier}GF(2)^3}  sind Nicht-Kodewrter.  
% Wenn man eine oder mehrere Stellen des Kodewortes systematisch verndert, im Falle des  
% {\fontname{Courier}GF(2)}  also invertiert, so ist der Kode kein linearer Raum mehr, obwohl er alle seine 
% Eigenschaften hat.  Man nennt dies einen modifizierten Kode.  Er hat den Vorteil, 
% dass Nullvektor und Einsvektor nicht mehr zum Kode gehren und damit die relativ 
% hufigen Fehler, dass nur Nullen oder nur Einsen gesendet werden, sofort als Fehler 
% erkennbar sind. 
% Ist der Kode weder linear noch ein modifizierter linearer, so ist er nichtlinear.
% Faltungskodes sind im Prinzip linear, passen jedoch wegen der unendlichen Dimensionen 
% nicht in die obige Beschreibung.
%
% (3)  \bfSystematischer Kode
% Ein Kode heisst systematisch, wenn sich die zu kodierende Information direkt im Kodewort 
% wiederfindet.
%
% (4)  \bfZyklischer Kode
% Ein Block-Kode heisst zyklisch, wenn mit jedem Kodewort auch smtliche zyklischen 
% Verschiebungen (Rotationen) des Kodewortes zum Kode gehren.  Lineare zyklische Kodes 
% sind bei serieller bertragung von Vorteil, weil sie Fehlerbndel besser erkennen bzw. 
% korrigieren knnen.
%
% (5)  Kodes zur Erkennung und Korrektur von {\bfFehlerbndeln}
% Ein Fehlerbndel ({\bfBurst}) ist eine Sequenz von  {\fontname{Courier}b}  Bits, in der gehuft Fehler auftreten 
% (erstes und letztes sowie mglicherweise dazwischen liegende Bits sind fehlerhaft). 
% Es gibt Kodes, die speziell auf diesen Fall zugeschnitten sind.
%
%
%% bung 11.1.  Ein Hadamard-Kode ist gegeben durch die 24 Kodewrter
%%
C( 1,:) = [0 0 0 0 0 0 0 0 0 0 0];
C( 2,:) = [1 1 0 1 1 1 0 0 0 1 0];
for k= 3:12  C(k,:) = rotatevector(C( 2,:),k-2); end
C(13,:) = [0 0 1 0 0 0 1 1 1 0 1];
for k=14:23  C(k,:) = rotatevector(C(13,:),k-2); end
C(24,:) = [1 1 1 1 1 1 1 1 1 1 1];
C
%% (a)  Ist dies ein linearer oder nichtlinearer Kode?
%%
%% (b)  Ist dies ein zyklischer Kode?
%%
%% (c)  Bestimmen Sie den Minimalabstand
%%
%% (d)  Wieviele Bitfehler kann man mit diesem Kode korrigieren?
%%
%% (e)  Wie lange Fehlerbndel kann dieser Kode sicher erkennen?
%%