%
%
%11.3.  Fehlerstatistik%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Bei kodierter bertragung  gibt es zwei Methoden der Datenentscheidung und Dekodierung:
%
% (a)  Die Kodewortbits werden individuell entschieden.  Darauf erfolgt die digitale 
%       Dekodierung mit mglicher Korrektur wie im vorigen Abschnitt 11.2 beschrieben.
%
% (b)  Das gesamte Kodewort wird analog empfangen und mit den korrekten digitalen 
%       Kodewrtern korreliert.  Die Datenentscheidung fllt aufgrund der grssten 
%       Korrelation.  Dies entspricht einem Empfnger, der fr jedes mgliche Kodewort 
%       ein Matched-Filter besitzt.
%
% Wir berechnen zunchst die Bitfehlerwahrscheinlichkeit nach der Dekodierung fr den Fall (a) 
% bei Blockkodes.  Dabei wird BPSK als Modulationsart angenommen und eine gegebene 
% Energie  {\fontname{Courier}E_b}  pro Informationsbit.  Unter Bercksichtigung der Koderate  {\fontname{Courier}cr = k/n}  ist die 
% Bitfehlerwahrscheinlichkeit fr empfangene Kodewortbits dann nach Abschnitt 9.3:
%
%              p = 0.5*erfc(sqrt(k/n*E_b/N_0))   %<'FontName',MSVFORMFONT>
%
% Kann der {\fontname{Courier}(n,k)-}Kode  {\fontname{Courier}r}  Bits korrigieren, so ist die Wortfehlerwahrscheinlichkeit gegeben 
% durch die Summe der Wahrscheinlichkeiten,  {\fontname{Courier}r+1, r+2, ... n}  Bitfehler unter den 
% emfangenen  {\fontname{Courier}n}  Bits vorzufinden.  Wir berechnen diese Binomialverteilung direkt durch 
% die Summe der Terme nach der Newton'schen Formel 
%
%          n                                                             %<'FontName',MSVFORMFONT>
%     p_w = {\fontsize{30}_\Sigma}  n!/(m!*(n-m)!) * p^m * (1-p)^{n-m}   %<'FontName',MSVFORMFONT>
%         m=r+1                                                          %<'FontName',MSVFORMFONT>
%
% Hufig dominiert der Term mit   {\fontname{Courier}m = r + 1}   alle anderen.  Das folgende Bild zeigt die 
% Binomialverteilung fr   {\fontname{Courier}n = 7}   bei verschiedenen Werten fr die Bitfehlerwahrscheinlichkeit  {\fontname{Courier}p} .  
% Der  {\fontname{Courier}(7,4)-}Hamming-Kode kann maximal eines von 7 Kodewortbits korrigieren, d.h.   {\fontname{Courier}r = 1} .  
% Die Wortfehlerwahrscheinlichkeit ergibt sich also aus den Diagrammen durch Summation 
% aller Werte fr   {\fontname{Courier}m = 2,...,7} .
%
fehl_vert(7,[0.1,0.01; 0.001,0.0001],1);
%
% Das entsprechende Diagramm fr den Dreibitfehlerkorrigierenden  {\fontname{Courier}(23,12)}-Golay-Kode ist :
%
fehl_vert(23,[0.1,0.01; 0.001,0.0001],1);
%
% Um die Bitfehlerwahrscheinlichkeiten vergleichen zu knnen, muss diese Wortfehler-
% wahrscheinlichkeit in die Bitfehlerwahrscheinlichkeit gewandelt werden.  Das ist 
% allgemein nur approximativ mglich.  Wir nehmen den durchaus hufigen schlimmsten 
% Fall an, dass ein falsch dekodiertes Empfangswort keine hnlichkeit mit dem korrekten 
% aufweist.  Von den dekodierten  {\fontname{Courier}k} Informationsbits sind daher im Mittel  {\fontname{Courier}k/2}  falsch 
% oder positiv ausgedrckt:  selbst im Fall eines Dekodierfehlers werden noch  {\fontname{Courier}k/2}  Bits 
% zufllig richtig sein.  Deshalb ist die Bitfehlerwahrscheinlichkeit fr dekodierte Bits
%
%    P_b = p_w/2   %<'FontName',MSVFORMFONT>
%
% Die Funktion  {\fontname{Courier}plot\_code\_gain}  zeichnet diese Bitfehlerwahrscheinlichkeit ber  {\fontname{Courier}E_b/N_0} :
%
help plot_code_gain
%
plot_code_gain
%
% Aus dem Bild entnimmt man:
%
% 1.  Bei gutem Sinal/Rauschverhltnis ist der durch Kodierung erzielbare Gewinn hoch. 
%      Die Bitfehlerrate des Golay-Codes ist bei   {\fontname{Courier}E_b/N_0 = 10 dB}   schon um mehr 
%      als 3 Dekaden besser als ohne Benutzung eines Codes.
%
% 2.  Bei geringem Signal/Rauschverhltnis werden die Dekodierfehler so hufig, dass 
%      die Bitfehlerrate der unkodierten bertragung besser ist.
%
% 3.  Es gibt Kodes, bei denen die Verhltnisse umgekehrt erscheinen: Bei ihnen ist die 
%      resultierende Bitfehlerrate bei gutem  {\fontname{Courier}E_b/N_0}  schlechter als bei unkodierter 
%      bertragung, jedoch bei sehr kleinem  {\fontname{Courier}E_b/N_0}  besser.  Die Verschlechterung 
%      liegt an der individuellen harten Entscheidung der Bits.  Dieser Punkt wird weiter 
%      unten noch nher behandelt.
%
% Aus der Shannon'schen Beziehung fr die Kanalkapazitt {\fontname{Courier}C} :
%
%     C = W * log2(1 + S/(N_0*W)),   %<'FontName',MSVFORMFONT>
%
% lsst sich herleiten, dass fr jede Kommunikation gelten muss:
%
%     E_b/N_0 \geq ln(2) = 0.69315   entsprechend  E_b/N_0 >= -1.592 dB   %<'FontName',MSVFORMFONT>
%
% Diese Grenze gibt klar an, welche Energie pro zu bertragendem Informationsbit 
% erforderlich ist bei gegebenem Rauschen  {\fontname{Courier}N_0} , und zwar unabhngig von allen anderen 
% Grssen wie Bandbreite, Modulation, Filterkombinationen, Bitraten, Kodierung etc.. 
% Die Qualitt eines Informationsbertragungssystems ist daran zu messen, wie nahe es 
% dieser Grenze kommt.
%
% Wir tragen diese Grenze noch in das Diagramm der Bitfehlerwahrscheinlichkeiten ein, 
% indem wir den nicht mglichen Bereich rot einfrben.  Ausserdem frben wir alles 
% oberhalb der Grenze  {\fontname{Courier}0.5} (Zufallsbits) grau:
%
plot_code_gain
ebNoMin = 10*log10(log(2));
patch([-5,ebNoMin,ebNoMin,-5],[1e-12 1e-12 1 1],'r')
xl = get(gca,'XLim');
patch([xl,reverse(xl)],[0.5,0.5,1,1],0.7*[1 1 1])
%
% Alle hier gezeigten Kodes sind ernchternd weit weg vom theoretischen Optimum, 
% insbesondere bei kleinem  {\fontname{Courier}E_b/N_0} .  Schon bei   {\fontname{Courier}E_b/N_0 = -1 dB}   msste die Bitfehlerrate 
% unter jede Schranke zu bringen sein.
%
%
% Es ist noch der Fall (b) zu besprechen, in dem das analog empfangene Wort als ganzes 
% entschieden wird.  Dieses Wort habe  {\fontname{Courier}n}  Bit.  Das Rauschen in jedem dieser  {\fontname{Courier}n}  Bits 
% sei normalverteilt mit der Standardabweichung  
%
%            \sigma = 1/sqrt(2*r*E_b/N_0)            %<'FontName',MSVFORMFONT>
%
% Der Rauschanteil des Bits  {\fontname{Courier}i}  sei  {\fontname{Courier}n_i} .  Dann ist der euklidische Abstand des empfangenen 
% Wortes vom gesendeten
%
%                   n                                %<'FontName',MSVFORMFONT>
%            sqrt( {\fontsize{30}_\Sigma} n_i^2 )    %<'FontName',MSVFORMFONT>
%                  i=1                               %<'FontName',MSVFORMFONT>
%
% Die Frage ist nun, wie wahrscheinlich ist es, dass dieser Abstand vom gesendeten Wort 
% grsser ist als der Abstand von einem der anderen gltigen Kodewrter.  Dann nmlich 
% wird falsch dekodiert.
%
% Zunchst ein realistisches Beispiel fr ein Empfangssignal und dessen unkodierte 
% Bitentscheidung.
%
b = wcrfir(30,0.0795,0.7); 
[anzahlbits,anzahlbitfehler] = txrxfilter(b,b,4)
%% Die Anzahl der Bitfehler wird im Kommandofenster ausgegeben.
%
% Dieses msste man mehrfach wiederholen, um genauere Aussagen ber die Fehlerrate machen 
% zu knnen.
%
% Die folgende Funktion ermittelt solche Fehlerraten fr mehrere Flle:
% ohne Kodierung, mit  {\fontname{Courier}(7,4)-}Hamming-Kode und hier fr beide Methoden der Dekodierung.
%
% fb  :  Anzahl der Bitfehler des gesamten kodierten Datenstroms       %<'FontName',MSVFORMFONT>
% fh  :  Anzahl der Bitfehler der hart dekodierten Information         %<'FontName',MSVFORMFONT>
% fw  :  Anzahl der Bitfehler der weich dekodierten Information        %<'FontName',MSVFORMFONT>
% fi  :  Anzahl der Bitfehler der Informationsbits in den Kodewrtern  %<'FontName',MSVFORMFONT>
% fo  :  Anzahl der Bitfehler ohne Kodierung bei demselben E_b/N_0     %<'FontName',MSVFORMFONT>
%
%% Die Simulation fr  100000  bertragene Bits dauert ca. 30 Sekunden
%% Das Resultat erscheint im Kommandofenster:
%
[fb,fh,fw,fi,fo] = simsoftdecode(100000,6)
%
% Deutlich wird bei dieser Simulation, dass die weiche Entscheidung der harten sehr 
% berlegen ist.  Der Rechen- und Speicheraufwand ist bei der weichen Dekodierung 
% jedoch erheblich hher, da anstelle der Bits Gleitkommazahlen treten.
%
%
%% bung 11.3a   Ermitteln Sie mit    {\fontname{Courier}simsoftdecode}  die Bitfehlerrate bei 
%% Benutzung des (7,4)-Hamming-Kodes mit weicher Entscheidung fr die 
%% Werte  E_b/N_0 = 4, 5, 6, 7, 8, 9  und tragen Sie die Ergebnisse ein in das durch 
%% die Funktion  {\fontname{Courier}plot\_code\_gain}  erzeugte Bild. 
%% Vergleichen Sie auch die zugleich berechnete Bitfehlerrate bei harter Entscheidung 
%% mit den theoretischen Werten von  {\fontname{Courier}plot\_code_gain} .
%%
%% bung 11.3b   Ermitteln Sie mit der Funktion  {\fontname{Courier}simhardsoft}  die 
%% Dekodierfehlerwahrscheinlichkeiten fr den Hadamard-Kode, dessen Kodewrter 
%% als Zeilen der folgenden Matrix gegeben sind, fr  E_b/N_0 = 0, 2, 4, 6, 8, 10 dB .
%%
C( 1,:) = [0 0 0 0 0 0 0 0 0 0 0];
C( 2,:) = [1 1 0 1 1 1 0 0 0 1 0];
for k= 3:12  C(k,:) = rotatevector(C( 2,:),k-2); end
%%
%% Beachten Sie, dass die Zahl der pro Kodewort bertragenen Informationsbits keine 
%% ganze Zahl ist.
%
