%
%
%11.5.  Faltungskodes%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Die Faltungskodierung benutzt das einfache Prinzip der Faltung.  Diese ist jedoch im  {\fontname{Courier}GF(q)}  
% durchzufhren.  Wir beschrnken uns auf den (ohnehin fast nur benutzten) {\fontname{Courier}GF(2)}. 
% Nach der reellen Faltung ist also jeweils der der Rest der Division durch 2 zu bilden. 
% Die Struktur des Kodierers ist dieselbe wie die eines FIR-Filters:
%
faltstruktur
%
% Gegeben sei z.B. das den Kode festlegende binre Muster  {\fontname{Courier}g}  (das sog. Polynom) und 
% ein zu kodierender Strom von Informationsbits  {\fontname{Courier}u}.  Dann ergibt sich die Sequenz  {\fontname{Courier}x}  der 
% Kodebits durch
%
g = [1 0 1]
u = [0 1 0 0 0 1 1 0 1 0]
x = rem(conv(u,g),2)
%% Resultat im Kommandofenster
%
% Diese Kodesequenz ist gegenber  {\fontname{Courier}x}  nur um den einmaligen "Tail" von  {\fontname{Courier}length(g)-1}  
% verlngert.  Der Kode enthlt damit keine Redundanz, die eine Fehlerkorrektur ermglichen 
% wrde.  Die Redundanz erzeugt man dadurch, dass man die Sequenz  {\fontname{Courier}u}  der Informationsbits 
% mit mehreren Polynomen faltet, die als Zeilen in der Generatormatrix  {\fontname{Courier}G}  abgelegt sind. 
% Die mit den  {\fontname{Courier}r}  Polynomen erzeugten Bitstrme werden entweder auf  {\fontname{Courier}r}  verschiedenen 
% Kanlen parallel bertragen oder zu einem einzigen Bitstrom  {\fontname{Courier}x}  mit gegenber dem 
% Informationsbitstrom  {\fontname{Courier}u   r-}fach erhhter Bitrate verzahnt.  Die Funktion  {\fontname{Courier}faltcode}  
% realisiert beide Methoden:
%
help faltcode
%% Kommentar im Kommandofenster.
%
% Beispiel 1:  {\fontname{Courier}r = 2}
%
g = [1 1 1; 1 0 1]              % zwei einfache Faltungspolynome
u = [0 1 0 0 0 1 1 0 1 0]       % ein Informationsbitstrom
x = faltcode(u,g,0)             % Erzeugung zweier Kodebitstrme
y = faltcode(u,g,1)             % Erzeugung eines verzahnten Bitstroms
%
% Beispiel 2:  {\fontname{Courier}r = 3}
%
g = [1 1 0 1; 1 0 1 1; 1 1 1 1] % drei Faltungspolynome
u = [0 1 0 0 0 1 1 0 1]         % ein Informationsbitstrom
x = faltcode(u,g,0)             % Erzeugung zweier Kodebitstrme
y = faltcode(u,g,1)             % Erzeugung eines verzahnten Bitstroms
%
% Die Faltungskodierung kann man ansehen als die Benutzung einer dem Faltungspolynom 
% entsprechenden Impulsform, wobei sich die Arithmetik jedoch im  {\fontname{Courier}GF(2)}  abspielt. 
% Die Dekodierung wird also erfolgen durch ein entsprechendes angepasstes Filter. 
% Dies wird im folgenden Abschnitt 11.6 behandelt.
%
% Die Verbindung zu den im Abschnitt 11.2 besprochenen linearen Block-Kodes wird 
% hergestellt durch die Konstruktion unendlicher Generatormatrizen, die wir hier 
% begrenzen auf die zur Kodierung des Informationsbitstroms  {\fontname{Courier}u}  bentigte Grsse:
%
g = [1 1 0 1; 1 0 1 1; 1 1 1 1] % drei Faltungspolynome
u  = [0 1 0 0 0 1 1 0 1]        % ein Informationsbitstrom
lu = length(u);                 % Lnge des Informationsbitstroms
[m,n] = size(g);                % m,n: Anzahl und Lnge der Polynome
z  = zeros(1,lu - 1);
G1 = toeplitz([g(1,1) z],[g(1,:) z])   % Generatormatrix G1
G2 = toeplitz([g(2,1) z],[g(2,:) z])   % Generatormatrix G2
G3 = toeplitz([g(3,1) z],[g(3,:) z])   % Generatormatrix G3
y  = flach(rem([u*G1; u*G2; u*G3],2)') % Verzahnung
%
% Der erzeugte Kodebitstrom ist der selbe wie oben im Beispiel 2.  Die drei Generatormatrizen 
% kann man noch zu einer einzigen Verzahnen, um den Kodebitstrom direkt zu erhalten.  Die 
% Generierung von  {\fontname{Courier}G}  erfolgt hier durch eine Programmschleife:
%
g = [1 1 0 1; 1 0 1 1; 1 1 1 1] % drei Faltungspolynome
u  = [0 1 0 0 0 1 1 0 1]        % ein Informationsbitstrom
lu = length(u);                 % Lnge des Informationsbitstroms
[m,n] = size(g);                % m,n: Anzahl und Lnge der Polynome
G  = g;                         % Schleifenanfang
for k=1:lu+n-2   G = [G zeros(k*m,1); zeros(m,k) g]; end
G  = G(:,n:end-n+1)';           % Ausschneiden und Transponieren
y  = rem(u*G,2)                 % Kodebitstrom
%
% Auch hier ist der erzeugte Kodebitstrom der selbe wie oben.
%
% Sind  {\fontname{Courier}m}  Polynome mit  {\fontname{Courier}k}  Koeffizienten gegeben, so bezeichnet man den resultierenden 
% Faltungskode als  {\fontname{Courier}(n,k)}-Faltungskode mit  {\fontname{Courier}n = m*k} .  Hufig wird zustzlich die sog. 
% freie Distanz  {\fontname{Courier}du}  des Kodes angegeben, aus der sich die Korrekturfhigkeit ergibt. 
% Wenn innerhalb jedes  {\fontname{Courier}n}  Bit langen Segmentes des Kodebitstroms weniger als  {\fontname{Courier}du/2}  Bits 
% fehlerhaft sind, so kann der gesamte Informationsbitstrom korrekt rekonstruiert werden. 
% Treten lokal mehr Fehler auf, so fhrt dies nur lokal zu Dekodierfehlern, sofern der 
% Kode geeignet gewhlt wurde (sog. non-catastrophic convolutional codes).
%
% {\fontname{Courier}k}  heisst auch Constraint Length.  Je grsser dieser Wert ist, desto besser sind die 
% Fehlerkorrektureigenschaften.  Der Dekodieraufwand steigt jedoch exponentiell mit  {\fontname{Courier}k} . 
% Selbst bei kleinen bertragungsraten von 1 k Bit/s  ist zur Dekodierung eines Faltungskodes 
% mit  {\fontname{Courier}k = 10}  schon ein schneller DSP erforderlich. 
%
% Die Funktion  {\fontname{Courier}faltpoly}  liefert die zur Zeit besten bekannten Faltungskodes fr  
% {\fontname{Courier}m = 2,3,4}  und  {\fontname{Courier}k = 3...14}:
%
help faltpoly
%
g = faltpoly(3,7)
%
%
%% bung 11.5   Ein linearer  {\fontname{Courier}(n,256)}-Blockkode werde folgendermassen konstruiert:
%%
%% (1)   Je  {\fontname{Courier}k = 256}  Informationsbits werden mit einem 16 CRC versehen.
%% (2)   Die 272 Bits werden mit dem  {\fontname{Courier}(18,9,12)}-Faltungscode nach  {\fontname{Courier}faltpoly(2,9)}  kodiert.
%% (3)   Die resultierende Sequenz wird verzahnt.
%%
%% Folgende Fragen sind zu beantworten:
%% (a)   Wie gross ist  {\fontname{Courier}n} ?
%% (b)   Mit welcher Verzahnung wird die korrigierbare Burstlnge am grssten und wie gross ist sie?
%% (c)   Wie viele Bitfehler kann der Kode pro Block sicher korrigieren?
%% (d)   Schtzen Sie die Dekodierfehlerwahrscheinlichkeit unter Einbeziehung des CRC ab 
%%         fr den Fall, dass fr jedes bertragene Bit die Wahrscheinlichkeit, dass es eine 
%%         zufllige Wahl aus  {\fontname{Courier}[0 1]}  ist,  {\fontname{Courier}p = 0.3}  betrgt.
%
