%
%
%11.7.  FEC und ARQ%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
%% Dieser Abschnitt sollte noch durch Simulationen ergnzt werden. 
%% Wesentlich wre dabei ein Diagramm Durchsatz ber Bitfehlerrate.
%% Auch hybride FEC/ARQ-Systeme sollten besprochen werden.
%
% Die in den vorangegangenen Abschnitten besprochene Datensicherung durch Benutzung von 
% geeigneten Kodes und Korrektur fehlerhafter Bits auf der Empfangsseite bezeichnet man 
% als {\bfVorwrts-Fehler-korrektur} (Forward Error Correction {\bfFEC}).  Wenn die Kommunikation 
% in beiden Richtungen erfolgt, ist eine Alternative mglich, die wesentlich kleinere Bitfehler-
% raten zulsst, nmlich die Benutzung leistungsfhiger Kodes allein zur Erkennung von 
% Fehlern und Anforderung der Wiederholung der bertragung im Fehlerfall.  Dies wird als 
% Automated Repeat Request ({\bfARQ}) bezeichnet).
%
% Die Wahrscheinlichkeit  {\fontname{Courier}P}, dass ein fehlerhaftes Datenpaket beim ARQ-Verfahren als 
% korrekt angesehen wird, kann mit relativ geringem Aufwand beliebig klein gemacht werden. 
% Beliebt ist die Benutzung eines Cyclic Redundancy Check (CRC) mit {\fontname{Courier}n}  Bits.  Die Wahr-
% scheinlickeit  {\fontname{Courier}P}, dass der CRC beim Empfang eines fehlerhaften Datenpakets zufllig 
% stimmt, ist  {\fontname{Courier}2^{-n}}  unabhngig von der Grsse des Datenpakets.  Wird z.B. gefordert, 
% dass  {\fontname{Courier}P < 10^{-8}}  , so wird man  {\fontname{Courier}n > 26} , also z.B.  {\fontname{Courier}n = 32}  whlen.  Das ist nicht viel 
% Redundanz, wenn man die Paketlnge gross macht.
%
% Man kann die Sicherheit, dass nur korrekte Daten akzeptiert werden, deutlich erhhen 
% dadurch, dass das ARQ-Verfahren hierarchisch realisiert wird.  Ein Superpaket enthalte 
% z.B. eine Reihe von Paketen, die mit einem  {\fontname{Courier}n-}Bit-CRC einzeln per ARQ-Verfahren 
% bertragen werden.  ber alle Pakete hinweg gibt es jedoch noch einen zweiten CRC mit 
% {\fontname{Courier}m}  Bits, der mit dem letzten Paket des Superpaketes bertragen wird.  Die Wahrscheinlichkeit, 
% dass ein fehlerhaftes Paket von  {\fontname{Courier}k}  Paketen als korrekt angesehen wird und dass zugleich der 
% CRC ber das Superpaket zufllig stimmt, ist  {\fontname{Courier}k*2^{-n}*2^m} .  Als Beispiel nehmen wir  {\fontname{Courier}k = 16} 
% und  {\fontname{Courier}n = m = 16} .  Dann ist  {\fontname{Courier}P = 16*2^{16}*2^{16} = 2^{36} = 10^{-11}} .   bertragen wir  
% {\fontname{Courier}10^6}  Superpakete pro Sekunde ber eine Glasfaser mit  {\fontname{Courier}10 GBit/s}  und gibt es etwa 
% alle  {\fontname{Courier}100} Pakete eine Aufforderung zur Wiederholung, so akzeptieren wir durchschnittlich 
% alle  {\fontname{Courier}100*10^6/P Sekunden = 80 Tage}  ein falsches Superpaket.  Mit einem  {\fontname{Courier}32-}Bit-CRC 
% im Superpaket wren dies jedoch  {\fontname{Courier}14281} Jahre.  Dies Beispiel zeigt, dass bei sehr hohen 
% Datenraten auch sehr unwahrscheinliche Ereignisse ziemlich hufig vorkommen, und auch, 
% dass katastrophale Fehlinterpretationen der Daten durch relativ sehr geringen Zusatz-
% aufwand, hier nmlich  {\fontname{Courier}16}  weitere Bits im gesamten Superpaket, 
% praktisch ausgeschlossen werden knnen.
%
% Besondere Beachtung verdient bei einem ARQ-System die Sicherung der Besttigung bzw. 
% der Aufforderung zur Wiederholung.  Sinnvoll ist die bermittlung von Paketnummern 
% (bzw. deren letzte Bits) mit den Paketen und automatische Wiederholung der Sendung 
% des letzten Pakets, wenn die Besttigung nicht lesbar ist.  Damit wird quasi das 
% ARQ-Verfahren auch fr die Besttigung realisiert.  Die Besttigung besteht aus 
% wesentlich weniger Information als die Datenpakete.  Deshalb kann diese mit erheblich 
% hherer Redundanz kodiert werden. 
%
% Im Falle von vernderlichen Kanlen mit relativ lang andauernden starken Einbrchen 
% des Signal/Rauschverhltnisses ist es gnstig, das vor dem Datenentscheider anliegende 
% Signal zu speichern und im Falle einer Wiederholung des Blockes das neue Signal zum 
% alten zu addieren, um dann die Datenentscheidung am Summensignal vorzunehmen.  Das 
% Summensignal eines  {\fontname{Courier}n}  mal wiederholten Blockes enthlt das 
% systematisch auf den  {\fontname{Courier}n}-fachen Wert addierte Signal und ein 
% Rauschen, welches sich nur um  {\fontname{Courier}sqrt(n)}  erhht hat.
%
% Das Aufaddieren nicht fr sich dekodierbarer Blcke ist nur mglich, wenn die Blcke 
% synchron bertragen werden, d.h. es gibt ber die Trgersynchronisation und die 
% Schrittsynchronisation hinaus auch noch eine Blocksynchronisation. 
%
% Theoretisch kann man so noch bei sehr kleinem Signal/Rauschverhltnis kommunizieren. 
% Praktisch ergeben sich aber eine Reihe von Problemen.  Z.B. ist die Aufrechterhaltung 
% der Synchronisation bei so kleinen Signalen schwierig, die der Trgersynchronisation 
% bei Fading sogar unmglich.  Auch muss man davon ausgehen, dass ein Paket durch eine 
% zeitlich lokale Strung derartig stark gestrt ist, dass eine hundertfache Wiederholung 
% des Pakets mit Aufsummierung nicht ausreichen, um die Strung mit dem Summensignal zu 
% bertnen.  Auf jeden Fall ist es besser, neben der Aufsummierung wiederholter Pakete 
% auch jedes eintreffende Paket direkt zu prfen, ob es nicht fr sich schon akzeptiert 
% werden kann.  Das bedeutet jedoch doppelten Dekodier-Aufwand.  Anstelle des doppelten 
% Aufwandes wird hufig die Anzahl aufsummierbarer Wiederholungen stark beschrnkt 
% (z.B. auf  {\fontname{Courier}16} ).
%
%
%
%% Aufgabe 11.7:   Ein System benutzt FEC und ARQ.  Zur Erkennung, ob ein Dekodierfehler 
%% vorliegt, wird ein 16-Bit-CRC verwendet.  Die Kanaleigenschaften seien so, dass 
%% durchschnittlich jedes zehnte Paket zu wiederholen ist. 
%% Wie gross ist die Wahrscheinlichkeit, dass ein falsch dekodiertes Paket akzeptiert wird?
%
