%
%
%13.  Spread Spectrum Verfahren%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-2,'Color',MSVTITLCOLOR>
%
%
%
%% Vorerst gibt dieses Kapitel nur eine kurze Einfhrung.
%% Langfristig ist eine ausfhrlichere Behandlung geplant mit MATLAB-Demos und Simulationen.
%
% Spreiz-Spektrum(SS)-Verfahren sind Modulationen schon modulierter Signale, die dazu 
% dienen, dass Spektrum des ausgesendeten Signals ber einen wesentlich grsseren Bereich 
% zu verteilen, als dies beim ursprnglichen modulierten Signal der Fall ist.  Diese zweite 
% Modulation erfolgt jedoch nicht mit Nutzinformation sondern nach einem Schema, das der 
% Empfnger kennt, so dass der Empfnger das ursprngliche modulierte Signal direkt ohne 
% Demodulation zurckgewinnen kann.  Die SS-Verfahren verteilen die Information im 
% Zeit-Frequenz-Bereich wie die Multitrgersysteme auf einen grossen Frequenzbereich. 
% Es erfolgt aber keine Einengung im Zeitbereich.  Damit gelingt eine noch bessere Anpassung 
% an komplexe Kanalbedingungen.
%
% Es gibt vier Typen des Spreizens:
%
%
% (1)  \bfDirect Sequence
%
% Ein Pseudozufallsgenerator liefert eine Kodesequenz mit der das ursprngliche Signal 
% phasenmoduliert wird.  Die Schrittfrequenz dieser Modulation heisst Chipping Rate und 
% wird angegeben in  {\fontname{Courier}chips per second (cps)} .  Sie ist wesentlich hher als die der 
% ursprnglichen Modulation, so dass sich eine entsprechend grssere Bandbreite ergibt.
%
% Der Empfnger generiert die selbe Sequenz in Phase und macht die Phasenmodulation 
% rckgngig durch Phasenmodulation mit dem negativen Winkel.
%
%
% (2)  \bfFrequency Hopping
%
% Anstelle der PSK des Direct Sequence-Verfahrens wird FSK benutzt. 
%
%
% (3)  \bfTime Hopping
%
% Das ursprngliche Sendesignal wird im Zeitbereich zerschnitten und die (evtl. unterschiedlich 
% langen) Teile zu Zeitpunkten gesendet, die einem Pseudozufallsgenerator entstammen.  
% Der Empfnger flickt das Signal wieder zusammen.
%
%
% (4)  \bfPulsed FM
%
% Anstelle der FSK mit diskreten Frequenzen und eines Pseudozufallsgenerators wird 
% ein periodisches analoges Signal zur Frequenzmodulation benutzt.  Hufig ist dies ein 
% Sgezahnsignal, welches zu periodisch linear ansteigender Frequenz fhrt (sog. Chirp). 
%
%
% Neben diesen vier Typen gibt es Kombinationen (sog. Hybride Systeme), z.B. werden (1) 
% und (2) bisweilen kombiniert.
%
% 
% Den Nachteilen der Verschwendung kostbarer Bandbreite und des grossen Aufwandes stehen 
% einige Vorteile der Spreizspektrum-Verfahren gegenber:
%
% *  Wegen der grossen Bandbreite sind die Empfangsprobleme bei Mehrwegeausbreitung 
%     geringer (s.o.)
%
% *  Spreizspektrum-Verfahren sind unempfindlich gegen Strungen mit diskretem Spektrum 
%     und umgekehrt sind konventionelle Trger-basierte bertragungssysteme unempfindlich 
%     gegen SS-Aussendungen.  Sie knnen also im selben Frequenzbereich koexistieren, 
%     wenn sie beide ihre mgliche Kanalkapazitt nicht ausnutzen.
%
% *  Wenn der Pseudozufallskode geheim ist, lsst sich die bertragung nur schwer 
%     absichtlich stren
%
% *  Durch Vergabe unterschiedlicher Pseudozufallskodes an verschiedene Empfnger oder 
%     Gruppen von Emfngern ist eine gezielte Adressierung im selben Frequenzbereich 
%     mglich
%
% *  Verschiedene Kodes knnen so gewhlt werden, dass sie geringe Kreuzkorrelation 
%     haben.  Dann ist es mglich, mehrere Kodes gleichzeitig zu benutzen.  Man nennt dies 
%     {\bfCode Division Multiple Access (CDMA)}
%