%
%
%14.1.1  FSK und MSK%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Im Fall der digitalen bertragung sollten die Reprsentationen der Symbole optimal 
% unterscheidbar sein.  Werden im Falle von FSK  {\fontname{Courier}k}  unterschiedliche Frequenzen benutzt, 
% so sollte muss der Empfnger in der zur Verfgung stehenden Zeit, nmlich in einem 
% Schritt zwische den Frequenzen entscheiden knnen.  Insbesondere sollte auch unter 
% Rauschen ein gegebenes Signal nicht die Wahrscheinlichkeiten zur Entscheidung fr die 
% brigen Frequenzen beeinflussen.  Im Falle eines Korrelationsempfngers mssen also 
% die genau einen Schritt langen Signale der  {\fontname{Courier}k}  Frequenzen alle gegeneinander orthogonal 
% sein.  Wir bestimmen die Korrelation zunchst symbolisch fr beliebige Frequenzen  {\fontname{Courier}f_1}  
% und  {\fontname{Courier}f_2}  und Schrittlnge  {\fontname{Courier}T}  als bestimmtes Integral ber die Sinus-Signale:
%
clear t f1 f2 T
syms  t f1 f2 T
c0 = int(sin(2*pi*f1*t)^2,t,0,T);
c  = int(sin(2*pi*f1*t)*sin(2*pi*f2*t),t,0,T);
pretty(simplify(c))
%
% Als Beispiel nehmen wir
%
T  = 1;                       % Schrittlnge
f1 = 2;                       % eine der Frequenzen
z0 = eval(c0);                % Normierunsfaktor
for k=1:100  f2 = f1 + 0.05*k; f(k) = f2; z(k) = eval(c)/z0; end;
fh1 = fullscreen('Korrelation'); 
plot(f,z)
line([min(f) max(f)],[0 0],'Color',0.7*[1 1 1])
fsiz = 13;
title('Korrelation zweier Sinussignale der Frequenzen  f_1 = 2  und  f_2  in endlichem Zeitintervall  [0 1]','FontSize',fsiz)
xlabel('f_2','FontSize',fsiz)
%
% Die Korrelation hat offenbar genau dann eine Nullstelle, wenn die Schwingungen innerhalb 
% eines Schrittes sich um eine ganze Zahl von halben Schwingungen unterscheiden.  Das 
% folgende Bild stellt mehrere zueinander orthogonale Schwingungen dar.
%
fh2 = fullscreen('Orthogonalitt'); 
t = (0:399)/400;
c = 'kbgrcym';
for k=1:7  f = k/2; line(t,sin(2*pi*f*t),'Color',c(k)); end
axis([min(t) max(t) -1.2 +1.2]); axis off
title('untereinander orthogonale Signalformen','FontSize',13)
%
% Schrittlnge und Frequenzschritt mssen bei FSK also derartig gewhlt werden, dass 
% sich die Phasen der Signale am Schrittende um  {\fontname{Courier}n\pi}  unterscheiden bei gleicher Phase 
% am Anfang des Schrittes.  Der Frequenzabstand muss demnach ein ganzes Vielfaches 
% von  {\fontname{Courier}1/(2*Schrittlnge)}  sein.  Insbesondere gibt es einen minimalen Frequenzschritt, 
% bei dem der Unterschied der beiden Frequenzen (2FSK) bzw. zweier benachbarter 
% Frequenzen (mFSK) gerade eine halbe Schwingung ausmacht.  Diese Einstellung wird  
% {\bfMinimum Shift Keying}, ({\bfMSK})  genannt.  Wir behandeln sie im folgenden Abschnitt.  
%
% Zur Darstellung der verschiedenen FSK-Signale in genau einem Schritt dient die 
% Funktion  {\fontname{Courier}fsksignalplot} :
%
help fsksignalplot
%
%
%% bung  14.1.1  Untersuchen Sie, ob die Orthogonalittsbedingung bei den folgenden
%% FSK-Verfahren gegeben ist und ob es sich um MSK handelt:
%%
%% 1.  2-FSK mit der Baudrate  300/s  und den Frequenzen  f_1 = 980 Hz;  f_2 = 1180 Hz
%%
%% 2.  4-FSK mit der Baudrate  441/s  und den Frequenzen  [882   1323   1764   2205] Hz
%%
%% 3.  2-FSK mit der Baudrate  1200/s und den Frequenzen  [1200   1800] Hz
%%
%% 4.  8-FSK mit der Baudrate  600/s  und den Frequenzen   350:300:2450 Hz
%%
%% 5.  44-FSK mit der Baudrate  44100/8192 und den Frequenzen 
%%      (n + 121)*44100/8192   mit   n = 0, 1, 2, ... 42
%%