%
%
%14.1  V.21 FSK%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Die Spezifikation von V.21 (eine Richtung) ist wie folgt:
%
%    Trgerfrequenz  :   1080 Hz                 %<'FontName',MSVFORMFONT>
%    Schrittfrequenz :    300 Baud               %<'FontName',MSVFORMFONT>
%    Modulation :         binre FSK             %<'FontName',MSVFORMFONT>
%    Symbole :            980 Hz entspricht "1"  %<'FontName',MSVFORMFONT>
%                        1180 Hz entspricht "0"  %<'FontName',MSVFORMFONT>
%
%% Das folgende ist noch in Arbeit.
%% Experimentiert werden soll hier mit:
%
%% (a)  der Dekodierung durch Korrelation, die hier durch Filterung mit 
%%      cos und sin der Schrittlnge realisiert ist:
%
f0tx = 1180;
f1tx =  980;
bdtx =  300;
fstx = 8000;
f0rx = 1180;
f1rx =  980;
bdrx =  300;
fsrx = 8000;
stx  = randb(64);
xtx  = fsktx2(stx,f0tx,f1tx,bdtx,10,fstx);
srx  = fskrx2(xtx,f0rx,f1rx,bdrx, 1,fsrx);
flr  = sum(srx~=stx)
soundsc(xtx,fstx)
%
%% Kern von fskrx2 einsehen !
%
%% (b)  Der FM-Dekodierung durch Ermittlung der Winkelgeschwindigkeit nach 
%%      Umsetzung ins Basisband
%
% Wird das FSK-Signal durch Multiplikation mit  {\fontname{Courier}e^{-i2\pif_0t}}  ins Basisband verschoben, 
% so dreht sich das Signal in der komplexen Ebene mit der Frequenz  {\fontname{Courier}f - f_0} .   Ist   {\fontname{Courier}f < f0} ,
% so ist die Drehung rckwrts (in Richtung der positiven Zeitachse gesehen linksherum).
% Wir legen  {\fontname{Courier}f_0 = 1080 Hz}  genau zwischen die beiden Frequenzen der FSK 
% und erhalten dann anstelle der beiden Frequenzen eine Links- bzw. Rechtsdrehung von 
% je  {\fontname{Courier}100 Hz} .
%
%%  Versuch 14.1.1
%%  FSK-Modem nach V.21 mit Start/Stopp-Synchronisation.
%%  Die Funktion v21startstop liefert die komplexe Ebene des 
%%  modulierten Signals als zeitliche Animation. 
%%  Das 3D-Bild ist danach mit der Maus drehbar. 
%%  Die Sichtbarkeit der grafischen Objekte ist mit den Tasten 
%%  0,1,2,3,4,5,6 ein- und auszuschalten. 
%%  Objekt 0 ist ein Cursor, der mit den Tasten + bzw - um je einen 
%%  Abtastschritt bewegt werden kann.
%%
%%  Die durch blaue Punkte markierte Abtastfrequenz in der
%%  der Darstellung ist 1800 Hz.
%%
%%  Aufgabe: Die dargestellte Sequenz enthlt zwei Bytes nach dem 
%%  Start/Stopp-Verfahren. Die 16 Bit sind visuell aus dem Bild zu 
%%  entnehmen und anschliessend einzugeben.
%%
%%  Hinweis:     Die Bits knnen am besten aus der Rotationsrichtung 
%%               abgelesen werden bei Blick in Zeitrichtung, d.h. auf 
%%               die Kreisrotation.
%%               Tippen Sie die Taste 0 um einen grnen Cursor auf 
%%               der Kurve zu erhalten. Ein Cursorschritt ist ein  
%%               Abtastschritt von 1/1800 Sekunde.
%
bits = bitstuffing(0,3,randb(16)); bits = bits(1:16);
v21startstop(bits);
%
%%  Haben Sie die 16 Bits ermittelt? Dann klicken Sie hier und geben 
%%  die Bits in der Form 001011... in das erscheinende Dialogfenster.
%%  Eine Antwort erscheint im Kommandofenster.
%
instr = inputdlg('','16 Bits eingeben wie 11010001...');
invec = instr{1}=='1';
lenok = length(invec)==16;
if ~lenok  '!!! Es mssen 16 Bits sein !!!', end
if lenok  b1 = sum(invec(1:8)~=bits(1:8)); b2 = sum(invec(9:16)~=bits(9:16)); end
if lenok antwort = sprintf('  %d Bits im ersten und %d Bits im zweiten Byte sind falsch',b1,b2); end
if lenok if (b1+b2>0)  antwort, else  'o.k !', end; end
%
%
%%  Versuch 14.1.2
%%  Ein ASCII-Text wird nach V.21 (300 Baud FSK) mit Start/Stopp-
%%  Synchronisation ber die Soundkarte ausgegeben und via
%%  Mikrofon mit dem Audiorecorder aufgezeichnet. 
%%  Nach manueller Bearbeitung der Aufnahme wird diese in MATLAB 
%%  dem FSK-Empfnger zugefhrt und ausgewertet.
%%
%%  Schliessen Sie Lautsprecher und Mikrofon an und berprfen Sie 
%%  deren Funktion und Pegel.
%%
%%  Zuerst ist der zu sendende Text einzugeben. Das Eingabefenster 
%%  erscheint nach Klick auf folgendes Kommando:
%
tcel = inputdlg('(maximal 32 Zeichen)','Eingabe: Zu sendender Text');
txt  = tcel{1};          % 
bits = str2binvec(txt);  % ASCII nach Bitvektor
%
%%  Es sind nun die Einstellungen fr die Audioaufnahme (Mikrofon) 
%%  und fr die Ausgabe so einzustellen, dass der Pegel bei der 
%%  Aufnahme im richtigen Bereich liegt.
%%  ffnen Sie im Audiorecorder eine neue Datei und klicken Sie 
%%  dort im Men "Eigenschaften" und anschliessend "Umwandeln". 
%%  Stellen Sie "Format" PCM und "Atribute" 8.000 Hz; 16 Bit; Mono 
%%  ein und besttigen Sie mit "ok".
%% 
%%  Die Aufnahme mit dem Audiorecorder ist nun zu starten und 
%%  sofort anschliessend die folgende Kommandosequenz zu klicken 
%%  um den Text zu senden.
%
fs   = 8000;             % Abtastrate 8 kHz
flr  = fsktest(10000,1080/fs,300/fs,100/fs,bits);
%
%%  Stoppen Sie nun den Audiorecorder.
%
%%  Prfen Sie die Aufnahme mit dem Audiorecorder visuell und 
%%  akustisch, ob der Pegel richtig liegt. Wiederholen Sie die  
%%  Aufnahme, falls etwas nicht stimmt.
%
%%  In der Audioaufnahme ist nun der Signal-freie Anfang sowie 
%%  das Ende vollstndig wegzuschneiden. Der Audiorecorder 
%%  bietet hierfr im Men "Bearbeiten" die passenden Funktionen. 
%%  Das Resultat ist nun unter dem fest vorgegebenen Dateinamen 
%%  "v21.wav" zu speichern.
%%
%%  Die Datei "v21.wav" wird nun in MATLAB eingelesen und das 
%%  Signal im FSK-Empfnger ausgewertet und dargestellt:
%
s = wavreadx('v21.wav');                    % Lesen der *.wav-Datei
recbits = fskrx(s',1080/fs,300/fs,300/fs,1) % FSK-Empfnger
rectext = binvec2str(recbits);              % empfangener Text
%
%%  Das Bild Binrsignal kann mit den Tasten g k + - 
%%  vergrssert, verkleinert und gerollt werden. Das 
%%  Bild Kompexsignal lsst sich mit der Maus drehen.
%%  Das Lschen des Bildes dauert SEHR lange!
%%
%%  Darstellung des empfangenen Textes:
%
fh = fullscreen('Telegramm'); set(fh,'Position',[2 576 1019 171]);
axis([0 1,0 1]); set(gca,'visible','off')
text(-0.06,0.5,rectext,'FontSize',35,'Color','r')
if length(recbits)~=length(bits) 'Anzahl der empfangenen Bits ist falsch', end
if length(recbits)==length(bits) bitfehler = sum(recbits~=bits), end
%
%  Bei der Datenbertragung per Audiosignal durch Luft ist zu 
%  beachten, dass die Wellenlnge bei 1 kHz nur 34 cm betrgt. 
%  Schon bei der bertragung ber kurze Strecken kann es zu 
%  Reflexionen und damit zu Fadingeffekten kommen. Viel 
%  problematischer ist die Intersymbolinterferenz bei Wegunter-
%  schieden in der Grssenordnung der Schrittlnge (und mehr).
%  Die Schrittlnge betrgt bei 300 Baud in Luft 1.13 m.
%
