%
%
%14.3.3  Meteor-Scatter: FSK441 %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% FSK441 ist eine Betriebsart, die Joe Taylor (Nobel-Preis fr Physik 1993) fr die 
% spezielle Funkbertragung durch Streuung an Sternschnuppen (sog. Meteor-Scatter) 
% eingefhrt hat.  Der Kanal existiert sporadisch fr jeweils ca. 0.1 s.  Die Zeitspanne 
% ist zu kurz, um Absprachen ber Richtungswechsel des Halbduplexbetriebes zuzulassen. 
% Der Richtungswechsel findet deshalb fest alle 30 Sekunden statt.  Die Synchronisierung 
% erfolgt durch gengend genaue Uhren.
%
% \bfSpezifikation
%
edit fsk441.txt
%
% Die fest vorgegebene Synchronisation der Sende/Empfangsperioden ist nur auf ca. 
% 1 Sekunde genau.  Die Schrittsynchronisation muss deshalb fr jedes reflektierte 
% Signal einzeln erfolgen.  Darber hinaus ist eine weitere Synchronisation ntig, 
% die den jeweils ersten der drei Schritte festlegt, die zu einem Zeichen gehren. 
% Diese Synchronisation erfolgt ber die Codierung  {\fontname{Courier}033}  des Zeichens "Space", deren 
% rotierte Codierungen  {\fontname{Courier}303}  und  {\fontname{Courier}330}  nicht vorkommen.  Nur Messages, die weigstens 
% ein Space enthalten, knnen decodiert werden. 
%
% \bfSimulation
%
% Drei Funktionen  {\fontname{Courier}fsk441tx} ,  {\fontname{Courier}fsk441kanal}  und  {\fontname{Courier}fsk441rx}  simulieren den Sender, 
% den Kanal und den Empfnger.  Das folgende Skript gibt zunchst das Signal des Senders 
% in den Hrbereich umgesetzt als Audiosignal aus, danach das entsprechen umgesetzte 
% Signal am Ende des Kanals:
%
c   = inputdlg('zu sendender Text (maximal 16 Zeichen des PUA-Alphabets)','Tastatureingabe'); 
txt = eval(strcat('''',c{1},''''))
txs = fsk441tx(txt);
rxs = fsk441kanal(txs,8820,12,0.2);
rxt = fsk441rx(rxs,8820)
soundsc(txs,8820); pause(1)
soundsc(rxs,8820)
%
% Es ist blich, dass man mit westlich gerichteter Antenne die erste Hlfte der Minute 
% sendet, mit stlich gerichteter die zweite.  Auf einer festen Frequenz ({\fontname{Courier}144370.0 MHz}) 
% sendet man zunchst einen allgemeinen Anruf mit durch Buchstaben verschlsselter 
% Angabe der Frequenz, auf der der Halbduplexbetrieb stattfinden soll.
%
% Die beiden folgenden Hrbeispiele zeigen:  (1) zwei kurze sog. Pings;  (2) einen Burst:
%
soundsc(wavread('RU1AA_020103_2Pings.wav'))
%
soundsc(wavread('RU1AA_020103_Burst.wav'))
%