%
%
%14.3.6  Echos vom Mond %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Angenommen man strahlt die Sendeleistung  {\fontname{Courier}P}  isotrop in alle Richtungen gleichmssig 
% aus.  Das ist unmglich, zugleich aber ein sehr brauchbares Modell.  Der Mond befindet 
% sich in der Entfernung  {\fontname{Courier}R} .  In dieser Entfernung verteilt sich die Leistung auf die 
% gesamte Kugelflche  {\fontname{Courier}F = 4\piR^2} .  Der Mond fngt insgesamt mit seiner der Erde 
% zugekehrten Flche  {\fontname{Courier}f = 2\pir^2}  , wo  {\fontname{Courier}r}  der Mondradius ist, davon den Bruchteil  
% {\fontname{Courier}P*f/F}  ein.  Nimmt man nun weiter an, dass der Mond den Anteil  {\fontname{Courier}\gamma}  davon 
% wiederum isotrop ausstrahlt, so erhlt man auf der Erde die Leistungsdichte 
% {\fontname{Courier}p = \gammaPf/F^2} .  Eine isotrop strahlende Antenne hat eine wirksame Empfangsflche 
% von  {\fontname{Courier}\lambda^2/4\pi} .  Empfangen wird also die Leistung
%
%       {\fontname{Courier}p = \lambda^2 \gamma P 2\pir^2 / (2\piR^2)^2}
%
% Der Abstand  Erde - Mond  geht in der vierten Potenz ein.  Deshalb sollen beide Extreme, 
% das Perigum und das Apogum betrachtet werden:
%
R = [356410000  406740000];  % Abstand Erde_ Mond in m (Perigum und Apogum)
r = 1738000;                 % Mondradius in m
P = 1;                       % 1 Watt Sendeleistung
gamma  = 1;                  % pure Annahme
lambda = 2;                  % benutzte Wellenlnge in m
p = lambda^2 * gamma * P * 2*pi*r^2 ./ (2*pi*R.^2).^2
%
% Die ausserordentlich kleine Empfangsleistung kann vergrssert werden durch
% eine Richtantenne mit dem Leistungsgewinn  {\fontname{Courier}G}  gegenber dem hypothetischen isotropen 
% Strahler.  Eine solche Antenne hat zugleich eine um den Faktor  {\fontname{Courier}G}  vergrsserte 
% wirksame Empfangsflche  {\fontname{Courier}G*\lambda^2/4\pi} .  Mit  {\fontname{Courier}G = 100}  und  {\fontname{Courier}P = 1000 Watt} 
% erhlt man dann
%
R = [356410000  406740000];  % Abstand Erde_ Mond in m (Perigum und Apogum)
r = 1738000;                 % Mondradius in m
P = 1000;                    % 1000 Watt Sendeleistung
gamma  = 1;                  % pure Annahme
lambda = 2;                  % benutzte Wellenlnge in m
G = 100;                     % Leistungsgewinn der Antenne ber isotropen Strahler
p = G^2 * lambda^2 * gamma * P * r^2 ./ (2*(2*pi*R.^2).^2)
%
% Mit  {\fontname{Courier}10^{-16} Watt}  kann man zwar nicht Wasser kochen, aber das Signal liegt damit 
% an der Grenze der Messmglichkeiten.  Fr ein Kabel der blichen Impedanz von 
% {\fontname{Courier}50 \Omega}  ergibt sich eine Signalspannung von  ca.  {\fontname{Courier}0.06 \muV} .
%
% Man beachte, dass die vom Mond isotrop gestreute Leistung selbst unter den angenommenen 
% hohen Werten fr  {\fontname{Courier}P} ,  {\fontname{Courier}G}  und  {\fontname{Courier}\gamma}  kleiner als die Sendeleistung eines Handys ist:
%
R = [356410000  406740000];  % Abstand Erde_ Mond in m (Perigum und Apogum)
r = 1738000;                 % Mondradius in m
P = 1000;                    % 1000 Watt Sendeleistung
gamma  = 1;                  % pure Annahme
G = 100;                     % Leistungsgewinn der Antenne ber isotropen Strahler
0.5*G*gamma*P*r^2./R.^2      % vom Mond gestreute Leistung [Watt] unter idealen Bedingungen
%
% Modelliert man den Mond als ideale Kugel, die den Anteil  {\fontname{Courier}\gamma}  reflektiert, so ergibt sich 
% eine etwas geringere Empfangsleistung
%
p = P * gamma * G^2 * (lambda^2)/(4*pi) * r^2./(4*R.^2) ./ (4*pi*R.^2)
%
% Tatschlich ist  {\fontname{Courier}\gamma \approx 0.1} .  Damit ist die zu erwartende Empfangsleistung realistisch
%
R = [356410000  406740000];  % Abstand Erde_ Mond in m (Perigum und Apogum)
r = 1738000;                 % Mondradius in m
P = 1000;                    % 1000 Watt Sendeleistung
gamma  = 0.1;                % Reflexionskoeffizient des Mondes
lambda = 2;                  % benutzte Wellenlnge in m
G = 100;                     % Leistungsgewinn der Antenne ber isotropen Strahler
p = P * gamma * G^2 * (lambda^2)/(4*pi) * r^2./(4*R.^2) ./ (4*pi*R.^2)
U = sqrt(50*p)               % Empfangsspannung an 50 Ohm
%
% Derartig kleine Leistungen erfordern spezielle Verfahren mit sehr geringen Datenraten. 
%
% Bei dem Funkkanal Erde-Mond-Erde handelt es sich um eine Mehrwegeausbreitung, bei 
% der mehrere Reflektionszentren auf der Mondoberflche beteiligt sind.  Zwar bewegen 
% sich sowohl der Mond wie auch der Sender bzw. Empfnger auf der rotierenden Erde.
% Aus der Geometrie ergibt sich jedoch, dass sich dabei die Weglngen ber die 
% verschiedenen Reflektionszentren, die sich meist nahe dem Zentrum der Mondscheibe 
% befinden, nur im Bereich von mehreren Zentimetern pro Sekunde ndern.  Damit 
% ergibt sich etwa das folgende Fadingdiagramm fr einen Bereich von 20 kHz mal 
% 5 Minuten:
%
fadingsim(144150000,144170000,5*60,20,0.05,1000);
%
% Speziell fr den betrachteten Ausbreitungsweg wurde das Verfahren  {\bf{JT44}} entwickelt:
%
% \bfSpezifikation
%
edit jt44.txt
%
% Es handelt sich um eine 44-FSK mit  5.3833 Baud.  Zur Frequenz- und Zeitsynchronisation 
% werden 69 der insgesamt 135 Schritte einer Aussendung verwendet.  Dadurch wird das 
% Auffinden des Signals sehr vereinfacht auf Kosten der Verdopplung der ntigen Bitenergie. 
% Die Symbolfehlerrate fr  JT44  ist in folgendem Bild dargestellt:
%
jt44ser
%
% Die Signale sind meistens zu schwach um nach Frequenztransformation in den Audiobereich 
% mit dem menschlichen Ohr wahrgenommen zu werden.  Das nachfolgende Hrbeispiel ist ein 
% zwei Sekunden langer Auschnitt einer Sendung von Dave aus Texas mit dem Call W5UN, in 
% der er den Autor dieses Skripts (DJ5HG) ruft.  Einige Bilder der gewaltigen dem Mond 
% mechanisch nachfhrbaren Antennenanlage von W5UN findet man im Internet.
%
soundsc(wavread('DJ5HG_W5UN_020615_2sec.wav'))
%
% Das FSK-Signal ist hier relativ gut hrbar, weil der Mond im Perigum war und berdies 
% in einer Himmelsgegend mit nur geringem Rauschen stand.  berdies wurde hier natrlich 
% ein Ausschnitt im Signalmaximum ausgewhlt.
%