%
%
%1.3.3  Der Frequenzbereich%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Jede Zeitfunktion  {\fontname{Courier}f(t)}  kann auch im Frequenzbereich durch ihre Fouriertransformierte  {\fontname{Courier}F(\omega)}  
% beschrieben werden.  Es handelt sich dabei um die selbe Funktion, aber um verschiedene 
% Koordinatensysteme zu ihrer Darstellung. 
%
% Die Fouriertransformation transformiert eine reellwertige oder komplexwertige 
% Funktion  {\fontname{Courier}f(t)}  vom Zeitbereich in den Frequenzbereich.  Die Zeitvariable 
% ist  {\fontname{Courier}t}  , die Frequenzvariable  {\fontname{Courier}\omega = 2\pif}  .  Der Frequenzbereich heisst auch 
% Spektralbereich.
%
% Gegeben sei die Funktion   {\fontname{Courier}f(t)}  .  Dann heisst
%         \infty                                            %<'FontName',MSVFORMFONT>
%  F(\omega) = _{\fontsize{24}\int} f(t) e^{-i\omegat} dt   %<'FontName',MSVFORMFONT>
%        -\infty                                            %<'FontName',MSVFORMFONT>
% {\bfFouriertransformierte} von  {\fontname{Courier}f}  (sofern sie existiert).
%
% {\fontname{Courier}F}  ist eine zu  {\fontname{Courier}f}  quivalente Darstellung des Signals.
%
% Wir benutzen die MATLAB-Funktion  {\fontname{Courier}fourierplot}  zur symbolischen Ermittlung 
% der Fouriertransformierten und ihrer 3D-Darstellung. 
%
% Als {\bfSpektrum} wird der Absolutbetrag der Fouriertransformierten bezeichnet.
%
% Wir merken uns (hier ohne Herleitung):
%
% {\bfEine periodische Zeitfunktion mit der Periode  {\fontname{Courier}T}  hat ein diskretes Spektrum }
% {\bfmit nichtverschwindenden Werten bei  {\fontname{Courier}f = k/T}  ( {\fontname{Courier}k}  ganz).}
%
% {\bfEine zeitdiskrete (digitale!) Funktion mit Abtastpunkten  {\fontname{Courier}k*T}  ( {\fontname{Courier}k}  ganz)}
% {\bfhat ein periodisches Spektrum mit der Periode  {\fontname{Courier}f_s = 1/T}  .}
% {\bf{\fontname{Courier}f_s}  heisst Abtastfrequenz (sample frequency).}
%
% Wir ermitteln jetzt die Fouriertransformierte der Funktion 
% {\fontname{Courier}cos(2\pif_0t)}  , wo  {\fontname{Courier}f_0 = 3.0}  die Frequenz bedeutet.
%
syms t w; f0 = 3.0; 
ft = fourierplot(cos(2*pi*f0*t),t,w); 
expand(ft)
%
%% bung 1.3.3:  Der Ausdruck der Fouriertransformierten hat zwei Terme. 
%% Berechnen Sie die Zeitfunktion fr jeden der beiden Terme getrennt durch 
%% inverse Fouriertransformation. 
%% Setzen Sie den Ausdruck der Fouriertransformierten in Stringquotes 
%% '...'  (Das Problem, alle Funktionen einschliesslich der Distribu-
%% tionen gleichzeitig symbolisch und numerisch zu behandeln, ist noch 
%% nicht zufriedenstellend gelst).  
%%
%% Aus welchen Komponenten setzt sich also jede reelle Sinus- bzw. 
%% Kosinus-Schwingung zusammen? 
%% Worin besteht der Unterschied der beiden Komponenten im Zeitbereich? 
%% Betrachten Sie jeweils den Realteil ber  {\fontname{Courier}t}  und den Imaginrteil 
%% ber  {\fontname{Courier}t}  .
%%
%% Arbeiten Sie jetzt direkt im Kommandofenster!
%
help ifourierplot
%
