%
%
%1.3.4  Signal-Rausch-Verhltnis(SNR)%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-6,'Color',MSVTITLCOLOR>
%
%
%
% Ein Signal sei additiv zusammengesetzt aus dem Nutzsignal  {\fontname{Courier}s(t)}  und einer Strung  {\fontname{Courier}r(t)}  :
%
%        x(t) = s(t) + r(t)                                     %<'FontName',MSVFORMFONT>
%
% Unter dem {\bfSignal-Rausch-Verhltnis} (signal to noise ratio SNR) versteht man das 
% Verhltnis der Leistungen von Signal und Strung.  Dies wird im Abschnitt 2.2.1 
% nher behandelt.  Ist  {\fontname{Courier}r}  Signal-abhngig, entsteht es z.B. durch Nichtlinearitt 
% eines Kanals, so spricht man vom Klirrfaktor anstelle des SNR.
%
% Eine Zwischenstellung nimmt das Quantisierungsrauschen ein.  Dieses ist Signal-
% abhngig, kann hufig aber als Rauschen modelliert werden.  Sei  {\fontname{Courier}Q}  der Abstand 
% der Quantisierungsniveaus, so ist der Quantisierungsfehler maximal  {\fontname{Courier}Q/2}  .
% Die Verteilung wird blicherweise als konstant im Intervall  {\fontname{Courier}[-Q/2, +Q/2]} 
% angenommen.  Im Falle der Festkomma-Reprsentation im 2-Komplement mit  
% {\fontname{Courier}m}  Bits fr den Wertebereich  {\fontname{Courier}-1}  ...  {\fontname{Courier}+1-2^1^-^m}  gilt
%
%       Q = 2^{1-m}                                            %<'FontName',MSVFORMFONT>
%
% Die Leistung ist proportional zum Quadrat der Amplitude.  Deshalb ergibt sich 
% die Leistung des Quantisierungsrauschens zu
%               +Q/2                                           %<'FontName',MSVFORMFONT>
%       N = 1/Q * {\fontsize{28}_\int} r^2 dr  =  1/12 * Q^2  = 1/3 * 2^{-2m}  %<'FontName',MSVFORMFONT>
%               -Q/2                                           %<'FontName',MSVFORMFONT>
%
% Wichtig ist das Signal-Rausch-Verhltnis eines Sinus-Signals maximaler Amplitude. 
% Dessen Leistung ist  {\fontname{Courier}S = 1/2}  fr den Fall des Wertebereiches von  {\fontname{Courier}-1}  ...  {\fontname{Courier}+1}  .  
% Damit ergibt sich als grsstmglichstes SNR fr Sinus-Signale:
%
%       SNR = 3 * 2^{2m-1}                                     %<'FontName',MSVFORMFONT>
%
% blicherweise wird dieses Leistungsverhltnis in dB angegeben:
%
%       (SNR)dB = 10*log10(SNR) = 1.77 + m*20*log10(2)         %<'FontName',MSVFORMFONT> 
%
% Mit ausreichender Genauigkeit hat man daraus
%
%       (SNR)dB = 1.77 + 6*m                                   %<'FontName',MSVFORMFONT>
%
% Im Fall einer idealen Sinusschwingung ergibt die Quantisierung kein Rauschen 
% sondern eine hrbar Signal-abhngige Strung:
%
m = 4;  fs = 8000;  sound(fktabtast(2,fs,'sin(2*pi*440*t)',m),fs)
%
%% bung 1.3.4  Testen Sie, wie gross die Zahl der Bits  {\fontname{Courier}m}  sein 
%% muss, damit das Nebengerusch gnzlich unhrbar wird. 
%%
%% Wie gross muss  {\fontname{Courier}m}  sein, wenn das Nebengerusch auch bei der 
%% Amplitude  {\fontname{Courier}0.01}  des Sinus noch unhrbar sein soll?
%
