%
%
%1.3.5  Spektrale Eigenschaften der DDS%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-10,'Color',MSVTITLCOLOR>
%
%
%
% In den meisten Anwendungsfllen digitaler Sinusgeneratoren ist nicht das 
% Signal/Rausch-Verhltnis oder der Klirrfaktor von entscheidender Bedeutung 
% sondern das Verhltnis der Leistungen von generiertem Sinus-Signal und der 
% strksten Nebenfrequenzkomponente.  Dieses Verhltnis wird als Spurious-Free 
% Dynamic Range (SFDR) bezeichnet und in  {\fontname{Courier}dB}  angegeben.
%
% Um den SFDR-Wert zu bestimmen muss das im Zeitbereich generierte Sinus-Signal 
% in den Frequenzbereich transformiert werden.  Im Spektrum ist dann der 
% zweithchste Punkt zu suchen.
%
% An dieser Stelle soll das nicht im Detail durchgefhrt werden.  Wir benutzen 
% die MATLAB-Funktion  {\fontname{Courier}ddssim}  , die dieses fr drei Methoden durchfhrt: 
%       (a) direkte ROM-Aressierung
%       (b) lineare Interpolation in der Tabelle
%       (c) Taylor-Entwicklung dritten Grades
%
help ddssim
%
% Ein typischer Fall:   {\fontname{Courier}f = 0.12345*fs;  n = 32;  m = 8;  Wortbreite = 16 Bits}
%
ddssim(0.12345,32,8,16);
%
% Offenbar ist der SFDR-Wert um einige  {\fontname{Courier}dB}  besser als das SNR. Das liegt daran, 
% dass die Strleistung sich nicht auf einer Frequenz konzentriert.
%
%
%% bung 1.3.5   Ermitteln Sie die Abhngigkeit des SFDR-Wertes von der Wortbreite 
%% im Bereich  2 ... 64 Bits  bei den oben angegebenen Parametern fr  {\fontname{Courier}f}  ,  {\fontname{Courier}n}  und  {\fontname{Courier}m}  .  
%% Tragen Sie die Punkte fr die drei Verfahren in das selbe Diagramm.
%
%% Es sollte ein Diagramm herauskommen das dem folgenden hnlich ist.  Fr dieses 
%% Diagramm wurde jeweils der minimale SFDR-Wert ber alle generierbaren Frequenzen 
%% bestimmt: 
%
sfdrgraph
%
%