%
%
%2.2.2 Strtrger%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% {\bf2.2.2.1  AWGN}
%
% Im vorigen Abschnitt wurde festgestellt, dass eine normalverteilte und unkorrelierte 
% Strung ein normalverteiltes Spektrum besitzt.  Deshalb lsst sich AWGN auch im 
% Frequenzbereich generieren:
%
n  = 16384;                        % Lnge des Strvektors (beliebig)
fs = 8000;  clear i;               % Abtastrate
rf = sqrt(n)*(randn(1,n) + i*randn(1,n)); % normalverteilte komplexe Strung
rt = real(ifft(rf));               % IFFT der Strung
h1 = fullscreen('Zeitbereich');
subplot(1,2,1); plot(rt)           % Zeitbereich
axis([0 n -4 +4]); xlabel('Zeitbereich')
subplot(1,2,2); hist(rt,-4:0.1:+4) % Verteilung
title(sprintf('Verteilung mit Sigma = %1.3f',sqrt(sum(rt.^2)/n)))
set(gca,'XLim',[-4.1 +4.1])
sound(rt/max(abs(rt)),fs)          % normalverteiltes Rauschen
%
%
% {\bf2.2.2.2  Pulsstrungen im Frequenzbereich}
%
% Ein Dirac-Puls im Frequenzbereich bedeutet eine Sinusschwingung im Zeitbereich. 
% Derartige Strungen sind auf Funkstrecken sehr hufig.  Durch Modulation knnen 
% quidistant im Frequenzbereich angeordnete Pulsmuster entstehen.  
% Hier als Beispiel 5 zufllig verteilte Frequenzen mit zuflligen Amplituden:
%
n  = 16384;                        % Lnge des Strvektors
k  = 5;                            % Anzahl der Strfrequenzen
fs = 8000;                         % Abtastrate
rr = rand(3,k);                    % Amplitude, Frequenz, Phase
for t=1:n rt(t) = sum(rr(1,:).*sin(pi*(rr(2,:)*t + rr(3,:)))); end
rf = abs(fft(rt)); rf = rf(1:n/2); % Spektrum der Strung
h1 = fullscreen('Strfrequenzen');
subplot(2,1,1); plot(rt(1:400)); title('Zeitbereich')
subplot(2,1,2); plot(fs*(1:length(rf))/n,rf); title('Spektrum')
soundsc(rt,fs)
%% Wiederholung der Audioausgabe:
soundsc(rt,fs)
%
% Wenn anstelle von  {\fontname{Courier}k = 5}  sehr viele Frequenzen generiert werden, ergibt das 
% ein Rauschen.  Hier als Beispiel ein Versuch mit  {\fontname{Courier}k = 1000}. 
%% ACHTUNG: Das dauert selbst auf einem schnellen Rechner 1/2 Minute!
%
n  = 16384;                        % Lnge des Strvektors
k  = 1000;                         % Anzahl der Strfrequenzen
fs = 8000;                         % Abtastrate
rr = rand(3,k);                    % Amplitude, Frequenz, Phase
t  = 1:n;                          % Zeitbereich
rt = zeros(1,n);
for p=1:k rt = rt + rr(1,p).*sin(pi*(rr(2,p)*t + rr(3,p))); end
rf = abs(fft(rt)); rf = rf(1:n/2); % Spektrum der Strung
h1 = fullscreen('Strfrequenzen');
subplot(2,1,1); plot(rt(1:400)); title('Zeitbereich')
subplot(2,1,2); plot(fs*(1:length(rf))/n,rf); title('Spektrum')
soundsc(rt,fs)
%
% Wiederholung der Audioausgabe:
soundsc(rt,fs)
%
%
%% bung 2.2.2  Gegeben ein Sinus-frmiges Nutzsignal der Amplitude  0.5  
%% und 10 strende Sinus-Schwingungen verschiedener nicht harmonischer Frequenzen, 
%% die alle die Amplitude  0.1  haben.
%% Beantworten Sie folgende Fragen:
%% (a)  Wie gross kann das Strsignal im Zeitbereich maximal werden?
%% (b)  Wie gross ist das SNR?
%% (c)  Wie gross ist der Amplitudenabstand zwischen Nutzsignal 
%%      und Strungen im Spektralbereich?
%
