%
%
%2.5  Doppler-Effekt%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Sei  {\fontname{Courier}x}  die Weglnge zwischen Sender und Empfnger und  {\fontname{Courier}c}  die Ausbreitungsgeschwindigkeit 
% der vom Sender am Ort  {\fontname{Courier}x = 0}  ausgestrahlten Welle
%
%     s(0,t) = cos(2\pift)               %<'FontName',MSVFORMFONT>
%
% Dann ist die beim Empfnger am Ort  {\fontname{Courier}x}   registrierte Welle gegeben durch
%
%     s(x,t) = cos(2\pif(t - x/c))       %<'FontName',MSVFORMFONT>
%
% Der Term  {\fontname{Courier}-x/c}  bercksichtigt dabei die Zeitverzgerung durch die Ausbreitung lngs 
% des Weges  {\fontname{Courier}x} .
%
% Ist der Weg  {\fontname{Courier}x}  nicht konstant, weil sich entweder der Sender oder der Empfnger bewegt, 
% so gilt bei konstanter Geschwindigkeit
%
%     x = v*t                            %<'FontName',MSVFORMFONT>
%
% und damit
%
%     s(x,t) = cos(2\pif(1 - v/c)t)      %<'FontName',MSVFORMFONT>
%
% Das ist eine Schwingung der Frequenz  {\fontname{Courier}f*(1 - v/c)}.  Der Effekt ist schon bei mssigen 
% Geschwindigkeiten bei der Schallausbreitung deutlich zu hren, weil die Schallgeschwindigkeit 
% mit  {\fontname{Courier}c = 340 m/s}  relativ gering ist.  Im Falle elektromagnetischer Wellen ist  {\fontname{Courier}v/c}  
% wegen der hohen Lichtgeschwindigkeit von  {\fontname{Courier}299792458 m/s}  selbst bei Geschwindigkeiten 
% von Raumfahrzeugen wesentlich kleiner.  Aber die benutzten Frequenzen sind erheblich 
% hher.  Der absolute Frequenzversatz ist deshalb bei Satellitenkommunikation ganz 
% erheblich und eine Bercksichtigung beim Empfnger unumgnglich.
%
% Beispiel:   {\fontname{Courier}f = 10.0 GHz,  v = -8000m/s}
% Die empfangene Frequenz ist
%
%     f*(1 - v/c) = 10.0*(1 + 8000/299792458) GHz  %<'FontName',MSVFORMFONT>
%
%                 = 10.0 GHz + 266851 Hz  %<'FontName',MSVFORMFONT>
%
% Entfernt sich der Satellit, so ist der Frequenzversatz  {\fontname{Courier}-266851 Hz} . 
%
% Der Doppler-Effekt verndert jede Frequenz um den Faktor  {\fontname{Courier}1 - v/c}.  Ein gesendetes breites 
% Spektrum wird dadurch zwar im Mittel in der Frequenz versetzt, aber auch in der 
% Bandbreite verndert.  Auch die Schrittfrequenz einer digitalen Verbindung wird 
% entsprechend beeinflusst.  Diese Effekte sind absolut wesentlich geringer, weil 
% die Bandbreite und Schrittfrequenz allenfalls im Megahertzbereich liegen.
%
% \bfDemonstrationen
%
% Im folgenden Fall einer FSK-Sendung von  {\fontname{Courier}441 Baud}  auf  {\fontname{Courier}144.371 MHz}  wird der Doppler-
% Effekt direkt hrbar gemacht durch Multiplikation des Signals mit einer Schwingung 
% von  {\fontname{Courier}144.370 MHz}  und Tiefpassfilterung.  Das Signal wird von der Plasma-Stossfront 
% einer Sternschnuppe reflektiert, die durch ihre schnelle Bewegung den Effekt erzeugt.
%
[x,fs] = wavread('RU1AA_Chirp.wav'); 
soundsc(x,fs)
%
% Eine Simulation des gesendeten Signals liefert:
%
sound(0.5*fsk441tx('DD1JN RU1AA RRR',5000),8820)
%
%% Weitere Demos sind geplant:
%% Doppler-Effekt der AO-40-Telemetrie auf 2400 GHz in einer Hrbarkeitsperiode
% 