%
%
%3.1  Modulationsarten%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Unter Modulation wird die Wandlung eines die Information  {\fontname{Courier}I}  reprsentierenden Signals  {\fontname{Courier}s(t)}  
% in ein anderes Signal  {\fontname{Courier}x(t)}  verstanden, wo  {\fontname{Courier}x(t)}  und  {\fontname{Courier}s(t)}  zeitkontinuierlich sind. 
% Wesentliches Merkmal der Modulation ist dabei, dass die Reprsentation  {\fontname{Courier}x}  der Information  {\fontname{Courier}I}  
% ferner liegt als  {\fontname{Courier}s} .  Damit ist gemeint, dass die Interpretation von  {\fontname{Courier}x} , also die Rckgewinnung 
% von  {\fontname{Courier}I}  aus  {\fontname{Courier}x}  nur ber die sogenannte Demodulation, nmlich die Rckgewinnung von  {\fontname{Courier}s}  
% aus  {\fontname{Courier}x}  erfolgen kann.  Modulation und Demodulation beschreiben also nur die Wandlung 
% von  {\fontname{Courier}s}  nach  {\fontname{Courier}x}  und umgekehrt.  Von der darin reprsentierten Information und auch von 
% der Form der Reprsentation in  {\fontname{Courier}s}  wird abstrahiert.
% 
% Die Modulation kann eine lineare oder eine nichtlineare Operation sein. 
%
% Die wesentlichen Modulationsarten werden im folgenden der Reihe nach durch Angabe 
% des Zusammenhangs zwischen  {\fontname{Courier}s}  und  {\fontname{Courier}x}  besprochen.  Die spektralen Eigenschaften 
% werden erst danach behandelt.
% 
%
% \bfAmplitudenmodulation (AM):
%
% Die Information wird der Amplitude einer Sinusschwingung aufgeprgt:
%
%          x(t) = (1 + s(t))*sin(2\pif_0t + p),  %<'FontName',MSVFORMFONT>
%
% wo  {\fontname{Courier}p}  eine beliebige Phase ist.  Die AM ist linear.  Eine einfache Hllkurvendemodulation 
% ist mglich, wenn  {\fontname{Courier}|s(t)| \leq 1}.  Andernfalls spricht man von bermodulation.
%
amplmod(50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)',1);
%
% Durch die zeitlich vernderliche Amplitude entstehen Nebenfrequenzen, die bei passender Wahl 
% der Trgerfrequenz (hier 1 kHz) und der Information (hier ein Analogsignal von 100 Hz) hrbar sind:
%
fs = 8000; sound(amplmod(1000,cos(2*pi*100/fs*(1:fs)),1),fs)
%
% Im folgenden Abschnitt 3.2 werden die spektralen Eigenschaften genauer untersucht.
%
%
%% bung 3.1.1  Beweisen Sie, dass die AM eine lineare Operation ist.
%
%
% \bfPhasenmodulation (PM)
%
% Die Information wird der Phase einer Schwingung aufgeprgt:
%
%          x(t) = a*sin(2\pif_0t + s(t)*ph),  %<'FontName',MSVFORMFONT>
%
% wo  {\fontname{Courier}a}  eine beliebige Amplitude ist.   {\fontname{Courier}ph}  ist der Phasenhub fr ein Signal   {\fontname{Courier}s = 1} . 
% Fr Signale im Bereich   {\fontname{Courier}-1 < s < +1}   ist   {\fontname{Courier}ph < 2*\pi}   sinnvoll, da es sonst Mehrdeutigkeiten gibt, die 
% allerdings im Falle stetiger Signale aufgelst werden knnen.
%
phasenmod(50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)',2*pi,50);
%
% Wie bei allen Modulationsarten entstehen auch bei der PM Nebenfrequenzen:
%
fs = 8000; sound(phasenmod(1000,cos(2*pi*100/fs*(1:fs)),2*pi,50),fs)
%
%
%% bung 3.1.2  Beweisen Sie, dass die PM eine nicht-lineare Operation ist.
%
%
% \bfFrequenzmodulation (FM)
%
% Die FM ist eine PM, bei der nicht das Signal   {\fontname{Courier}s(t)}   sondern dessen Zeitintegral 
% phasenmoduliert wird:
%                                 t                                        %<'FontName',MSVFORMFONT>
%          x(t) = a*sin(2\pif_0t + b _{\fontsize{24}\int}s(t) d\tau + p),  %<'FontName',MSVFORMFONT>
%                                 0                                        %<'FontName',MSVFORMFONT>
%
% wo  {\fontname{Courier}a}  eine beliebige Amplitude und  {\fontname{Courier}p}  eine beliebige Phase ist. 
%
% Fr ein konstantes positives Signal   {\fontname{Courier}s(t) = s_0}   ergibt sich
%
%          x(t) = a*sin(2\pif_0t + b*s_0t + p)  %<'FontName',MSVFORMFONT>
%               = a*sin(2\pi(f_0 + s_0*b/(2\pi))*t + p)  %<'FontName',MSVFORMFONT>
%
% Die Konstante   {\fontname{Courier}h = b/(2\pi)}   wird als Frequenzhub bezeichnet.  Offenbar ergibt sich 
% fr ein konstantes Signal  {\fontname{Courier}s_0}  eine Sinusschwingung mit um  {\fontname{Courier}s_0*h}  versetzter Frequenz.
%
% Fr den Fall   {\fontname{Courier}s(t) = cos(2\pif_1t)}   hat man
%
%          x(t) = a*sin(2\pif_0t + (b/(2\pif_1))*sin(2\pif_1t) + p)  %<'FontName',MSVFORMFONT>
%
% Den Phasenhub   {\fontname{Courier}\eta = b/(2\pif_1)}   bezeichnet man als Modulationsindex.
%
freqmod(50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)',0.03);
%
% Da PM nichtlinear ist, gilt dies auch fr FM.
%
% Auch die erzeugten Nebenfrequenzen sind hnlich wie bei der PM:
%
fs = 8000; sound(freqmod(1000,cos(2*pi*100/fs*(1:fs)),0.01),fs)
%
%
% \bfZweiseitenbandmodulation (DSB)
%
% Die Zweiseitenbandmodulation ist eine AM, bei der das Signal  {\fontname{Courier}s(t)}  direkt anstelle 
% von  {\fontname{Courier}(1 + s(t))}  als Amplitude der Trgerschwingung verwendet wird:
%
%          x(t) = s(t)*sin(2\pif_0t + p),  %<'FontName',MSVFORMFONT>
%
% wo  {\fontname{Courier}p}  eine beliebige Phase ist. 
%
% Im Gegensatz zur AM, bei der der Amplitudenfaktor  {\fontname{Courier}(1 + s(t))}  immer positiv 
% ist, wird dieser Faktor hier auch negativ.  Anstelle von negativer Amplitude spricht 
% man dann besser von Phasensprngen um  {\fontname{Courier}\pi}  an den Nulldurchgngen von  {\fontname{Courier}s(t)} :   
% 
dsbmod(50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)');
%
% DSB eines Sinus-Signals ergibt ein reines Zweitonsignal:
%
fs = 8000; sound(dsbmod(1000,cos(2*pi*100/fs*(1:fs))),fs)
%
%   Als Variante der AM ist die DSB linear.
%
%
% \bfEinseitenbandmodulation ohne Trger (Single Side Band, SSB)
%
% Sei  {\fontname{Courier}s_a(t)}  das sich aus  {\fontname{Courier}s(t)}  durch Hilbert-Transformation ergebende 
% analytische Signal, dann ergibt sich USB (Upper Side Band) durch
%
%          x(t) = real(s_a(t)*exp(i(2\pif_0t + p)))  %<'FontName',MSVFORMFONT>
%
% und LSB (Lower Side Band) durch
%
%          x(t) = real(s_a(t)*exp(-i(2\pif_0t + p)))  %<'FontName',MSVFORMFONT>
%
% wo  {\fontname{Courier}p}  eine beliebige Phase ist. 
% Der direkten Generierung durch komplexe Multiplikation im Zeitbereich wird hufig 
% die Generierung von  {\fontname{Courier}x}  im Frequenzbereich durch Bandpass-Filterung des DSB-Signals 
% vorgezogen.
%
% USB:
%
ssbmod(50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)',1);
%
% LSB:
%
ssbmod(50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)',-1);
%
% Als Variante der AM ist SSB linear.  SSB kann auch als spezielle Mischform von 
% Amplituden- und Phasenmodulation aufgefasst werden.
%
% Ein Eintonsignal der Frequenz  {\fontname{Courier}f_m}  (hier Kammerton a :  {\fontname{Courier}f_m = 440 Hz} )  liefert 
% mit der Trgerfrequenz  {\fontname{Courier}f_0}  (hier im Tonfrequenzbereich:  {\fontname{Courier}f_0 = 1000 Hz} )  ein 
% Sinussignal der Frequenz  {\fontname{Courier}f_0 + f_m}  bzw.  {\fontname{Courier}f_0 - f_m}  bei USB bzw. LSB:
%
% USB:
%
fs = 8000; sound(ssbmod(1000,cos(2*pi*440/fs*(1:fs)),+1),fs)
%
% LSB:
%
fs = 8000; sound(ssbmod(1000,cos(2*pi*440/fs*(1:fs)),-1),fs)
%
% Zum Vergleich die Trgerfrequenz:
%
fs = 8000; sound(cos(2*pi*1000*(1:fs)/fs),fs)
%
%
% \bfQuadraturamplitudenmodulation (QAM)
%
% Ist die Frequenz  {\fontname{Courier}f_0}  und die Phase  {\fontname{Courier}p}  einer virtuellen Trgerschwingung am 
% Empfangsort genau bekannt, so ist es mglich, die Amplitude einer mit dieser 
% virtuellen Schwingung in Phase schwingenden reellen Schwingung zeitdiskret an den 
% Maxima und Minima zu bestimmen und zustzlich auf die selbe Weise die Amplituden 
% einer um  {\fontname{Courier}\pi/2}  versetzten Schwingung.  Dies wird in folgendem Bild erlutert:
%
qamgraph
%
% Man kann also auf einer Trgerfrequenz  {\fontname{Courier}f_0}  zwei amplitudenmodulierte Schwingungen bertragen:
%
%     x(t) = s_1(t)*cos(2\pif_0t + p) + s_2(t)*sin(2\pif_0t + p).  %<'FontName',MSVFORMFONT>
%
% Zu beachten ist, dass im Gegensatz zur AM die Demodulation nur an diskreten 
% Zeitpunkten stattfindet.  Die zeitkontinuierlichen Signale  {\fontname{Courier}s_1}  und  {\fontname{Courier}s_2}  drfen deshalb 
% keine Frequenzanteile oberhalb von  {\fontname{Courier}f_0}  enthalten (die Abtastfrequenz ist  {\fontname{Courier}2f_0}).
%
% Durch Interpolation kann das zeitkontinuierliche Signal zurckgewonnen werden:
%
qammod(50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)','cos(2*pi*7*t).*(1-cos(2*pi*t))');
%
% Die QAM ist wie alle Varianten der AM linear.
%
% Als Beispiel hier die Tne  a  und  cis  moduliert auf  {\fontname{Courier}f_0 = 1000 Hz} : 
%
fs = 8000; sound(qammod(1000,cos(2*pi*440/fs*(1:fs)),sin(2*pi*554*(1:fs))),fs)
%
% Die QAM kann man auffassen als Multiplikation des komplexen Signals  
% {\fontname{Courier}s(t) = s_1(t) + i*s_2(t)}  mit dem analytischen Trger  {\fontname{Courier}exp(i2\pif_0t)} .  
% Aus dem komplexen Produkt lsst sich zu jeder Zeit  {\fontname{Courier}s(t)}  durch Multiplikation 
% mit  {\fontname{Courier}exp(-i2\pif_0t)}  zurckgewinnen.  Da man aber nur den Realteil aussendet, 
% fehlt zur durchgngigen Demodulation wesentliche Information.  Die Beschrnkung 
% auf vier Abtastpunkte einer Trgerschwingung ist dennoch in der Praxis keine 
% Beschrnkung.
%
%
% \bfAM-PM-Mischformen
%
% Das Modulationssignal der QAM ergibt sich wie oben beschrieben als
%
%     x(t) = real(s(t)*exp(-i2\pif_0t))  %<'FontName',MSVFORMFONT>
%
% {\fontname{Courier}s(t)} kann man in der komplexen Ebene auch in Polarkoordinaten darstellen:
%
%     s(t) = a(t)*exp(i\phi(t))  %<'FontName',MSVFORMFONT>
%
% mit  {\fontname{Courier}a(t) = abs(s(t))}  und  {\fontname{Courier}\phi(t) = arc(s(t)) = arctan(s_2(t)/s_1(t))}
%
% Damit ist 
%
%     x(t) = real(a(t)*exp(i\phi(t))*exp(-i2\pif_0t))  %<'FontName',MSVFORMFONT>
%
%          = real(a(t)*exp(-i(2\pif_0t - \phi(t))))  %<'FontName',MSVFORMFONT>
%
%          = a(t)*cos(2\pif_0t - \phi(t))  %<'FontName',MSVFORMFONT>
%
% Der Trger wird also mit  {\fontname{Courier}a(t)}  in der Amplitude (DSB) und mit  {\fontname{Courier}\phi(t)}  in der Phase 
% moduliert.  Man spricht von einer AM-PM-Mischform, wenn die zwei Basisbandsignale  {\fontname{Courier}s_1}  
% und  {\fontname{Courier}s_2}  direkt amplitudenmoduliert  {\fontname{Courier}(a)}  bzw. phasenmoduliert  {\fontname{Courier}(\phi)}  werden.  
% Sowohl QAM wie auch die Mischform werden bei der digitalen bertragung ber das 
% Fernsprechnetz verwendet.
%
%% bung 3.1  Die folgenden Bilder zeigen fr einige Normen die Reprsentation der 
%% Symbole im komplexen Signalraum.  Entscheiden Sie anhand der Lage der diskreten 
%% Punkte, ob es sich um QAM oder um eine Mischform handelt.
%%
v22bis(30);
%%
v27bis(30);
%%
v29(30);
%
%% Die Lsung ist (siehe Kommandofenster)
lsg_3_1
%%
%% Der bei den Aufrufen der Signalraumdiagramme angegebene Parameter ist ein Mass fr 
%% den Signal-Rausch-Abstand in dB.  Sie knnen an dieser Stelle schon einmal durch 
%% die Simulation nachvollziehen, wozu es die Abstufung der Bitraten gibt:
%%
v29(12);
%%
v29(18);
%
v29(24);
%
v29(40);
%
%
% \bfPuls-Code-Modulation (PCM)
%
% Neben der Modulation unter Benutzung einer sinusfrmigen Trgerschwingung gibt es 
% Modulationsarten, die Impulse (meist rechteckiger Form) benutzen.  Bei der 
% Pulscodemodulation handelt es sich um ein zeitdiskretes quidistantes Abtasten 
% von  {\fontname{Courier}s(t)}  und Wiedergabe des jeweils zuletzt abgetasteten Wertes, der meist quantisiert wird:
%
%     x(t) = s(T*floor((t-t0)/T) + t0),  %<'FontName',MSVFORMFONT>
%
% wo  {\fontname{Courier}t0}  der Zeitpunkt der ersten Abtastung ist und  {\fontname{Courier}T}  der Abstand der Abtastungen.
%
pcmod(1,20,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)',6);
%
% PCM an sich ist linear.  Sie wird aber nur in Zusammenhang mit einer Quantisierung 
% der abgetasteten Werte in endlich viele Niveaus benutzt.  Durch diese Quantisierung 
% ergibt sich eine Nichtlinearitt.
%
% Alle auf Impulsen basierende Modulationsarten knnen nicht sinnvoll als Audiosignal 
% demonstriert werden:
%
fs = 8000; sound(pcmod(1,fs,cos(2*pi*440/fs*(1:fs)),4),fs)
%
%
% \bfPuls-Dauer-Modulation
%
% Bei der Pulsdauermodulation wird  {\fontname{Courier}s(t)}  wie bei PCM quidistant abgetastet.  
% Der abgetastete Wert bestimmt jedoch die Lnge eines Pulses beginnend zum 
% Abtastzeitpunkt.  Diese Lnge kann quantisiert sein.  {\fontname{Courier}x(t)}  kann nur zwei Werte annehmen.
%
pdmod(1,50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)',8);
%
% Audio:
%
f1 = 1000; fs = 8000; sound(pdmod(1,f1,cos(2*pi*220/f1*(1:f1)),4),fs)
%
%
% \bfKaskadierung von Modulationsarten
%
% ber die behandelten Modulationsarten hinaus ist es mglich, weitere Stufen von 
% Modulationen einzufhren, d.h. fr die bertragung der Information  {\fontname{Courier}I}  ist 
% folgende Kette von Reprsentationen zu durchlaufen:
%
%        I ==> s ==> x ==> y ==> x ==> s ==> I  %<'FontName',MSVFORMFONT>
%
% Wichtige Methoden hherer Modulationsstufen werden im  Kapitel 13  mit den 
% Spread-Spektrum-Verfahren behandelt.
%