%
%
%3.2  Spektrale Eigenschaften%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Die Spektren linearer Modulationsarten lassen sich einfach berechnen.  
% Zunchst betrachten wir den Fall der Zweiseitenbandmodulation ({\bfDSB}) mit einem 
% Cosinus der Frequenz  {\fontname{Courier}f_1} 
%
%         x(t) = cos(2\pif_1t)*cos(2\pif_0t)  %<'FontName',MSVFORMFONT>
%
%              = 0.5*cos(2\pi(f_0-f_1)t) + 0.5*cos(2\pi(f_0+f_1)t)  %<'FontName',MSVFORMFONT>
%
% Das modulierte Signal besteht also aus zwei Cosinus-Komponenten der 
% Frequenzen  {\fontname{Courier}f_0-f_1}  und  {\fontname{Courier}f_0+f_1}.  Damit ist das Spektrum schon berechnet.
%
% Die hergeleitete Beziehung gilt fr jede spektrale Komponente eines beliebigen 
% Signals  {\fontname{Courier}s}.  Da die DSB-Modulation linear ist, ergibt sich das Spektrum des 
% modulierten Signals als Summe der Spektren der DSB-modulierten Komponenten.  
% Das Spektrum des modulierten Signals ist deshalb gleich dem um  {\fontname{Courier}f_0}  verschobenen Spektrum 
% des Signals  {\fontname{Courier}s}  plus seinem Spiegel an  {\fontname{Courier}f = f_0} .
%
% Die Amplitudenmodulation ({\bfAM}) benutzt anstelle des Signals  {\fontname{Courier}s(t)}  als Amplitudenfaktor 
% {\fontname{Courier}(1 + s(t))} .  Fr das obige Beispiel ergibt sich also
%
%         x(t) = (1 + cos(2\pif_1t))*cos(2\pif_0t)  %<'FontName',MSVFORMFONT>
%
%              = cos(2\pif_0t) + 0.5*cos(2\pi(f_0-f_1)t) + 0.5*cos(2\pi(f_0+f_1)t)  %<'FontName',MSVFORMFONT>
%
% Das Spektrum der AM ist damit gleich dem der DSB plus der Trgerschwingung der 
% Frequenz  {\fontname{Courier}f_0} . 
%
% Bei {\bfSSB} wird nur das obere (USB) bzw. das untere Seitenband (LSB) bertragen.  
% Die USB-Modulation ist daher nur eine spektrale Verschiebung um die Frequenz  {\fontname{Courier}f_0} .
%
% Die QAM ist eine auf der Cosinus- und der Sinusschwingung unabhngig aufgebrachte DSB. 
% Aus diesen ergibt sich das Spektrum additiv.
%
% Die Berechnung des Spektrums der Winkelmodulationen {\bfPM} und {\bfFM} ist ganz wesentlich 
% aufwndiger.  Wir begngen uns mit der Aussage, dass diese Spektren nicht wie die 
% oben behandelten Varianten der Amplitudenmodulation mit einer Bandbegrenzung des 
% Signals  {\fontname{Courier}s}  automatisch auch bandbegrenzt sind.
%
% Die Spektren der verschiedenen Modulationsarten sind in folgenden Bildern 
% fr zwei einfache zu modulierende Signale dargestellt:
%
% Eintonsignal:
%
modspec(1)
%% Bei fokussiertem Bild h tippen fr Hilfe zur Interaktivitt.
%
%  Zweitonsignal:
%
modspec(2)
%
%
% Deutlich zu sehen ist in diesen Bildern, dass FM und PM schon bei einfachsten zu 
% modulierenden Signalen ein komplexes Spektrum besitzen, das zwar die Energie im 
% wesentlichen auf ein Band beschrnkt, aber nicht vollstndig auf dieses Band 
% beschrnkt ist im Gegensatz zu allen Varianten der AM.
%
% Da der Frequenzbereich aus gutem Grund eine staatlich verwaltete und teure 
% Ressource ist, kommt dem Spektrum hohe Bedeutung zu.
%
%
%% bung 3.2   Es soll PCM durch AM (DSB, USB) bertragen werden.  Das PCM-Signal 
%% werde modelliert durch ein einfaches periodisches Rechteck der Periode  {\fontname{Courier}T}:  
%% {\fontname{Courier}s(t) = 2*(mod(t/T,2)>1)-1}  
%% Wie sieht das Spektrum des modulierten Signals bei folgenden Modulationsarten aus: 
%% AM, DSB, USB, LSB?  Lsen Sie diese Aufgabe nicht numerisch sondern formal!
%