%
%
%4.2  Kohrente AM-Demodulation%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-4,'Color',MSVTITLCOLOR>
%
%
%
% Bei der kohrenten AM-Demodulation wird die Trgerschwingung im Demodulator phasenrichtig, 
% jedoch mit konstanter Amplitude rekonstruiert.  Das analytische AM-Signal  {\fontname{Courier}x_a}  wird mit dem 
% konjugiert komplexen des rekonstruierten analytischen Trgers  {\fontname{Courier}s_a}  multipliziert:
%
% analytisches AM-Signal:   a(t) e^{i\omegat}       %<'FontName',MSVFORMFONT>
% Trger konjugiert:             e^{-i\omegat}      %<'FontName',MSVFORMFONT>
% Produkt:                  a(t)                    %<'FontName',MSVFORMFONT>
%
n  = 500;                       % Anzahl Samples
g  = 30;                        % Filtergrad fr Hilbertfilter
fs = 1000;                      % Abtastrate
t  = (0:n-1)/fs;                % diskreter Zeitbereich
f0 = 100; f1 = 15;              % Trgerfrequenz und Basisbandfrequenz
s0 = sin(2*pi*f0*t);            % Trgerschwingung reell
s1 = 0.4*sin(2*pi*f1*t);        % Basisbandsignal reell
x  = (0.5 + s1).*s0;            % AM reell
xa = real2analyt(x,g);          % AM analytisch
pe = 0.1*pi;                    % Phasenfehler der Trgerrekonstruktion
sr = sin(2*pi*f0*t + pe);       % rekonstruierter Trger reell
sa = real2analyt(sr,g);         % rekonstruierter Trger analytisch
ys = real(conj(sa).*xa) - 0.5;  % Demodulation durch Multiplikation
fh = fullscreen('Sync-Demod'); 
subplot(3,1,1); plot(t,real(s1)); axis(0.5*[0 1 -1 1]); title('Basisbandsignal')
subplot(3,1,2); plot(t,real(x));  title('AM-Signal')
subplot(3,1,3); plot(t,delay(ys,-g/2)); axis(0.5*[0 1 -1 1]);  title('demoduliertes Signal')
%
% Am Anfang des demodulierten Signals sieht man den Einschwingvorgand des Hilbertfilters. 
% Am Ende liegen wegen der Verzgerung um  {\fontname{Courier}g/2 = 15}  Abtastungen noch keine Werte vor:
%
% Oben wurde ein Phasenfehler von  {\fontname{Courier}\pi/10}  angenommen.  Dies fhrt zu einem kaum 
% merklichen konstanten Versatz des demodulierten Signals und zu etwas kleinerer Amplitude.
%
% Verzerrungen durch selektives Fading treten nicht auf, jedoch hat dieses Fading Einfluss 
% auf die Phase des rekonstruierten Trgers.  Verzerrungen lassen sich deshalb nicht 
% vollstndig vermeiden, wenn der Trger aus der Rekonstruktion gewonnen werden muss.
%
%% bung 4.2.  Wie ndert sich das demodulierte Signal, wenn der Phasenfehler grsser ist als 
%% im obigen Skript angenommen?
%%
%% Demodulieren Sie unter Benutzung einer um 1% falschen Trgerfrequenz.
%