%
%
%4.5  QAM-Demodulation%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Die Demodulation der QAM erfordert die Kenntnis der Phase des Trgers, sie muss also 
% kohrent erfolgen.  An den Nulldurchgngen des Sinusanteils wird die Amplitude des 
% Cosinusanteils bestimmt und an den Nulldurchgngen des Cosinusanteils die Amplitude 
% des Sinusanteils.
%
% Wir generieren ein QAM-Testsignal der Abtastfrequenz  {\fontname{Courier}f_s = 1000 Hz}  und 
% der Trgerfrequenz  {\fontname{Courier}f_0 = 50 Hz} .  Die Lnge der Trgerschwingung betrgt also 
% genau  {\fontname{Courier}f_s/f_0 = 20}  Samples.  Die Maxima der Cosinusschwingung liegen bei den 
% Sampleindices  {\fontname{Courier}1 + k*f_s/f_0  (k=1,2,3,...)} , die Minima bei
% {\fontname{Courier}1 + (k+1/2)*f_s/f_0}  und die Maxima und Minima der Sinusschwingung bei 
% {\fontname{Courier}1 + (k+1/4)*f_s/f_0}  bzw.  {\fontname{Courier}1 + (k+3/4)*f_s/f_0} .  Damit ist der Demodulator:
%
fs = 1000;  f0 = 50;                      % Abtastfrequenz und Trgerfrequenz
x  = qammod(f0);                          % QAM-Testsignal der Trgerfrequenz f0
s1 = x(1:fs/f0/2:length(x));              % Abtastung der Maxima und Minima des Cosinus
s1(2:2:length(s1)) = -s1(2:2:length(s1)); % Vorzeichenumkehr bei den Minima
s2 = x(1+fs/f0/4:fs/f0/2:length(x));      % Abtastung der Maxima und Minima des Sinus
s2(2:2:length(s1)) = -s2(2:2:length(s1)); % Vorzeichenumkehr bei den Minima
fh = fullscreen('QAM-Demod'); plot([s1;s2]') % Darstellung
legend('s1','s2',0)
%
% Ein Vergleich mit dem Testsignal zeigt, dass die Demodulation korrekt ist:
%
qammod(f0);
%
% Hier einige Versuche mit Fehlern der Trgerparameter:  
%
% {\fontname{Courier}Falsche Frequenz}
qammod(50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)','cos(2*pi*7*t).*(1-cos(2*pi*t))',50.5);
%
% {\fontname{Courier}Falsche Phase}
qammod(50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)','cos(2*pi*7*t).*(1-cos(2*pi*t))',50,0.5);
%
% {\fontname{Courier}Falsche Phase}
qammod(50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)','cos(2*pi*7*t).*(1-cos(2*pi*t))',50,pi/2);
%
% Im letzten Fall ist der Phasenfehler  {\fontname{Courier}+\pi/2} .  Damit wird die Sinus-Amplitude als die des 
% Cosinus interpretiert und die Cosinus-Amplitude erscheint mit umgekehrtem Vorzeichen als 
% Sinus-Amplitude.
%
