%
%
%4.6  SSB- und DSB-Demodulation%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-4,'Color',MSVTITLCOLOR>
%
%
%
% DSB und SSB bentigen zu ihrer Demodulation den phasenrichtigen Trger.  
% Er wird jedoch nicht bertragen.  Fr die bertragung digitaler Information, 
% wo es auf unverzerrte Impulsformen, also auf korrekte Phasen ankommt, ist SSB 
% nicht geeignet.  Wegen seiner Effizienz wird im Kurzwellenbereich zur analogen 
% Sprachbertragung jedoch fast ausschliesslich SSB eingesetzt.  Man kann dies tun, 
% weil das menschliche Hr-Organ unempfindlich fr Phasen ist.  Selbst Frequenzver-
% schiebungen des gesamten Sprachspektrums fhren nur zu Vernderungen, die denen 
% einer zugeklemmten Nase hnlich sind.  Im Gegensatz zu SSB ist bei DSB eine 
% Trgerrckgewinnung mglich, weil zwei symmetrische Seitenbnder existieren. 
% Dies wird im Abschnitt 7.2 ausfhrlich behandelt.
%
%
% \bfSSB
%
% {\fontname{Courier}Oberes Seitenband (USB)}
ssbmod(50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)',1);
%
% {\fontname{Courier}Unteres Seitenband (LSB)}
ssbmod(50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)',-1);
%
% {\fontname{Courier}Falsche Frequenz}
ssbmod(50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)',1,50.5);
%
% Ein Hrbeispiel fr eine Differenz von  {\fontname{Courier}df = 200 Hz}  zwischen Sendertrger 
% und zur Demodulation benutzter Frequenz gibt folgende Simulation:
%
df = 200;                  % Veratz des Sprachspektrums in Hz
fs = 8000;                 % Abtastfrequenz
load 'sprache.mat';        % ldt ein Sample auf die Variable x
[b,a] = fernsprechkanal;   % Sprachfilter-Entwurf
y = filter(b,a,x);         % Sprachfilter
sound(y,fs); pause(1)      % Audioausgabe
ya = real2analyt(y',30);   % Sample analytisch
t  = (1:length(ya))/fs;    % diskreter Zeitbereich
za = ya.*exp(i*2*pi*df*t); % Frequenzversatz
z = real(za/max(abs(za))); % Normierung auf den Bereich  -1 ... +1
sound(filter(b,a,z),fs)    % Audioausgabe
%
% Sende- und Empfangsgerte sind heute auf wenigstens  {\fontname{Courier}10 Hz}  genau einstellbar. 
% Das reicht offenbar vllig aus zur Sprachbertragung, nicht jedoch fr Musikbertragung.
%
%
% \bfDSB
%
% Wegen der Symmetrie des DSB-Spektrums ist der Trger prinzipiell rekonstruierbar. 
% Wir begngen uns hier nur mit zwei kleinen Demos (siehe Abschnitt 7.2):
%
dsbmod(50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)');
%
% {\fontname{Courier}Falsche Frequenz}
dsbmod(50,'0.5*sin(2*pi*3*t)+0.3*cos(2*pi*5*t)',50.5);
%
