%
%
%6.1.  Zeit-Bandbreite-Produkt%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Ein um  {\fontname{Courier}t = 0}  symmetrischer Rechteckimpuls der Amplitude und der zeitlichen 
% Ausdehnung  {\fontname{Courier}2T}  werde symbolisch geschrieben in folgender Form:
%
syms t T;
rpuls = 'Heaviside(t+T) - Heaviside(t-T)';
%  
% Seine Fouriertransformierte ist
%
syms w;
P = simplify(fourier(rpuls,t,w));
pretty(P)
%%  Resultat im Kommandofenster:  {\fontname{Courier}P = 2*sin(T*\omega)/\omega}
%
% Eine graphische Darstellung im Zeit- und Frequenzbereich bietet (wobei wir hier  {\fontname{Courier}T}  
% als  {\fontname{Courier}T_0 = 1}  festlegen):
%
syms t w;
fourierplot('Heaviside(t+0.5)-Heaviside(t-0.5)',t,w,[-3,3],[-100,100])
%
% Umgekehrt liefert ein rechteckfrmiges Spektrum zwischen  {\fontname{Courier}\omega_1}  und  {\fontname{Courier}\omega_2}  einen in 
% Vergangenheit und Zukunft unendlich ausgedehnten Impuls.  Da wir ein reelles 
% Zeitsignal mchten, mssen wir die Spektralfunktion symmetrisch annehmen:
%
syms w W1 W2;
spuls = 'Heaviside(w+W1)-Heaviside(w-W1)-Heaviside(w+W2)+Heaviside(w-W2)';
%
% Impuls im Zeitbereich:
%
syms t;
p = simplify(ifourier(spuls,w,t));
pretty(p)
%% Resultat im Kommandofenster:  {\fontname{Courier}(sin(W1*t)-sin(W2*t))/pi/t}
%
% Die graphische Darstellung im Zeit- und Frequenzbereich bietet (wobei wir hier  {\fontname{Courier}\omega_1 = 30}  und  
% {\fontname{Courier}\omega_2 = 20}  festlegen):
%
syms t w;
ifourierplot('Heaviside(w+30)-Heaviside(w-30)-Heaviside(w+20)+Heaviside(w-20)',w,t,[-100,100],[-5,5])
%
% Beide Impulse, das Rechteck im Zeitbereich sowie das Rechteck im Frequenzbereich 
% sind Extreme.  Wir werden im Abschnitt 6.5 Zwischenformen diskutieren, die sowohl im 
% Zeit- wie auch im Frequenzbereich gengend beschrnkt sind, um praktisch brauchbar 
% zu sein. 
%
% In der Nachrichtentechnik interessiert man sich fr den Flchenbedarf eines Impulses 
% in der Zeit-Frequenz-Ebene.  Dazu definiert man je eine Funktion zur Berechnung der 
% zeitlichen Lnge  {\fontname{Courier}\DeltaT}  und der Bandbreite  {\fontname{Courier}\DeltaF}  aus der Impulsform  {\fontname{Courier}p(t)}.  
% {\fontname{Courier}\DeltaT}  und  {\fontname{Courier}\DeltaF}  hngen von der Wahl der Funktionsdefinitionen ab.  Jedoch ergibt sich qualitativ 
% immer das selbe Bild, dass nmlich   {\fontname{Courier}\DeltaT*\DeltaF > q}  , wo  {\fontname{Courier}q}  eine von den Definitionen der Funktionen 
% abhngige Konstante ist.
%
% Wir diskutieren ein Beispiel:
%
% {\fontname{Courier}p(t)}  sei so normiert, dass
%
%  +\infty                     +\infty             %<'FontName',MSVFORMFONT>
%   _{\fontsize{24}\int} p(t)^2  dt = 1    ;    _{\fontsize{24}\int} t p(t) dt = 0   %<'FontName',MSVFORMFONT>
%  -\infty                     -\infty             %<'FontName',MSVFORMFONT>
%
% Dann gilt die Normierung von  {\fontname{Courier}P(\omega)}  im Frequenzbereich
%
%  +\infty   %<'FontName',MSVFORMFONT>
%   _{\fontsize{24}\int} |P(\omega)|^2 d\omega = 2\pi   %<'FontName',MSVFORMFONT>
%  -\infty   %<'FontName',MSVFORMFONT>
%
% Nun wird (in diesem Beispiel) definiert:
%
%             +\infty   %<'FontName',MSVFORMFONT>
%   \DeltaT = sqrt( _{\fontsize{24}\int} |t p(t)|^2 dt )   %<'FontName',MSVFORMFONT>
%             -\infty   %<'FontName',MSVFORMFONT>
%
%             +\infty   %<'FontName',MSVFORMFONT>
%   \DeltaF = sqrt( _{\fontsize{24}\int} |\omega P(\omega)|^2 d\omega )   %<'FontName',MSVFORMFONT>
%             -\infty   %<'FontName',MSVFORMFONT>
%
% Mit dieser Definition erhlt man (siehe z.B. Kammeyer):
%
%         \DeltaT * \DeltaF \geq sqrt(\pi/2)   %<'FontName',MSVFORMFONT>
%
% Obwohl die unendlichen Integrale fr einige Impulsformen in geschlossener Form 
% berechenbar sind, nehmen wir hier an , dass  {\fontname{Courier}p(t)}  mit der Abtastfrequenz  {\fontname{Courier}f_a}  
% abgetastet im Vektor  {\fontname{Courier}p}  vorliegt.  Die Integrale werden dann durch endliche Summen ersetzt.
%
% Zunchst erzeugen wir einige Impulsformen.
%% Sie knnen mit den Zifferntasten 1 ... 5 hervorgehoben werden:
%
fa = 8000;            % Abtastfrequenz in Hz
fs = 100;             % Schrittfrequenz Symbole / Sekunde
n  = 500;             % halbe Anzahl der betrachten Abtastungen
t  = (-n:n)/fa;       % Zeitbereich
pc = (t>-1/fs).*(t<1/fs).*(1+cos(pi*fs*t))/2; % Raised-Cosine-Impuls
pg = exp(-(pi*(-n:n)*fs/fa/2).^2);            % Gauss-Impuls
pr = rectpuls(-n:n,fa/fs);                    % Rechteckimpuls
ps = sinc((-n:n)*fs/fa);                      % sinc-Impuls
pt = tripuls(-n:n,2*fa/fs,0);                 % Dreiecksimpuls
fh = fullscreen('Impulsformen'); plot([pg; pr; ps; pt; pc]')
axis([1 2*n-1 -0.5 1.2]); axis off; set(gca,'Position',[0 0 1 1])
set(gcf,'UserData',{zeros(1,8); 1.2*ones(1,8); {}},'KeyPressFcn','hervorhebung');
legend('Gauss-Impuls','Rechteck-Impuls','Sinc-Impuls','Dreiecks-Impuls','RC-Impuls')
%
% Die Normierung ergibt (beim Sinc-Impuls nicht genau wegen Abschneidung)
%
pcn = pc/sqrt(sum(pc.^2)/fa);  pgn = pg/sqrt(sum(pg.^2)/fa);  
prn = pr/sqrt(sum(pr.^2)/fa);  psn = ps/sqrt(sum(ps.^2)/fa);  
ptn = pt/sqrt(sum(pt.^2)/fa);  
fh2= fullscreen('Impulsformen'); plot([pgn; prn; psn; ptn; pcn]')
axis([1 2*n-1 -3 14]); axis off; set(gca,'Position',[0 0 1 1])
set(gcf,'UserData',{zeros(1,8); 1.2*ones(1,8); {}},'KeyPressFcn','hervorhebung');
legend('Gauss-Impuls','Rechteck-Impuls','Sinc-Impuls','Dreiecks-Impuls','RC-Impuls')
%
% Nun kann die oben definierte Impulsdauer  {\fontname{Courier}\DeltaT}  berechnet werden:
%
DTc = sqrt(sum((t.*pcn).^2)/fa),  DTg = sqrt(sum((t.*pgn).^2)/fa),
DTr = sqrt(sum((t.*prn).^2)/fa),  DTs = sqrt(sum((t.*psn).^2)/fa),
DTt = sqrt(sum((t.*ptn).^2)/fa),
%% Die Ergebnisse erscheinen im Kommandofenster.
%
%% Nun  {\fontname{Courier}\DeltaF}  berechnen und  {\fontname{Courier}\DeltaT*\DeltaF}:
%
PCN = abs(fft(pcn)/fa); PGN = abs(fft(pgn)/fa); PRN = abs(fft(prn)/fa); 
PSN = abs(fft(psn)/fa); PTN = abs(fft(ptn)/fa);
dw  = 2*pi*fa/length(pcn);
w   = dw*[0:floor(length(pcn)/2)-1  -ceil(length(pcn)/2):-1];
DFc = sqrt(dw*sum((w.*PCN).^2)), DFg = sqrt(dw*sum((w.*PGN).^2)),
DFr = sqrt(dw*sum((w.*PRN).^2)), DFs = sqrt(dw*sum((w.*PSN).^2)),
DFt = sqrt(dw*sum((w.*PTN).^2)),
pc = DTc*DFc,  pg = DTg*DFg,  pr = DTr*DFr,  
ps = DTs*DFs,  pt = DTt*DFt,
%
% Das Zeit-Bandbreite-Produkt des Gauss-Impulses ist offenbar minimal.  Fast genauso 
% gut ist jedoch der Raised-Cosine-Impuls, der gegenber dem Gauss-Impuls den Vorteil 
% der Intersymbolinterferenzfreiheit hat.
%
% Man beachte, dass der fr den Gauss-Impuls berechnete Wert identisch ist mit dem 
% theoretischen Wert  {\fontname{Courier}sqrt(\pi/2) = 1.2533}  .
%  
% Die vorangegangene Diskussion des Zeit-Bandbreite-Bedarfs von Impulsen ging von 
% Rechteckflchen in der Zeit-Frequenz-Ebene aus.  Wir wollen das jetzt aufgeben, 
% um spter die Energie beliebig in dieser Ebene verteilen zu knnen. 
%
% Die Bedeutung des Zeit-Frequenz-Diagramms ist aber nicht so einfach, wie es 
% zunchst scheint.  Das Spektrum ist ja eine Funktion der Frequenz und der Impuls 
% eine Funktion der Zeit.  Die jeweils andere Variable kommt in den beiden Funktionen 
% nicht mehr vor.  Eine Darstellung ber der Zeit-Frequenz-Ebene ist nur mglich, 
% wenn man in Zeitintervallen die Momentanspektren berechnet.  Die Frequenzauflsung  {\fontname{Courier}\deltaf}  
% der Momentanspektren ist dabei umgekehrt proportional zur Lnge des benutzten 
% Zeitintervalls  {\fontname{Courier}\deltat}.  Es gilt also eine Unschrferelation 
%
%         \deltat * \deltaf \geq q   %<'FontName',MSVFORMFONT>
%
% Zur Abschtzung von  {\fontname{Courier}q}  sei angenommen, dass alle Signale mit der Abtastfrequenz  {\fontname{Courier}f_a}  
% abgetastet werden.  Nimmt man jeweils  {\fontname{Courier}n}  Abtastungen, um deren Spektrum durch FFT zu 
% bestimmen, so hat man
%
%         \deltat = n/f_a   %<'FontName',MSVFORMFONT>
%
% Die FFT liefert dann  {\fontname{Courier}n}  quidistante Punkte des Spektrums von  {\fontname{Courier}0}  bis  {\fontname{Courier}f_a} .  Also ist
%
%         \deltaf = f_a/n   %<'FontName',MSVFORMFONT>
%
% Damit erhlt man
%
%         \deltat * \deltaf \geq 1   %<'FontName',MSVFORMFONT>
%
% Man wird bei der Spektralberechnung ein geeignetes Fenster verwenden mssen, was die 
% Auflsung verschlechtert.    {\fontname{Courier}q = 1}   ist deshalb nur als Richtwert zu betrachten.  
% Eine absolute Grenze wird in der Quantentheorie hergeleitet als Unschrfe  {\fontname{Courier}\deltat * \deltaf \geq 1/4\pi} .  
% Sie betrifft die simultane Messung von Zeit und Frequenz. 
%
% Zur Darstellung von Impulsen in der Zeit-Frequenz-Ebene benutzen wir die Funktion  
% {\fontname{Courier}zeitspecgraph}:
%
%  zeitspecgraph(puls,fa,dt,sc)                               %<'FontName',MSVFORMFONT>
%  Darstellung eines Impulses ber der Zeit-Frequenz-Ebene    %<'FontName',MSVFORMFONT>
%  puls :  im Zeitbereich abgetasteter Impuls                 %<'FontName',MSVFORMFONT>
%  fa   :  Abtastfrequenz fr den Impuls                      %<'FontName',MSVFORMFONT>
%  dt   :  Breite der Zeitintervalle fr die Momentanspektren %<'FontName',MSVFORMFONT>
%          in Abtastschritten von  puls ==> df = fa/dt        %<'FontName',MSVFORMFONT>
%  sc=0 :  lineare Skalierung                                 %<'FontName',MSVFORMFONT>
%  sc=1 :  Quadratwurzel-Skalierung (Default)                 %<'FontName',MSVFORMFONT>
%  sc=3 :  logarithmische Skalierung                          %<'FontName',MSVFORMFONT>
%
% Als Beispiel dient im folgenden ein Rechteck-Impuls.
%
% Schlechte zeitliche Auflsung  {\fontname{Courier}\deltat = 10 ms}  bedingt gute Frequenzauflsung:
pl = 0.002;  % Impulsdauer 2 ms
fa = 8000;   % Abtastfrequenz 8 kHz
dt = 0.01;   % zeitliche Auflsung der Momentanspektren 10 ms
n  = 50;     % Anzahl der Abtastungen vor (bzw.nach) dem Zeitnullpunkt   
zeitspecgraph(rectpuls(-n:n,fa*pl),fa,fa*dt,1);
%
% Angepasste zeitliche Auflsung  {\fontname{Courier}\deltat = 2 ms}  liefert entsprechend angepasste Frequenzauflsung:
pl = 0.002;  % Impulsdauer 2 ms
fa = 8000;   % Abtastfrequenz 8 kHz
dt = 0.002;  % zeitliche Auflsung der Momentanspektren 2 ms
n  = 50;     % Anzahl der Abtastungen vor (bzw.nach) dem Zeitnullpunkt   
zeitspecgraph(rectpuls(-n:n,fa*pl),fa,fa*dt,1);
%
% Zu gute zeitliche Auflsung  {\fontname{Courier}\deltat = 0.5 ms}  bedingt schlechte Frequenzauflsung:
pl = 0.002;  % Impulsdauer 2 ms
fa = 8000;   % Abtastfrequenz 8 kHz
dt = 0.0008; % zeitliche Auflsung der Momentanspektren 0.8 ms
n  = 50;     % Anzahl der Abtastungen vor (bzw.nach) dem Zeitnullpunkt   
zeitspecgraph(rectpuls(-n:n,fa*pl),fa,fa*dt,1);
%
% Im Abschnitt 6.5 werden verschiedene Impulsformen bezglich ihres Zeit-Frequenzbedarfes 
% und anderer Kriterien detailliert untersucht.
%