%
%
%6.2.  Augendiagramm und  %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%        Signalraumdiagramm %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Das zu sendende Signal, im Falle der Modulation das zu modulierende entsteht durch 
% Faltung der zeitdiskreten Folge der Symbole mit dem ausgewhlten Sendeimpuls. 
% Die Symbolfolge ist fr die digitale Realisierung dabei durch Einfgung von Nullen 
% auf die selbe Abtastrate zu bringen wie der abgetstete Impuls.
%
% Einige Beispiele sollen dies veranschaulichen:
%
% Impuls:  \bfDreieck;
symbolfolge = [0 0 0 1 0 0 0];  % genau einen Impuls senden
impulsfolge(symbolfolge,'tri');
%
% Impuls:  \bfDreieck;
symbolfolge = [-1  1 -1  1  1  1 -1 -1  1  1 -1]; % 2-stufig
impulsfolge(symbolfolge,'tri');                   % Impulsfolge senden
%
% Impuls:  {\bfRechteck} 2-stufige PCM;
symbolfolge = [-1  1 -1  1  1  1 -1 -1  1  1 -1]; % 2-stufig
impulsfolge(symbolfolge,'Rect');                  % Impulsfolge senden
%
% Impuls:  {\bfRechteck} 4-stufige PCM;
symbolfolge = randx(32,-1:2/3:+1.001);            % 4-stufig
impulsfolge(symbolfolge,'Rect');                  % Impulsfolge senden
%
% Impuls:  {\bfRechteck} 16-stufige PCM;
symbolfolge = randx(128,-1:2/15:+1.001);          % 16-stufig
impulsfolge(symbolfolge,'Rect');                  % Impulsfolge senden
%
% Impuls:  {\bfRaised Cosine}  im Zeitbereich
symbolfolge = [-1  1 -1  1  1  1 -1 -1  1  1 -1]; % 2-stufig
impulsfolge(symbolfolge,'RC');                    % Impulsfolge senden
%
% Bei Impulsformen, die in Richtung geringen Bandbreitebedarfs optimiert sind, 
% ist - insbesondere unter Strungen - nicht gut zu erkennen, ob eine problemlose 
% Datenentscheidung mglich ist. 
%
% Beispiel:  {\bfsinc}-Impuls, Symbole 4-stufig, keine Strung
symbolfolge = randx(64,-1:2/3:+1.001);            % 4-stufig
impulsfolge(symbolfolge,'Sinc');                  % Impulsfolge senden
%
% Eine wesentlich aussagekrftigere Darstellung gewinnt man durch Darstellungen, 
% die in folgenden Abschnitten besprochen werden:
%
nt_6_2_1 %MSV 6.2.1  Augendiagramm
%
nt_6_2_2 %MSV 6.2.2  Signalraumdiagramm
%