%
%
%6.2.1  Augendiagramm%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Im vorigen Abschnitt wurde gezeigt, dass Darstellungen von Empfangssignalen ber der 
% Zeit nicht gut geeignet sind zur Beurteilung, wie gut eine Datenentscheidung vorgenommen 
% werden kann.
%
% Mit einer kleinen nderung, nmlich dem Schritt-synchronen bereinanderblttern dieser 
% Darstellung, erreicht man das Gewnschte.  Man zerschneidet das Bild also in Stcke der 
% Lnge eines Schrittes, wobei der Abtastzeitpunkt in der Mitte liegt, und zeichnet alle 
% diese Stcke bereinander.  Das selbe kann man mit einem Oszilloskop bei einer aktuellen
% bertragung machen durch Triggerung der Zeitablenkung mit dem Schritttakt.
%
% Beispiele:
%
% Impuls:  \bfRaised Cosine
symbolfolge = [-1  -1  1  1  -1];                 % 2-stufig
augendiagramm(impulsfolge(symbolfolge,'rc',20),200,10);
%
% Dieses Diagramm heisst aus offensichtlichem Grund {\bfAugendiagramm}.
%
% Das selbe mit weissem Rauschen und Tiefpass-gefiltert:
symbolfolge = randb(200,[-1 +1]);                 % 2-stufig zufllig
x = filter(fir1(40,0.1),1,add_awgn(impulsfolge(symbolfolge,'rc',20),1,5));
augendiagramm(x(40:end),200,10)
%
% Es ist gut zu erkennen, dass die Datenentscheidung in diesem Fall trotz des Rauschens 
% korrekt erfolgen kann, selbst wenn der Abtastzeitpunkt nicht ganz genau getroffen wird.
%
% Bei {\fontname{Courier}m}-stufiger bertragung entstehen im Diagramm   {\fontname{Courier}m - 1}   Augen:
m = 4;                                            % Anzahl der Stufen
symbolfolge = randx(200,-1:2/(m-1):1.001);        % 4_stufig zufllig
augendiagramm(impulsfolge(symbolfolge,'rc',10),100,10,1,[],(-1:2/(m-1):+1.001))
%
% Bei hoher Stufigkeit muss das Signal nahezu strungsfrei sein.  Ausserdem wird die 
% Breite der Augenffnung enger.  Die Zeitpunkte des Schritt-Taktes mssen dann beim 
% Empfnger wesentlich genauer bekannt sein als bei zweistufiger bertragung.  Dies 
% hngt stark von der gewhlten Impulform ab.
%
% {\bfRaised-Cosine}  16-stufig:
m = 16;
symbolfolge = randx(200,-1:2/(m-1):1.001);
augendiagramm(add_awgn(impulsfolge(symbolfolge,'rc',10),1,36),100,10,1,[],(-1:2/(m-1):+1.001))
%
% {\bfRechteck}  16-stufig:
m = 16;
symbolfolge = randx(200,-1:2/(m-1):1.001);
augendiagramm(add_awgn(impulsfolge(symbolfolge,'rect',10),1,36),100,10,1,0.45,(-1:2/(m-1):+1.001))
%
% {\bfSinc} 16-stufig:
m = 16;
symbolfolge = randx(500,-1:2/(m-1):1.001);
augendiagramm(add_awgn(impulsfolge(symbolfolge,'sinc',10),1,36),100,10,1,[],(-1:2/(m-1):+1.001))
%
% Die letzten Beispiele zeigen, dass das Auge im Augendiagramm zwei wichtige Parameter hat:
%
%  *   Die  {\bfvertikale Augenffnung} .  Sie entspricht dem Stufenabstand  {\fontname{Courier}-2*(maximales Rauschen)}
%
%  *   Die  {\bfhorizontale Augenffnung} .  Sie ergibt sich aus der benutzten Impulsform und wird 
%       durch das Rauschen zustzlich verringert.
%
% Eine kleine horizontale Augenffnung stellt hohe Anforderungen an die Rekonstruktion 
% des Schritt-Taktes.
%