%
%
%6.2.2  Signalraumdiagramm%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Das Augendiagramm ist eine hervorragende Darstellung fr reelle Signale.  Die Trennung 
% von Symbolen in der komplexen Ebene kann aber nicht gut erkannt werden.  Deshalb wird 
% in diesem Fall gern die Darstellung des kompexen Signals in der kompexen Ebene zu den 
% Zeitpunkten des Schritt-Taktes benutzt.  Diese Darstellung ist dem Augendiagramm nicht 
% quivalent, da es keinerlei Hinweise ber die Breite der Augenffnung gibt.  Auch ist ein 
% mglicher Fehler des Schritt-Taktes nicht zu erkennen.
%
% Als Beispiel wird die Fax-Norm  {\bfV.29} genommen.  Wir betrachten dabei nur den Fall  9k6. 
% Die folgende Animation zeigt nur den Realteil des rauschfreien Signals und in rot 
% hervorgehoben die Abtastungen im Schritt-Takt.  Nach der Animation kann das 3D-Bild 
% gedreht werden.
%
s = impulsfolge(v29(100,50),'Sinc',10);
komplexanimat(s,[1 0 0 0 0 1],1,[0 90],1:10:1000);
%
% Das Signalraumdiagramm erhlt man durch Betrachtung lngs der Zeitachse:
%
s = impulsfolge(v29(100,50),'Sinc',10);
komplexanimat(s,[1 0 0 0 0 1],1,[90 0],1:10:1000);
%
% Dieses Diagramm enthlt blicherweise das analoge Signal nicht mehr.
%% Lschen Sie dieses durch Tippen der Zifferntaste 1.
%
% Das folgende Bild (rechts 9k6) zeigt den Einfluss von Rauschen.  Es werden {\fontname{Courier}1000} Symbole 
% mit Rauschen simuliert: 
%
v29(24,1000);
%
% Man erkennt, dass eine Darstellung durch je zwei Augendiagramme fr den Real- und den 
% Imaginrteil oder fr den Betrag und die Phase zwar prinzipiell mglich ist, aber ein 
% bereinanderzeichnen in der komplexen Ebene weit auseinanderliegender Symbole ist 
% unvermeidlich.  Wir zeigen dies durch Darstellung der Verteilungen des Signals fr 
% Real- und Imaginrteil sowie Betrag und Phase:
%
v29(24,16000,1);  % Darstellung
s = ans;          % Zuweisung der komplexen Symbole auf s
fh1 = fullscreen('Verteilungen');
subplot(2,2,1); hist(real(s),100);  title('Realteil')
subplot(2,2,2); hist(imag(s),100);  title('Imaginrteil')
subplot(2,2,3); hist(abs(s),100);   title('Betrag')
subplot(2,2,4); hist(angle(s),100); title('Phase')
%
% Obwohl die Abtastungen im Signalraum noch korrekt den Symbolen zugeordnet werden 
% knnen, also eine praktisch fehlerfreie Datenentscheidung mglich ist, kann dies den 
% Verteilungen nicht angesehen werden.  Entsprechendes wrde fr die Augendiagramme 
% gelten. 
%
% Mchte man auf Augendiagramme nicht verzichten, so muss man die einzelnen zeitlichen 
% Verlufe sortieren nach den zugeordneten Symbolen und dann nur diejenigen Verlufe 
% in einem Diagramm darstellen, die zu in der komplexen Ebene benachbarten Symbolen 
% gehren.
%