%
%
%6.3.  Inter-Symbol-Interferenz (ISI)%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-4,'Color',MSVTITLCOLOR>
%
%
%
% Mit dem Gauss-Impuls und dem Sinc-Impuls haben wir Impulsformen kennengelernt, 
% die in ihrer zeitlichen Ausdehnung den Abstand zweier Datenentscheidungen, also die 
% Schrittweite berschreiten.  Wenn die Impulsform wie im Fall der Sinc-Funktion an 
% allen benachbarten Zeitpunkten der Datenentscheidung Nullstellen hat, so wird eine 
% Datenentscheidung nicht durch die aktuellen benachbarten Symbole beeinflusst.  Ist 
% die Impulsform jedoch bei irgendeinem benachbarten Datenentscheidungszeitpunkt nicht 
% exakt gleich Null, so ist das fr die Datenentscheidung verwendete Signal abhngig 
% von vorangegangenen und evtl. von noch kommenden Symbolen.  Wir sprechen in diesem 
% Fall von Intersymbolinterferenz (ISI).  Fr eine korrekte Datenentscheidung ist diese 
% zu bercksichtigen.  Wie wichtig dieses ist, zeigt folgende Simulation, die ohne Rauschen 
% durchgefhrt wird am Beispiel des Gauss-Impulses, dessen ISI relativ gering ist:
%
y = v29(100,200);                % Symbolfolge
s = impulsfolge(y,'Gauss',10);   % Impulsfolge 
komplexanimat(s,[1 0 0 0 0 1],10,[90 0],1:10:10000)
xl = get(gca,'XLim');  yl = get(gca,'YLim'); zl = get(gca,'ZLim');
fh(1)= gcf;
%% Nehmen sie durch Tippen der Zifferntaste 1 den Analogteil des Signals weg.
%
% Zum Vergleich generieren wir fr die selbe Symbolfolge die Impulsfolge mit Sinc-Impuls
%
s = impulsfolge(y,'Sinc',10);      % Impulsfolge 
komplexanimat(s,[1 0 0 0 0 1],10,[90 0],1:10:10000);
axis([xl yl zl])
fh(2) = gcf;
%% Nehmen sie durch Tippen der Zifferntaste 1 den Analogteil des Signals weg und 
%% vergleichen dann durch Bildwechsel mit folgendem Skript:
%%
for k=1:10  figure(fh(1+mod(k,2))); pause(0.3); end
%
% Offenbar wirkt die Intersymbolinterferenz wie ein Rauschen.  Auf die Bercksichtigung 
% der Intersymbolinterferenz wird erst im Kapitel 10 eingegangen.
%