%
%
%6.4.  Auswirkungen des Kanals %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%        auf die Impulsform      %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Im Falle von Funkkanlen wird das Empfangssignal durch frequenzselektives Fading 
% beeinflusst.  Abhngig von der Modulationsart hat dies Auswirkung auf die Impulsform. 
% Bei gutem Singal/Rausch-Verhltnis ist eine Messung der Kanaleigenschaften mglich.
% Bei Mehrwegeausbreitung mit grossen Laufzeitunterschieden treffen die Signale der 
% einzelnen Wege zu unterschiedlichen Zeiten beim Empfnger ein.  Anstelle eines 
% Einzelimpulses kann also ein ganzes Bndel auftreten.  Der Kanal erzeugt damit 
% Intersymbolinterferenz.
%
% Kupferkabel und besonders der Fernsprechkanal haben eine Frequenzselektivitt, die 
% die Impulsform verndert.  Diese hngt von der aktuellen Verbindung ab.  Deshalb ist 
% zur Erreichung hoher Datenraten eine Messung der bertragungsfunktion des Kanals und 
% eine entsprechende Adaption erforderlich.
%
% Auch wenn der Kanal, wie meistens gegeben, linear ist, so ist eine vollstndige 
% Bercksichtigung der Kanaleigenschaften nicht mglich, weil das zum Kanal inverse 
% Filter im allgemeinen nicht stabil ist. 
%
% Ein Beispiel sei das Fading im Frequenzbereich.  Das folgende Bild zeigt einen 
% Ausschnitt aus dem ersten Bild des Abschnitts 2.4:
%
f  = 900000000:100:901000000;       % Frequenzbereich [MHz]
s1 = 1000;  s2 = 1200;              % Wege 1 und 2 [m]
c  = 299792458;   % Lichtgeschwindigkeit [m/s]
a  = 2*abs(cos(2*pi*f*(s1-s2)/c));
fh = fullscreen('Frequenzfading');
plot(f,a,'LineWidth',2); axis([min(f) max(f) 0 2.2])
title('Fading im Frequenzbereich','FontSize',13)
xlabel('Frequenz','FontSize',13); ylabel('Amplitude','FontSize',13)
%
% Das zu diesem Filter inverse Filter msste an der Stelle des Minimums unendliche 
% Verstrkung aufweisen.  Ein rekursives Filter kann das prinzipiell tun, jedoch wird 
% dann das Quantisierungsrauschen der digitalen Arithmetik so weit verstrkt, dass das 
% Ausgabesignal in die Grenzen der Reprsentation luft.
%