%
%
%6.5.2.  Sinc-Impuls%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% \bfZeitbereich
%
% Durch Vertauschung von Zeit- und Frequenzbereich beim Rechteck-Impuls erhlt man ein 
% rechteckiges Spektrum, welches den kostbaren Spektralbereich optimal nutzt.  Der Impuls 
% hat dann aber im Zeitbereich die sinc-Form.  Deren zeitliche Ausdehnung ist unendlich. 
% In der Praxis kann man diesen Impuls recht gut fenstern, ohne die guten Spektral-
% eigenschaften gravierend zu beeinflussen.  Dieses Fenstern darf nicht durch einfaches 
% zeitliches Abschneiden geschehen, weil dann der Gibbs-Effekt im Spektralbereich zu 
% berschwingern fhrt. Ein Fenster mit Kosinus-Roll-Off ist gut geeignet.  Wir nehmen 
% das einfache Hanning-Fenster (das Bild blinkt zwischen abgeschnittener Sinc-Funktion 
% in  {\itblau}  und Sinc-Funktion mit Hanning-Fenster in  {\itrot} ):
%
b = 20;  t = -b:0.004:b;             % Zeitbereich
x = sinc(t);                         % sinc-Impuls hart begrenzt
y = x.*hanning(length(x))';          % sinc-Impuls mit Hanning-Fenster
X = abs(fft(x));  Y = abs(fft(y));   % Spektren 
fh = fullscreen('Impuls');
subplot(2,1,1); u=plot(t,[x;y]); xlabel('Zeitbereich','FontSize',13)
subplot(2,1,2); v=plot([X(1:50);Y(1:50)]'); axis([1 50 0 300])
xlabel('Spektralbereich','FontSize',13)
set([u(2) v(2)],'Color','r')
for k=1:100  pause(0.3); l=1+mod(k,2); m=1+mod(k+1,2); set([u(l),v(l)],'visible','on'); set([u(m),v(m)],'visible','off'); end 
set([u,v],'visible','on')
%
%
% \bfFrequenzbereich
%
% Der Sinc-Impuls hat ein rechteckiges Spektrum der Gesamtbreite  {\fontname{Courier}1.0*f_s} , wo  {\fontname{Courier}f_s}  die 
% Schrittfrequenz ist.  Im Spektum des Basisbandes ergibt das den Spektralbereich  {\fontname{Courier}0...0.5*f_s} .  
% Im Falle der Fensterung wird diese Bandbreite berschritten, und zwar umso weniger je 
% breiter das Fenster gewhlt wird.  Wir zeigen dies am Spektrum eines binren 
% Zufallsmusters mit Sinc-Impuls unter Verwendung des Hanning-Fensters:
%
%% Benutzen Sie die Taste y zum Umschalten der Skalierung lin/log!
b = 100;                          % halbe Breite des Fensters in Schritten
s = 20;                           % Anzahl der Abtastungen pro Schritt 
si= sinc(-b:1/s:+b);              % Sinc-Funktion mit Rechteckfenster 
p = si.*hanning(length(si))';     % Sinc-Funktion mit Hanningfenster 
impulsfolge(randx(100,[-1 +1]),p,s,1);
%
b = 5;                            % halbe Breite des Fensters in Schritten
s = 20;                           % Anzahl der Abtastungen pro Schritt 
si= sinc(-b:1/s:+b);              % Sinc-Funktion mit Rechteckfenster 
p = si.*hanning(length(si))';     % Sinc-Funktion mit Hanningfenster 
impulsfolge(randx(100,[-1 +1]),p,s,1);
%
b = 2;                            % halbe Breite des Fensters in Schritten
s = 20;                           % Anzahl der Abtastungen pro Schritt 
si= sinc(-b:1/s:+b);              % Sinc-Funktion mit Rechteckfenster 
p = si.*hanning(length(si))';     % Sinc-Funktion mit Hanningfenster 
impulsfolge(randx(100,[-1 +1]),p,s,1);
%
b = 1;                            % halbe Breite des Fensters in Schritten
s = 20;                           % Anzahl der Abtastungen pro Schritt 
si= sinc(-b:1/s:+b);              % Sinc-Funktion mit Rechteckfenster 
p = si.*hanning(length(si))';     % Sinc-Funktion mit Hanningfenster 
impulsfolge(randx(100,[-1 +1]),p,s,1);
%
% Anstelle des Hanning-Fensters kann jedes Kosinus-Roll-Off-Fenster benutzt werden. 
% Dieses wird im Abschnitt 6.5.5 behandelt.
%
%
% \bfFrequenz-Bandbreite-Produkt
%
b  = 5;      % halbe Breite des Fensters in Schritten
pl = 0.002;  % Impulsdauer 2 ms
fa = 8000;   % Abtastfrequenz 8 kHz
dt = 4*pl;   % zeitliche Auflsung der Momentanspektren 4 Schritte
si = sinc(-b:1/(fa*pl):+b);
p  = si.*hanning(length(si))';  % Sinc-Funktion mit Hanningfenster 
zeitspecgraph(p,fa,fa*dt,1);
%
b  = 5;      % halbe Breite des Fensters in Schritten
pl = 0.002;  % Impulsdauer 2 ms
fa = 8000;   % Abtastfrequenz 8 kHz
dt = 1*pl;   % zeitliche Auflsung der Momentanspektren 1 Schritt
si = sinc(-b:1/(fa*pl):+b);
p  = si.*hanning(length(si))';  % Sinc-Funktion mit Hanningfenster 
zeitspecgraph(p,fa,fa*dt,1);
%
b  = 5;      % halbe Breite des Fensters in Schritten
pl = 0.002;  % Impulsdauer 2 ms
fa = 8000;   % Abtastfrequenz 8 kHz
dt = 0.25*pl;% zeitliche Auflsung der Momentanspektren 1 Schritt
si = sinc(-b:1/(fa*pl):+b);
p  = si.*hanning(length(si))';  % Sinc-Funktion mit Hanningfenster 
zeitspecgraph(p,fa,fa*dt,1);
%
%
% \bfIntersymbolinterferenz
%
% Der Sinc-Impuls hat Nullstellen an allen benachbarten Datenentscheidungspunkten. 
% Das gilt natrlich auch fr jede beliebig gefensterte Sinc-Funktion.  Es gibt deshalb 
% keine Intersymbolinterferenz, solange die Synchronisation des Schritt-Taktes perfekt ist. 
%
%
% \bfAugendiagramm
%
% Das folgende Bild zeigt das Augendiagramm des hart auf  {\fontname{Courier}\pm10} Schritte begrenzten 
% Sinc-Impulses.
%
s = 10;                           % Anzahl der Abtastungen pro Schritt
fa= 1000;  fs = fa/s;             % Abtastfrequenz und Schrittfrequenz
y = impulsfolge(randx(500,[-1 +1]),'sinc',s);
augendiagramm(y,fa,fs,1.3)
%
% Der Vorteil der geringen Bandbreite wird offensichtlich durch die kleinere Augenffnung 
% erkauft.  Dies stellt hohe Anforderungen an die Synchronisation des Schritt-Taktes.
%
%
% \bfZusammenfassung
%
% Zeitausdehnung:           unendlich   %<'FontName',MSVFORMFONT>
% Spektralausdehnung:       1.0*Schrittfrequenz, theoretisches Minimum  %<'FontName',MSVFORMFONT>
% Zeit-Bandbreite-Produkt:  gross       %<'FontName',MSVFORMFONT> 
% Intersymbolinterferenz:   keine       %<'FontName',MSVFORMFONT>
% zeitliche Augenffnung:   sehr klein  %<'FontName',MSVFORMFONT>
%
