%
%
%6.5.4.  Raised Cosine im Zeitbereich%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-4,'Color',MSVTITLCOLOR>
%
%
%
% \bfZeitbereich
%
% Der Raised-Cosine-Impuls im Zeitbereich ist eine um 1 angehobene Kosinusschwingung:
%
t  = -pi:0.01:+pi;
p  = (1 + cos(t))/2;
fh = fullscreen('Raised-Cosine')
plot(t/pi,p); xlabel('Zeitbereich [Schritt]','FontSize',13)
%
% Die beiden folgenden Bilder zeigen kurze Bitsequenzen mit dem Raised-Cosine-Impuls:
%
raisedcosine([-1 -1 +1 -1 +1 -1 -1],20);
%
raisedcosine(randx(16,[-1 +1]),10)
%
% Bei mehrstufiger bertragung entspricht die Benutzung des Raised-Cosine-Impulses 
% einer speziellen Interpolation, nmlich der Interpolation je zweier benachbarter 
% Punkte  {\fontname{Courier}(x_1,y_1)}  und  {\fontname{Courier}(x_2,y_2)}  durch eine halbe Kosinusschwingung nach
%
%       x = x_1 + d_x     (0 < d_x < x_2-x_1)  %<'FontName',MSVFORMFONT>
%
%       y = (y_1 + y_2 + (y_1-y_2)*cos(\pi*d_x/(x_2-x_1)))/2   %<'FontName',MSVFORMFONT>
%  
raisedcosine([0 2 -1 -2 1 1 2 0 2 -2 -1],20);
%
%
% \bfFrequenzbereich
%
% Einen Ausschnitt aus einem aktuellen Spektrum liefert das folgende Bild:
%
%% Benutzen Sie die Taste y zum Umschalten der Skalierung lin/log!
b = 100;                          % halbe Breite des Fensters in Schritten
s = 20;                           % Anzahl der Abtastungen pro Schritt 
p = hanning(2*s-1)';              % RC-Impuls 
impulsfolge(randx(100,[-1 +1]),p,s,1);
%
%
% \bfFrequenz-Bandbreite-Produkt
%
pl = 0.002;      % Schrittlnge 2 ms
fa = 8000;       % Abtastfrequenz 8 kHz
dt = 4*pl;       % zeitliche Auflsung der Momentanspektren 4 Schritt
p  = [zeros(1,fa*pl),hanning(2*fa*pl-1)',zeros(1,fa*pl)]; % Raised-Cosine-Impuls
zeitspecgraph(p,fa,fa*dt,1);
%
pl = 0.002;      % Schrittlnge 2 ms
fa = 8000;       % Abtastfrequenz 8 kHz
dt = 1*pl;       % zeitliche Auflsung der Momentanspektren 1 Schritt
p  = [zeros(1,fa*pl),hanning(2*fa*pl-1)',zeros(1,fa*pl)]; % Raised-Cosine-Impuls
zeitspecgraph(p,fa,fa*dt,1);
%
%
% \bfAugendiagramm
%
% Das Augendiagramm hat die optimale zeitliche ffnung.  Es gibt auch keine 
% Intersymbolinterferenz:
%
s = 20;                           % Anzahl der Abtastungen pro Schritt
fa= 1000;  fs = fa/s;             % Abtastfrequenz und Schrittfrequenz
y = impulsfolge(randx(50,[-1 +1]),'RC',s);
augendiagramm(y,fa,fs,1.3)
%
%
% \bfIntersymbolinterferenz
%
% Es gibt keine Intersymbolinterferenz, da der Impuls so konstruiert ist, dass er bei 
% den benachbarten Datenentscheidungspunkten verschwindet. 
%  
%
% \bfZusammenfassung
%
% Zeitausdehnung:           2 Schritte         %<'FontName',MSVFORMFONT>          
% Spektralausdehnung:       1*Schrittfrequenz  %<'FontName',MSVFORMFONT>     
% Zeit-Bandbreite-Produkt:  nur 3% schlechter als theoretisches Optimum %<'FontName',MSVFORMFONT>
% Intersymbolinterferenz:   keine              %<'FontName',MSVFORMFONT>
% zeitliche Augenffnung:   ganzer Schritt     %<'FontName',MSVFORMFONT>
%