%
%
%6.6.  Sende- und Empfangsfilter%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Die Impulsform kann im Zeitbereich vorgegeben werden oder im Frequenzbereich. 
% Im ersteren Fall ist die zeitliche Ausdehnung und die Intersymbolinterferenz 
% unmittelbar erkennbar, jedoch nicht der Bandbreitebedarf.  Im zweiten Fall kann 
% der Bandbreitebedarf direkt vorgegeben werden.  Dieser hat bei einigen Kanlen, 
% insbesondere beim Mobilfunkkanal, besondere Bedeutung. 
%
% Es gibt einen weiteren entscheidenden Grund, die beim Sender benutzte Impulsform 
% nicht direkt vorzugeben, sondern sie rckwrts vom Empfnger aus zu konstruieren. 
% Bei rauschenden Kanlen muss der Empfnger mit einem Empfangsfilter die Bandbreite 
% begrenzen.  Dieses Filter und eventuell zustzlich eine Frequenzabhngigkeit des 
% Kanals beeinflussen die Impulsform so erheblich, dass man in diesem Falle zweck-
% mssigerweise von der gewnschten Impulsform an der Stelle des Datenentscheiders 
% im Empfnger ausgeht.  Die optimale zu sendende Impulsform ergibt sich durch 
% Anwendung der zum Empfangsfilter und Kanal inversen Filter.
%
% In diesem Abschnitt wollen wir folgendes einfache Modell betrachten, das im Falle 
% linearer Modulationsarten bei Funkkanlen gegeben ist:
%
% (a) Die Filterung erfolgt auf der Empfngerseite im Basisband durch ein komplexes 
%      Tiefpassfilter FR.
%
% (b) Der Sendeimpuls wird aus den zeitdiskreten komplexen Symbolen durch ein 
%      komplexes Tiefpassfilter FT erzeugt.
%
% (c) Der Kanal ist nicht frequenzabhngig.
%
% Die Frage, welche Kombination von Sendefilter und Empfangsfilter bei Anwesenheit 
% von Rauschen optimal ist, wird erst im Kapitel 9  besprochen.  Ausserdem soll hier 
% der Einfluss der Filter zunchst nur an Beispielen erlutert werden.  Dabei sind 
% zu betrachten:
%
% (i)   Intersymbolinterferenz
% (ii)  Bandbreitebedarf auf dem Kanal
% (iii) Empfindlichkeit bzgl. Schrittsynchronisationsfehlern
%  
% Gezeigt werden bei den Beispielen jeweils sechs Bilder:
%   1. Frequenzgang der beiden Filter
%   2. Sendeimpuls (also nach dem Sendefilter)
%   3. Impuls nach dem Empfangsfilter (also nach beiden)
%   4. Augendiagramm beim Datenentscheider (also nach beiden Filtern)
%   5. Signale fr eine zufllige Bitsequenz
%   6. Spektrum der Aussendung
%
% Intersymbolinterferenz: nein; mglicher Synchronisationsfehler: 0.44:
%
filtererzeugung
txrxfilter(b{1},b{1})     
% 
% Intersymbolinterferenz:  {\fontname{Courier}ja} ;   mglicher Synchronisationsfehler:  {\fontname{Courier}0.48} :
%
txrxfilter(b{2},b{2})
%
% Im vorigen Abschnitt wurden Filter mit Kosinus-roll-off-Flanke untersucht.  Durch 
% sie wird Intersymbolinterferenz vermieden.  Dazu ist erforderlich, dass das 
% Gesamtfilter von Sender, Kanal und Empfnger zusammen die Kosinus-roll-off-Flanke 
% besitzt.  Hufig benutzt man (siehe Kapitel 10: Matched Filter) auf der Sende- und 
% der Empfangsseite das selbe Filter.  Dies muss dann eine sog. Wurzel-Kosinus-roll-
% off-Flanke haben, damit die Kombination die gewnschte Eigenschaft hat.  In der 
% folgenden bung kommt ein solches vor.  Die Folge ist, dass das gesendete Signal 
% Intersymbolinterferenz zeigt, die erst im Empfnger durch das Empfangsfilter 
% beseitigt wird.
%
% 
%% bung 6.6:  Im Folgenden werden einige Filter als Sende- und Empfangsfilter angeboten. 
%% Ermitteln Sie jeweils, ob es eine Intersymbolinterferenz gibt und wie gross die halbe 
%% Augenffnung ist.  Vergrssern Sie dazu das Augendiagramm auf Vollbild und geben Sie 
%% "grid on" ins Kommandofenster.  Bestimmen Sie auch den maximalen Wert des Spektrums 
%% im Bereich  {\fontname{Courier}2.0 ... 5.0 * Schrittfrequenz} .  Anschliessend klicken 
%% Sie auf "filterdlg".  Geben Sie dort in das Dialogfenster jeweils vier Zahlen ein, 
%% z.B.  {\fontname{Courier}1  0  0.44  0.012}
%% Erste  Zahl:   Nummer der Filterkombination
%% Zweite Zahl:   {\fontname{Courier}0 (1)} fr Intersymbolinterferenz nein (ja)
%% Dritte Zahl:   maximal zulssiger Synchronisationsfehler (\pm 0.01)
%% Vierte Zahl:   Maximaler Wert des Spektrums
%
txrxfilter(f{1},f{1}); % Filterkombination  1
%
txrxfilter(f{2},f{2}); % Filterkombination  2
%
txrxfilter(f{3},f{3}); % Filterkombination  3
%
txrxfilter(f{1},f{2}); % Filterkombination  4
%
txrxfilter(f{1},f{3}); % Filterkombination  5
%
txrxfilter(f{2},f{3}); % Filterkombination  6
%
filterdlg
%