%
%
%6.6.  Partial Response%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Sind Bandbreite und Impulsart vorgegeben, so liegt die zeitliche Skalierung der 
% Impulse fest.  Ist Intersymbolinterferenz nicht zulssig, so ist damit auch die 
% maximale Schrittfrequenz festgelegt.  Die bertragungsgeschwindigkeit lsst sich 
% dann nur ber die Stufigkeit verndern.
%
% Eine Alternative zu hherstufiger bertragung ist das Partial-Response-Verfahren. 
% Hierbei vergrssert man die Schrittfrequenz um den Faktor  {\fontname{Courier}L}  und nimmt dafr massive 
% Intersymbolinterferenz inkauf.  Das folgende Beispiel zeigt Rechteck-Impulse der Reihe 
% nach mit   {\fontname{Courier}L = 1}  (full response),  {\fontname{Courier}L = 2, 3, 4}:
%
symbolfolge = [0 0 0 1 1 1 0 1 0 0 0 1 1 0 0];
partialresponse(symbolfolge,'rect')
%
% Durch die Faltung der um den Faktor  {\fontname{Courier}L}  zu langen Impulse mit der Symbolfolge 
% wird eine Pseudo-Mehrstufigkeit erzeugt.  Diese kann man auch direkt als sog. 
% Partial-Response-Kodierung durch diskrete Faltung der Symbolfolge mit dem Binrvektor 
% {\fontname{Courier}[1 1]}  bzw.  {\fontname{Courier}[1 1 1]}  oder  {\fontname{Courier}[1 1 1 1]}  erzeugen:
%
symbolfolge = [0 0 0 1 1 1 0 1 0 0 0 1 1 0 0];
fh3 = fullscreen('Partial-Response-Kodierung','w',0,[3 1; 3 1]);
L = 3;  plot(nfach(conv(symbolfolge,ones(1,L)),20)); set(gca,'YLim',[0 4]);
fh2 = fullscreen('Partial-Response-Kodierung','w',0,[3 1; 2 1]);
L = 2;  plot(nfach(conv(symbolfolge,ones(1,L)),20)); set(gca,'YLim',[0 4]);
fh1 = fullscreen('Partial-Response-Kodierung','w',0,[3 1; 1 1]);
L = 1;  plot(nfach(conv(symbolfolge,ones(1,L)),20)); set(gca,'YLim',[0 4]);
%
% Der Rechteckimpuls diente hier nur der deutlichen Demonstration.  Natrlich sind die 
% anderen Impulsformen in der Bandbreite gnstiger.  Als Beispiel ist hier der Raised-
% Cosine-Impuls gezeigt:
%
partialresponse(randb(64,[-1,+1]),'rc')
%
% Allerdings verliert der Impuls auf diese Weise die gute Eigenschaft des breiten 
% Auges im Augendiagramm.  
%
% Neben der Faltung der Symbolfolge mit  {\fontname{Courier}[1 1 ... 1]}  sind auch andere Partial-
% Response-Kodes mglich.  Einige sind im folgenden zusammengestellt:
%
% {\bfDuobinrkode} :  {\fontname{Courier}[1 1]}  (siehe oben)
%
% {\bfKlasse 4} :     {\fontname{Courier}[1 0 -1]}
%
% {\bfKlasse 5} :     {\fontname{Courier}[-1 0 2 0 -1]}
%
% In den letztgenannten Fllen ist es nicht sinnvoll, die schon besprochenen Impulsformen 
% zu verwenden.  Vielmehr werden die mit diesen Kodes gefalteten Symbolfolgen 
% tiefpassgefiltert.  Z.B. liefert diese Filterung fr den Partial-Response-Kode der
% Klasse 4 den im folgenden Bild gezeigten Impuls:
%
n   = 1000;                % Anzahl der Abszissenpunkte der Graphik
t   = 12*(-n/2:n/2)/(n+1); % Zeitbereich +-6 Schritte
sch = 1;                   % Schritt
fh4 = fullscreen('Klasse 4 - Impuls');
plot(t,2*sin(pi*t/sch)./(pi*((t/sch).^2-1)));
%
% Auch dieser ist in der Funktion impulsfolge vorgesehen als 'PR4':
%
symbolfolge = [0 0 1 1 1 0 1 0 0 0 1 1 0];
impulsfolge(symbolfolge,'PR4',20);
%
% Das Augendiagramm zeigt die Pseudostufigkeit, aber keine Intersymbolinterferenz. 
% Die Augenffnung ist relativ klein wie immer, wenn geringstmgliche Bandbreite 
% angestrebt wird:
%
symbolfolge = randb(200,[-1 +1]);                 % 2-stufig zufllig
augendiagramm(impulsfolge(symbolfolge,'PR4',20),1000,50)
%
% Der Empfnger muss den Partial-Response-Kode wieder dekodieren. Eine falsche 
% Datenentscheidung fhrt dabei im allg. zu Folgefehlern.  Dieses kann auf zwei 
% Wegen verhindert werden:
%
% (1)  Es wird im Sender vor der Partial-Response-Kodierung eine Vorkodierung 
%       eingefhrt derart, dass die gesendeten Symbole aus jeweils genau einer 
%       Datenentscheidung ermittelt werden knnen.
%
% (2)  Es wird eine Viterbi-Dekodierung durchgefhrt.
%
% Beides wird erst spter behandelt.
%