%
%
%7.1.  Prinzip der Phase Locked Loop (PLL)%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-10,'Color',MSVTITLCOLOR>
%
%
%
% Bei der PLL wird ein frei schwingender analoger Oszillator VCO durch analoge Regelung 
% gezwungen, phasensynchron zu einem evtl. gestrten Inputsignal zu schwingen. Das 
% folgende Bild zeigt das Schema einer PLL.
%
pllgraph2
%
% Das Inputsignal enthlt neben Strungen als wesentliche Komponente ein Sinussignal. 
% Es soll mit dem Sinusgenerator VCO (voltage controlled oscillator) ein Sinus erzeugt 
% werden, der in Phase schwingt mit dem im Input vorgegebenen Sinus.  Hierzu ist eine 
% Regelung des VCO erforderlich.  Der Phasenvergleicher PD bestimmt die Differenz der 
% Phasen beider Signale.  Diese Differenz enthlt noch die Phasenstrungen des 
% Inputsignals.  Sie werden im Reglerfilter tiefpassbegrenzt.  Die resultierende 
% Regelspannung steuert den Oszillator VCO.  Mit tiefer liegender Grenzfrequenz des 
% Reglerfilters werden die Phasenstrungen besser unterdrckt, jedoch werden der 
% Fangbereich und der Nachfhrbereich der PLL dann kleiner.
%
% blicherweise bestimmt der Phasenvergleicher die Phasendifferenz modulo 2\pi .  Man 
% kann aber auch die Phasendifferenz ab einer Startzeit  {\fontname{Courier}t_0}  bestimmen und zur Regelung 
% verwenden.
%
% Das folgende Beispiel zeigt den Einschwingvorgang der PLL fr den Fall  {\fontname{Courier}m = 1}  
% und  {\fontname{Courier}n = 1} .  Das Eingangssignal, auf das sich die PLL synchronisieren soll, 
% ist zustzlich verrauscht.  Eingangs- und Ausgangssignal sind auch als Audiosignal 
% zu hren.
%
pll;
%
%% Dies sollte mehrfach aufgerufen werden.  Die Sichtbarkeit der einzelnen Signale kann 
%% mit den Zifferntasten 1..4 ein- und ausgeschaltet werden.
%
% Das Einschwingen wird noch deutlicher, wenn die Anfangsschtzung weit daneben liegt 
% (im ersten Beispiel zu hoch im zweiten zu tief).  Das Bild zeigt den Beginn  der 
% Synchronisation im Zeitbereich.  Zuerst ist das Inputsignal zu hren, danach das 
% generierte VCO-Signal:
%
t = 1:4000;
x = exp(i*2*pi*0.1*t) + 0.1*randn(size(t));
pll(x,0.17);  h2 = gcf;
%% Das Bild stehenlassen und mit dem Folgenden das synchronisierte Ende betrachten:
%  
figure(h2); axis([3700 4000 -pi pi])
%
t = 1:4000;
x = exp(i*2*pi*0.1*t) + 0.1*randn(size(t));
pll(x,0.032);  h2 = gcf;
%% Das Bild stehenlassen und mit dem Folgenden das synchronisierte Ende betrachten:
%  
figure(h2); axis([3700 4000 -pi pi])
%
% Auch ein Folgen auf langsame nderungen der Inputfrequenz ist mglich:
%
t = 1:4000;
x = exp(i*2*pi*(0.04+0.00002*t).*t) + 0.2*randn(size(t));
pll(x,0.1);  h2 = gcf;
%% Das Bild stehenlassen und mit dem Folgenden das synchronisierte Ende betrachten:
%  
figure(h2); axis([3900 4000 -pi pi])
%