%
%
%7.2.  Trgerrckgewinnung bei ASK und PSK%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-12,'Color',MSVTITLCOLOR>
%
%
%  
% Das im vorigen Abschnitt beschriebene Prinzip der PLL kann im Empfnger zur 
% Rckgewinnung des Trgers benutzt werden, sofern das Sendesignal den Trger 
% enthlt.  Dies ist der Fall bei AM, nicht aber bei DSB, SSB und QAM (siehe 
% Abschnitt 3.2).
%
% Die Trgerrckgewinnung ist auch bei FM und PM nach der beschriebenen Methode 
% mglich, allerdings in eingeschrnktem Sinn.  Sei  {\fontname{Courier}f_1}  die Grenzfrequenz des 
% Reglerfilters der PLL.  Dann kann die PLL nur den Frequenzkomponenten im zu 
% modulierenden Signal  {\fontname{Courier}s(t)}  folgen, die kleiner als  {\fontname{Courier}f_1}  sind. Enthlt  {\fontname{Courier}s(t)}  solche 
% Anteile gar nicht, so synchronisiert die PLL auf der Trgerfrequenz.  Digitale 
% bertragung langer Folgen des selben Symbols fhren zu beliebig tiefen Frequenzen 
% von  {\fontname{Courier}s(t)}.  Mit Bitstopfen kann man das verhindern und damit 
% das korrekte Synchronisieren ermglichen.
%
% Hier ein Beispiel von Phasenmodulation mit einem Sinus-Signal und PLL mit einer 
% Grenzfrequenz, die das Modulationssignal nicht ausregelt:
%
t = 1:4000;
x = exp(i*2*pi*(0.1.*t+0.3*sin(2*pi*0.03*t)));
pll(x,0.1,10000,120,0.0000005);
axis([3700 4000 -pi pi])
%% Mit den Zifferntasten 2...4 kann man die einzelnen Linien lschen und nur das 
%% Inputsignal stehen lassen.  Mit den Tasten 1 und 2 kann man das PLL-Signal 
%% sichtbar machen.  Zhlen Sie die Anzahl der dargestellten Schwingungen von 
%% Input- und PLL-Signal !
%
% Andererseits kann man auch  {\fontname{Courier}f_1}  hochsetzen auf die hchste Frequenzkomponente von  {\fontname{Courier}s(t)}. 
% Dann folgt die PLL der Inputfrequenz und liefert mit der Regelspannung das demodulierte Signal:
%
t = 1:4000;
x = exp(i*2*pi*(0.1.*t+3*sin(2*pi*0.001*t))) + 0.2*randn(size(t));
pll(x,0.1,10000,120,0.000005);
axis([3700 4000 -pi pi])
%
% Das Spektrum der Zweiseitenbandmodulation (DSB) hat keine Komponente an der Stelle 
% des Trgers.  Jedoch hat das Quadrat des DSB-Signals unter bestimmten Voraussetzungen 
% eine Komponente an der doppelten Trgerfrequenz.  Wir zeigen dies fr die Modulation 
% mit einem Kosinus-Signal.  Der bersichtlichkeit halber setzen wir   {\fontname{Courier}a = 2\pif_0t}  und  
% {\fontname{Courier}b = 2\pif_1t} .  Das DSB-Signal ist dann
%
%       x = cos(a) * cos(b) = (cos(a+b) + cos(a-b))/2   %<'FontName',MSVFORMFONT>
%
% Das Quadrat hiervon ist
%
%       x^2 = ((cos(a+b))^2 + (cos(a-b))^2 + 2*cos(a+b)*cos(a-b))/4   %<'FontName',MSVFORMFONT>
%
%          = ((cos(a+b))^2 + (cos(a-b))^2 + cos(2*a) + cos(2*b))/4   %<'FontName',MSVFORMFONT>
%
% Der Term  {\fontname{Courier}cos(2a) = cos(4\pif_0t)}  ist der der doppelten Trgerfrequenz.
%
% Zur Gehr-Normierung zunchst der Trger und danach sein Quadrat:
%
x = amplmod(50,'0'); sound(x,8000); pause(0.5); sound(x.^2,8000)
%
% Nun DSB und das Quadrat:
%
x = dsbmod(50,'cos(2*pi*13*t)'); sound(x,8000); pause(0.5); sound(x.^2,8000)
%
% Das Spektrum von  {\fontname{Courier}x}  und  {\fontname{Courier}x^2}  ergibt sich aus:
%
X = fft(x); XX = abs(X(1:floor(length(x)/2)));
Y = fft(x.^2); YY = abs(Y(1:floor(length(x)/2)));
fh = fullscreen('Spektren');
subplot(2,1,1); plot(XX); title('Spektrum des DSB-Signals (Trger: 50 Hz)','FontSize',13)
subplot(2,1,2); plot(YY); title('Spektrum des Quadrates','FontSize',13) 
%
% Die Trgerrckgewinnung bei DSB kann dann durch eine PLL erfolgen, deren Phasenvergleich 
% auf der doppelten Trgerfrequenz erfolgt.  Hierzu sind sowohl Eingangs- wie auch das 
% VCO-Signal zu quadrieren.  Das folgende Bild zeigt das Schema:
%
pllgraph3
%
% Ohne Beweis sei hier angemerkt, dass anstelle der Quadrate im Regelkreis bei  
% {\fontname{Courier}m}-stufiger Modulation die  {\fontname{Courier}m}-te Potenz treten muss, damit die Regelung auch ohne 
% Symbolstopfen sicher arbeitet.
%