%
%
%7.3.  Costas-Loop%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Der Costas-Loop ist eine besondere PLL-Struktur, die im folgenden Bild dargestellt wird:
%
costasgraph
%
% Zur Erluterung nehmen wir den synchronisierten Fall an, jedoch eine Phasendifferenz 
% von  {\fontname{Courier}p}  zwischen dem Inputsignal  {\fontname{Courier}s(t)*cos(a)}  und dem VCO-Signal  {\fontname{Courier}cos(a+p)} , 
% wo  {\fontname{Courier}a = 2\pif_0t}  ist. 
%
% Die Multiplikation im unteren Zweig ergibt
%
%     s(t)*cos(a)*cos(a+p) = s(t)*(cos(2*a+p) + cos(p))/2   %<'FontName',MSVFORMFONT>
%
% Nach dem Tiefpass TP verbleibt nur der Term  {\fontname{Courier}s(t)*cos(p)/2}.
%
% Die Multiplikation im oberen Zweig ergibt
%
%     s(t)*cos(a)*sin(a+p) = s(t)*(sin(2*a+p) + sin(p))/2   %<'FontName',MSVFORMFONT>
%
% Nach dem Tiefpass TP verbleibt nur der Term  {\fontname{Courier}s(t)*sin(p)/2}.
%
% Die Multiplikation der beiden Tiefpass-Signale rechts ergibt
%
%     (s(t))^2 * cos(p)/2 * sin(p)/2 = (s(t))^2 * sin(2*p)/8    %<'FontName',MSVFORMFONT>
%
% Im Bereich   {\fontname{Courier}-\pi/4 < p < +\pi/4}   kann dieses Signal zur Regelung verwendet werden. 
% Es enthlt noch praktisch alle Strungen des Inputsignals, da die Tiefpsse TP nur 
% zur Unterdrckung der doppelten Trgerfrequenz dienen.  Es muss also noch das 
% eigentliche Reglerfilter folgen.
%
% Voraussetzung fr die korrekte Funktion des Costas-Loop ist, dass  {\fontname{Courier}s(t)}  nur zeitlich 
% punktuell durch Null geht.  Bei digitaler bertragung darf deshalb kein Symbol 
% durch  {\fontname{Courier}s = 0}  reprsentiert werden.
%
% Eine Simulation des Costas-Loops liefert die Funktion  {\fontname{Courier}costasloop} . 
% Gezeigt werden das Einschwingverhalten und die Demodulation von BPSK.  Als Audio 
% wird das Inputsignal und anschliessend der rekonstruierte Trger ausgegeben.
%
costasloop;
%