%
%
%8.1.  Start-Stopp-Verfahren%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Sender und Empfnger benutzen beim Start-Stopp-Verfahren unsynchronisierte Uhren, 
% die bis zu einer spezifizierten Grenze unterschiedlich laufen drfen.  Die Abtastpunkte 
% fr eine kurze Sequenz von Bits werden allein durch den Zeitpunkt der ersten  
% Signalflanke des sog. Start-Bits festgelegt.  Der Empfnger stellt also seine Uhr 
% mit der ersten ankommenden Flanke und zhlt dann mit seiner eigenen Uhr eine fest 
% vereinbarte Anzahl von Schritten ab.  Danach wartet er wieder auf eine Signalflanke. 
% In der Wartephase wird das Signal 1 kontinuierlich gesendet.  Das Startbit ist 0.
%
% Das Start/Stopp-Verfahren wird simuliert durch die Funktion  {\fontname{Courier}startstop} :
%
% [rxbits,fehler] = startstop(txschritt,rxschritt,txbits)                  %<'FontName',MSVFORMFONT>
% Simulation der Datenbertragung mit Start/Stopp-Synchronisation.         %<'FontName',MSVFORMFONT>
% txschritt :  Schrittlnge fr ein Bit beim Sender (reelle Zahl >= 1).    %<'FontName',MSVFORMFONT>
% rxschritt :  Schrittlnge fr ein Bit beim Empfnger (reelle Zahl >= 1). %<'FontName',MSVFORMFONT>
% txbits    :  zu bertragende Bits (Binrvektor der Lnge  m*8).          %<'FontName',MSVFORMFONT>
% rxbits    :  empfangene Bits (sie sollten identisch zu txbits sein)      %<'FontName',MSVFORMFONT>
% fehler    :  Summe der Bitfehler                                         %<'FontName',MSVFORMFONT>
%
% Wir bestimmen jetzt, in welchem Bereich sich die Empfnger-Uhr bewegen darf, wenn 
% die Sender-Uhr auf  {\fontname{Courier}100}  Zeitschritte pro Bit eingestellt wird. 
% Wir verwenden der Deutlichkeit halber die regelmssige Bitfolge  {\fontname{Courier}1 0 1 0 1 0 1 0} .
%
%% Nun im Kommandofenster z.B. eingeben:  {\fontname{Courier}rxs = 102.3}
%% und anschliessend das Folgende durch Klicken aufrufen:
%
txs = 100;
sendbits  = [nullein(ones(1,16)),0];
recbits   = startstop( txs, rxs, sendbits);
bitfehler = sum(recbits~=sendbits)
%
% Die Uhren drfen offenbar etwa um \pm5% differieren.
%
% Realistische zufllige Bitfolgen sehen wie folgt aus ({\fontname{Courier}rxs} wie oben setzen):
%
txs = 100;
sendbits  = randb(64);
recbits   = startstop( txs, rxs, sendbits);
bitfehler = sum(recbits~=sendbits)
%
% Wenn lngere Blcke als 8 Bits bertragen werden, ist die Toleranz kleiner und vor 
% allem das Neusynchronisieren nach einem Fehler unwahrscheinlicher.  Deshalb sind 
% nur Blcke von 5 bis 8 Informationsbits blich.
%