%
%
%8.2.  Rekonstruktion des Schritt-Taktes%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-8,'Color',MSVTITLCOLOR>
%
%
%
% Wir gehen aus von binren Raised-Cosine-Signalen mit den Symbolen {\fontname{Courier}\{-1, +1\}}.  Das Quadrat 
% eines solchen Signals hat bei jedem Wechsel zwischen den beiden Symbolen die Form  
% {\fontname{Courier}0.5*(cos(2\pi*Schrittfrequenz*t) +1)}.  Das Spektrum des Signalquadrates hat deshalb 
% ein Maximum bei der Schrittfrequenz.  Diese kann also aus dem Signalquadrat rekonstruiert 
% werden, sofern Symbolwechsel vorkommen.
%
% Die Funktion  {\fontname{Courier}schrittsync}  fhrt diese Rekonstruktion nach der Methode der kleinsten 
% Quadrate durch.  Es werden dabei die Parameter {\fontname{Courier}c, a, f, p}  der Funktion
%
%     c + a*cos(2\pift + p)   %<'FontName',MSVFORMFONT>
%
% so variiert, dass der euklidische Abstand zum Signalquadrat minimal wird.  Nur die 
% Schrittfrequenz  {\fontname{Courier}f}  und die Phase  {\fontname{Courier}p}  werden davon bentigt:
%
% [x0,y0,z0]  = schrittsync(txschritt,rxschritt,txsymb,sigma,neutral)  %<'FontName',MSVFORMFONT>
% Parameter:                                                           %<'FontName',MSVFORMFONT>
% txschritt     :  Symbolschritt in Samples (sinvoll 4...100)          %<'FontName',MSVFORMFONT>
% rxschritt     :  Schtzung fr den Empfnger-Symbolschritt           %<'FontName',MSVFORMFONT>
% txsymb        :  Vektor der zu sendenden Symbole                     %<'FontName',MSVFORMFONT>
% sigma         :  Standardabweichung des weissen Kanalrauschens       %<'FontName',MSVFORMFONT>
% neutral       :  empfangenes Symbol, wenn keine Sendung              %<'FontName',MSVFORMFONT>
% tol           :  Toleranz fr die Schrittfrequenz  (1-tol)...(1+tol) %<'FontName',MSVFORMFONT>
% x0            :  ermittelter Empfnger-Symbolschritt                 %<'FontName',MSVFORMFONT>
% y0            :  emfangene Bits  \{-1 +1\}  bei Entscheidung durch >0 (ohne Rauschen) %<'FontName',MSVFORMFONT>
% z0            :  emfangene Bits  \{-1 +1\}  bei Entscheidung durch >0 (mit Rauschen)  %<'FontName',MSVFORMFONT>
%
% Zunchst betrachten wir (mehrfach) den rauschfreien Fall.  Dabei wird eine um  {\fontname{Courier}2.3%} 
% falsche Anfangsschtzung fr die Schrittfrequenz angenommen:
%
schrittsync( 100, 102.3, randb(20,[-1 +1]), 0.0, 1, 0.1);
%% Die graphischen Elemente knnen mit den Tasten  1 ... 7 
%% Aus- und Eingeschaltet werden.
%
% Nun wird das Rauschen eingefhrt.  Im Kommandofenster wird die Zahl der Bitfehler 
% angegeben, und zwar:   
% syncfehler = Anzahl der durch Synchronisation verursachten Bitfehler %<'FontName',MSVFORMFONT>
% bitfehler  = Anzahl aller Bitfehler (mit Empfangsfilter).            %<'FontName',MSVFORMFONT>
%
s = 0.25;      % Standardabweichung des Rauschens
sendbits  = randb(20,[-1 +1]);
[s,r0,r1] = schrittsync( 100, 102.3, sendbits, s, 1, 0.1);
syncfehler= sum(r0~=sendbits)
bitfehler = sum(r1~=sendbits)
%
s = 0.5;       % Standardabweichung des Rauschens
sendbits  = randb(20,[-1 +1]);
[s,r0,r1] = schrittsync( 100, 102.3, sendbits, s, 1, 0.1);
syncfehler= sum(r0~=sendbits)
bitfehler = sum(r1~=sendbits)
%
s = 1.0;       % Standardabweichung des Rauschens
sendbits  = randb(20,[-1 +1]);
[s,r0,r1] = schrittsync( 100, 102.3, sendbits, s, 1, 0.1);
syncfehler= sum(r0~=sendbits)
bitfehler = sum(r1~=sendbits)
%
s = 1.3;       % Standardabweichung des Rauschens
sendbits  = randb(20,[-1 +1]);
[s,r0,r1] = schrittsync( 100, 102.3, sendbits, s, 1, 0.1);
syncfehler= sum(r0~=sendbits)
bitfehler = sum(r1~=sendbits)
%
% Im Fall der Raised-Cosine-Impulsform und der Symbole  {\fontname{Courier}-1}  und  {\fontname{Courier}+1}  ergibt das Quadrat des 
% demodulierten Signals eine nutzbare Frequenzkomponente bei der doppelten Schrittfrequenz. 
%
% Es sind nun noch zwei Fragen zu klren:
%
% (a)  Ist das Verfahren auch bei anderen Impulsformen sinnvoll ?
%
% (b)  Funktioniert das Verfahren bei allen Symbolfolgen ?
%
% Zur Beantwortung der ersten Frage nehmen wir anstelle des RC-Impulses ein ideales 
% Rechteck und eine beliebige Symbolfolge der Symbole  {\fontname{Courier}-1} und {\fontname{Courier}+1} .  Das Quadrat ergibt 
% eine konstante 1.  Das Spektrum ist damit berall  {\fontname{Courier}0}  ausser bei  {\fontname{Courier}0} .  Im Falle des 
% Rechteckimpulses kann man das Verfahren aber dennoch benutzen, wenn man das demodulierte 
% Signal durch ein Tiefpassfilter mit der Schrittfrequenz als Grenzfrequenz schickt. 
% Dann verbleibt etwa ein RC-Signal.
%
% Wir prfen das Spektrum des Quadrates verschiedener Impulsformen mit folgendem Skript:
%
s  = randx(100,[-1 +1]);      % zufllige Symbolfolge
n  = 3000;
rc = impulsfolge(s,'RC').^2;    frc = fft([rc,zeros(1,n-length(rc))]);
gs = impulsfolge(s,'Gauss').^2; fgs = fft([gs,zeros(1,n-length(gs))]);
re = impulsfolge(s,'Rect').^2;  fre = fft([re,zeros(1,n-length(re))]);
si = impulsfolge(s,'Sinc').^2;  fsi = fft([si,zeros(1,n-length(si))]);
tr = impulsfolge(s,'Tri').^2;   ftr = fft([tr,zeros(1,n-length(tr))]);
sp = abs([frc;fgs;fre;fsi;ftr]');
sp = sp(2:502,:);
fh = fullscreen('Q-Spektrum');
plot(20*(0:500)/n,sp)
set(gcf,'KeypressFcn','hervorhebung','UserData',{zeros(1,8); 1.2*ones(1,8); {'b';'g';'m';'c'}})
axis([0,3.3,0,400])
legend('1 Raised Cosine','2 Gauss','3 Rechteck','4 Sinc','5 Dreieck')
title('Spektrum des Quadrats einer zuflligen Bitfolge bei verschiedenen Impulsformen','FontSize',13)
xlabel('Frequenz/Schrittfrequenz','FontSize',13)
%
% Wie erwartet gibt es beim Rechteckimpuls keine Frequenzkomponente an der Stelle der 
% Schrittfrequenz.  Leider ist das auch beim Sinc-Impuls der Fall.  Whrend man den 
% Rechteck-Impuls im Empfnger durch ein passendes Tiefpassfilter zu einem Raised-
% Cosine-Impuls verformen und dann die Schrittsynchronisation durchfhren kann, ist 
% das beim Sinc-Impuls nicht mglich.  Hier muss man also einen anderen Weg gehen. 
% Wir besprechen einen solchen im Abschnitt 8.4.
%
%
%% bung 8.2.1:   Es sind durch Aufrufe von schrittsync mit verschiedenen Bitmustern der 
%% Lnge 20 Antworten auf folgende Fragen zu finden:
%% a. Ist das Maximum im Spektrum des Signalquadrates absolut oder lokal?
%% b. Sind die Maxima unterhalb der Schrittfrequenz verursacht durch Rauschen 
%%     oder durch spezielle Bitmuster?
%% c. Sind die Maxima oberhalb der Schrittfrequenz verursacht durch Rauschen 
%%     oder durch spezielle Bitmuster?
%%
%% Zufllige Muster knnen mit  {\fontname{Courier}randb(Anzahl,[-1,+1])}  generiert werden.
%% Achten Sie darauf, dass alle Muster nur die Symbole  {\fontname{Courier}\{-1,+1\}} benutzen. 
%% Setzen Sie die Parameter  neutral = 1  und  tol = 0.1
%
schrittsync( 100, 102.3, randb(20,[-1 +1]), 0.4, 1, 0.1);
%
