%
%
%8.4.  Entscheidungs-rckgekoppelte Schritt-Takt-Regelung%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-18,'Color',MSVTITLCOLOR>
%
%
%
% Zur Erluterung der Entscheidungs-rckgekoppelten Schritt-Takt-Regelung erzeugen wir 
% ein zuflliges binres Sendesignal mit Sinc-Impuls und stellen das Augendiagramm dar 
% fr zeitlich verschobene Abtastung:
%
%% Die folgenden MATLAB-Skripte erfordern einen schnellen Rechner!
s = randx(100,[-1 +1]);        % Symbolfolge
x = impulsfolge(s,'Sinc',50);  % Signal
for k=1:20  augendiagramm(x,5000,100,1,mod(k/40-0.25,1),[-1 +1]); fh(k)=gcf; end
for k=1:20  figure(fh(mod(k-1,20)+1)); pause(0.2); end
%
% Anstelle der Darstellung im Zeitbereich whlen wir nun die Darstellung im Signalraum 
% und zeigen nacheinander 5 Bilder fr Abtastungen mit verschieden zeitlich verschobener 
% Schritttaktung.  Anstelle von Binrsymbolen werden hier die ASK/PSK-Symbole von V.29 
% (Fax) benutzt:
%
x = impulsfolge(v29(100,100),'Sinc',25);  % Signal
for k=1:5  komplexanimat(x,[0 0 0 0 0 1],100,[90 0],(248:25:2000)+k); fh(k)=gcf; end
%% Die Bilder als Daumenkino nacheinander:
for k=1:5  figure(fh(k)); pause(0.3); end
%% Das Lschen der Bilder dauert leider einige Zeit.
%
% Hier noch eine Wiederholung mit Rauschen:
%
x = impulsfolge(v29(30,100,1),'Sinc',25);  % Signal
for k=1:5  komplexanimat(x,[0 0 0 0 0 1],100,[90 0],(248:25:2000)+k); fh(k)=gcf; end
%% Die Bilder als Daumenkino nacheinander:
for k=1:5  figure(fh(k)); pause(0.3); end
%
% Die mittlere quadratische Abweichung des zur Datenentscheidung benutzten Signals vom 
% erwarteten idealen Wert ist offenbar abhngig vom zeitlichen Fehler der Schrittsyn-
% chronisation.  Sucht man fr jeden Abtastpunkt  {\fontname{Courier}t(k)}  den Zeitpunkt  {\fontname{Courier}tau(k)} , fr den 
% die Abweichung zwischen korrektem Wert und aktuellem Signal minimal ist, so kann man 
% die Differenz
%              dt(k) = \tau(k) - t(k)  %<'FontName',MSVFORMFONT>
% zur Regelung des Schritttaktes verwenden.  Man kann auch fr einen ganzen Block den 
% Schritt-Takt suchen, fr den die mittlere quadratische Abweichung am kleinsten ausfllt. 
% Da die Datenentscheidung wesentlich in die Regelung bzw. in die zu minimierende Grsse 
% eingeht, nennt man diese Art der Schritttakt-Synchronisation Entscheidungs-rckgekoppelt.
%
% Das folgende Skript untersucht die Qualitt dieser Methode in Bezug auf verschiedene 
% Impulsformen.  Gewhlt wird hier eine zufllige Folge von  {\fontname{Courier}100} Symbolen der 64-QAM:
%
s  = qam14k4(100,100);          % Symbolfolge
xc = impulsfolge(s,'RC',25);    % Signal bei RC-Impuls
xg = impulsfolge(s,'Gauss',25); % Signal bei Gauss-Impuls
xr = impulsfolge(s,'Rect',25);  % Signal bei Rechteck-Impuls
xs = impulsfolge(s,'Sinc',25);  % Signal bei Sinc-Impuls
xt = impulsfolge(s,'Tri',25);   % Signal bei Dreieck-Impuls
for k=1:25  dc(k) = mean(abs(xc(k+13:25:length(xc)-25+k)-s).^2);   end
for k=1:25  dg(k) = mean(abs(xg(k+63:25:length(xg)-75+k)-s).^2);   end
for k=1:25  dr(k) = mean(abs(xr(k:25:length(xr)-25+k)-s).^2);      end
for k=1:25  ds(k) = mean(abs(xs(k+238:25:length(xs)-250+k)-s).^2); end
for k=1:25  dt(k) = mean(abs(xt(k+13:25:length(xt)-25+k)-s).^2);   end
fh1 = fullscreen('Abstandsquadrat'); 
plot((-12:+12)/25,[dc;dg;dr;ds;dt]')
title('Abstandsquadrat in Abhngigkeit vom zeitlichen Synchronisationsfehler','FontSize',13)
xlabel('Synchronisationsfehler [Schritt]','FontSize',13)
legend('1 Raised-Cosine-Impuls','2 Gauss-Impuls','3 Rechteck-Impuls','4 Sinc-Impuls','5 Dreieck-Impuls')
set(gcf,'KeyPressFcn','hervorhebung','UserData',{zeros(1,8); 1.2*ones(1,8); {'b';'g';'m';'c'}});
%
% Offenbar ist die Empfindlichkeit der Methode genau der Empfindlichkeit der gewhlten 
% Impulsform bezglich Synchronisationsfehlern angepasst.  Beim Sinc-Impuls ist die 
% Empfindlichkeit besonders stark.  Die Regelung wird also die Phase des Schritttaktes 
% besonders przise einstellen knnen wie es beim Sinc-Impuls auch erforderlich ist.
%
% Das Verfahren arbeitet auch bei extremem Rauschen noch sehr gut:
%
r  = 0.1;  % weisses Rauschen
xc = xc + r*(randn(size(xc))+i*randn(size(xc))); % Signal bei RC-Impuls
xg = xg + r*(randn(size(xg))+i*randn(size(xg))); % Signal bei Gauss-Impuls
xr = xr + r*(randn(size(xr))+i*randn(size(xr))); % Signal bei Rechteck-Impuls
xs = xs + r*(randn(size(xs))+i*randn(size(xs))); % Signal bei Sinc-Impuls
xt = xt + r*(randn(size(xt))+i*randn(size(xt))); % Signal bei Dreieck-Impuls
for k=1:25  dc(k) = mean(abs(xc(k+13:25:length(xc)-25+k)-s).^2);   end
for k=1:25  dg(k) = mean(abs(xg(k+63:25:length(xg)-75+k)-s).^2);   end
for k=1:25  dr(k) = mean(abs(xr(k:25:length(xr)-25+k)-s).^2);      end
for k=1:25  ds(k) = mean(abs(xs(k+238:25:length(xs)-250+k)-s).^2); end
for k=1:25  dt(k) = mean(abs(xt(k+13:25:length(xt)-25+k)-s).^2);   end
fh2 = fullscreen('Abstandsquadrat'); 
plot((-12:+12)/25,[dc;dg;dr;ds;dt]')
title('Abstandsquadrat in Abhngigkeit vom zeitlichen Synchronisationsfehler','FontSize',13)
xlabel('Synchronisationsfehler [Schritt]','FontSize',13)
legend('1 Raised-Cosine-Impuls','2 Gauss-Impuls','3 Rechteck-Impuls','4 Sinc-Impuls','5 Dreieck-Impuls')
set(gcf,'KeyPressFcn','hervorhebung','UserData',{zeros(1,8); 1.2*ones(1,8); {'b';'g';'m';'c'}});
komplexanimat(xs,[1 0 0 0 0 1],100,[90 0],251:25:length(xs))
figure(fh2)
%
% Das Rauschen fhrt nur zu einer geringfgigen Anhebung der Kurven.
%
% Zur realzeitlichen Regelung bestimmt man die Korrelation der Signalwerte vor dem 
% Datenentscheider zum Entscheidungszeitpunkt mit den entschiedenen Symbolen bei der 
% vorigen Entscheidung sowie bei der nchsten Entscheidung und bildet deren Differenz, 
% die dann tiefpassgefiltert wird.
%
% Anstelle der Tiefpassfilterung nehmen wir hier den Mittelwert ber die  
% {\fontname{Courier}100} Datenentscheidungen:
%
sy = [];  a = sqrt(6*64/672);
for k = 1:8  sy = [sy, a*(k - 4.5 + i*(-7:2:+7)/2)]; end  % Symbolmenge
s  = qam14k4(100,100);          % Symbolfolge
xc = impulsfolge(s,'RC',25);    % Signal bei RC-Impuls
xg = impulsfolge(s,'Gauss',25); % Signal bei Gauss-Impuls
xs = impulsfolge(s,'Sinc',25);  % Signal bei Sinc-Impuls
xt = impulsfolge(s,'Tri',25);   % Signal bei Dreieck-Impuls
for k=1:25 for p=1:100  sc(k,p) = sy(find(abs(sy-xc(k+25*p-12)) ==min(abs(sy-xc(k+25*p-12)))));  end; end
for k=1:25 for p=1:100  sg(k,p) = sy(find(abs(sy-xg(k+25*p+38)) ==min(abs(sy-xg(k+25*p+38)))));  end; end
for k=1:25 for p=1:100  ss(k,p) = sy(find(abs(sy-xs(k+25*p+213))==min(abs(sy-xs(k+25*p+213))))); end; end
for k=1:25 for p=1:100  st(k,p) = sy(find(abs(sy-xt(k+25*p-12)) ==min(abs(sy-xt(k+25*p-12)))));  end; end
for k=1:25  qc(k) = mean(real(delay(xc(k+13:25:length(xc)-25+k),  1).*conj(sc(k,:))-xc(k+13:25:length(xc)  -25+k).*delay(conj(sc(k,:)),1))); end
for k=1:25  qg(k) = mean(real(delay(xg(k+63:25:length(xg)-75+k),  1).*conj(sg(k,:))-xg(k+63:25:length(xg)  -75+k).*delay(conj(sg(k,:)),1))); end
for k=1:25  qs(k) = mean(real(delay(xs(k+238:25:length(xs)-250+k),1).*conj(ss(k,:))-xs(k+238:25:length(xs)-250+k).*delay(conj(ss(k,:)),1))); end
for k=1:25  qt(k) = mean(real(delay(xt(k+13:25:length(xt)-25+k),  1).*conj(st(k,:))-xt(k+13:25:length(xt)  -25+k).*delay(conj(st(k,:)),1))); end
fh3 = fullscreen('Regelkriterium'); 
plot((-12:+12)/25,[qc;qg;qs;qt]')
line(get(gca,'XLim'),[0 0],'LineStyle',':','Color',0.7*[1 1 1])
title('Differenz der Korrelationen des Signals mit den benachbarten Datenenentscheidungen','FontSize',13)
xlabel('Synchronisationsfehler [Schritt]','FontSize',13)
legend('1 Raised-Cosine-Impuls','2 Gauss-Impuls','3 Sinc-Impuls','4 Dreieck-Impuls')
set(gcf,'KeyPressFcn','hervorhebung','UserData',{zeros(1,8); 1.2*ones(1,8); {'b';'g';'m';'c'}});
%
% Die betrachtete Differenz der Korrelationen des Signals vor dem Datenentscheider mit 
% den benachbarten Datenentscheidungen kann offensichtlich als Kriterium fr eine 
% Regelung der Schritt-Takt-Phase benutzt werden ausser beim Rechteck-Impuls.  Beim 
% Sinc-Impuls ist die Empfindlichkeit besonders hoch durch die grosse Steilheit am 
% Nullpunkt.  Auch ist beim Sinc-Impuls der Fangbereich und damit die Robustheit der 
% Regelung besonders gut, erkenntlich daran, dass der Bereich berwiegend negativer 
% Werte links vom Nullpukt sowie berwiegend positiver Werte rechts davon mit  {\fontname{Courier}\pm0.4}  
% sehr gross ist.  Bei anderen Impulsformen arbeitet die Regelung nur, wenn der 
% Schritttaktfehler deutlich kleiner ist.
%
% Wie oben fgen wir Rauschen hinzu:
%
r  = 0.1;  % weisses Rauschen
xc = xc + r*(randn(size(xc))+i*randn(size(xc))); % Signal bei RC-Impuls
xg = xg + r*(randn(size(xg))+i*randn(size(xg))); % Signal bei Gauss-Impuls
xs = xs + r*(randn(size(xs))+i*randn(size(xs))); % Signal bei Sinc-Impuls
xt = xt + r*(randn(size(xt))+i*randn(size(xt))); % Signal bei Dreieck-Impuls
for k=1:25 for p=1:100  sc(k,p) = sy(find(abs(sy-xc(k+25*p-12)) ==min(abs(sy-xc(k+25*p-12)))));  end; end
for k=1:25 for p=1:100  sg(k,p) = sy(find(abs(sy-xg(k+25*p+38)) ==min(abs(sy-xg(k+25*p+38)))));  end; end
for k=1:25 for p=1:100  ss(k,p) = sy(find(abs(sy-xs(k+25*p+213))==min(abs(sy-xs(k+25*p+213))))); end; end
for k=1:25 for p=1:100  st(k,p) = sy(find(abs(sy-xt(k+25*p-12)) ==min(abs(sy-xt(k+25*p-12)))));  end; end
for k=1:25  qc(k) = mean(real(delay(xc(k+13:25:length(xc)-25+k),  1).*conj(sc(k,:))-xc(k+13:25:length(xc)  -25+k).*delay(conj(sc(k,:)),1))); end
for k=1:25  qg(k) = mean(real(delay(xg(k+63:25:length(xg)-75+k),  1).*conj(sg(k,:))-xg(k+63:25:length(xg)  -75+k).*delay(conj(sg(k,:)),1))); end
for k=1:25  qs(k) = mean(real(delay(xs(k+238:25:length(xs)-250+k),1).*conj(ss(k,:))-xs(k+238:25:length(xs)-250+k).*delay(conj(ss(k,:)),1))); end
for k=1:25  qt(k) = mean(real(delay(xt(k+13:25:length(xt)-25+k),  1).*conj(st(k,:))-xt(k+13:25:length(xt)  -25+k).*delay(conj(st(k,:)),1))); end
fh3 = fullscreen('Regelkriterium'); 
plot((-12:+12)/25,[qc;qg;qs;qt]')
line(get(gca,'XLim'),[0 0],'LineStyle',':','Color',0.7*[1 1 1])
title('Differenz der Korrelationen des Signals mit den benachbarten Datenenentscheidungen','FontSize',13)
xlabel('Synchronisationsfehler [Schritt]','FontSize',13)
legend('1 Raised-Cosine-Impuls','2 Gauss-Impuls','3 Sinc-Impuls','4 Dreieck-Impuls')
set(gcf,'KeyPressFcn','hervorhebung','UserData',{zeros(1,8); 1.2*ones(1,8); {'b';'g';'m';'c'}});
%
% Auch bei heftig verrauschtem Signal arbeitet die Regelung gut, insbesondere bei 
% Benutzung des Sinc-Impulses.
%