%
%
%9.2.  Kanalkapazitt%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Speichermedien fr digitale Daten sind im Laufe der letzten Jahre immer billiger 
% geworden durch immer grssere Speicherdichte (DRAMs, CD-ROM, DVD und weitere 
% Neuentwicklungen).  Die Reprsentation von Daten innerhalb von Rechnern ist deshalb 
% verschwenderischer geworden.  Neue Anwendungen wie Speicherung Bearbeitung und 
% Wiedergabe von Bewegtbildern und insbesondere der Wunsch nach Kommunikation der 
% Daten im Internet erfordern dagegen eine effiziente Komprimierung.
%
% Im Gegensatz zu Speichermedien, die durch technologische Entwicklungen erheblich 
% verbessert werden konnten, gibt es bei der Informationsbertragung harte 
% physikalische und informationstheoretische Grenzen.  Die physikalischen Grenzen
% betreffen den jeweiligen Kanal und werden bei dessen Behandlung nher besprochen. 
% Die informationstheoretische Grenze fr den einfachsten Fall des weissen Gauss-
% Rauschens soll hier schon genannt werden.  Eine Herleitung der von Shannon 
% gefundenen Zusammenhnge findet sich in Lehrbchern ber Informationstheorie.
%
% Gegeben sei ein Kanal der Bandbreite  {\fontname{Courier}b} .  Das Signal/Rausch-Verhltnis am 
% Empfangsort sei  {\fontname{Courier}SNR = S/(b N_0)} .  Dann heisst
%
%         c = b * log_2 (1 + SNR)   %<'FontName',MSVFORMFONT>
%
% die Kanalkapazitt des Kanals.   {\fontname{Courier}c}  ist die theoretische obere Grenze fr die 
% bertragungsgeschwindigkeit des Kanals in Informationsbits pro Sekunde.  
% Mit Informationsbit ist die Informationseinheit der Informationstheorie gemeint. 
% Die Information von  {\fontname{Courier}k}  Informationsbits wird in   {\fontname{Courier}n \geq k}  Bits reprsentiert 
% und bertragen oder in entsprechend weniger hherstufigen Symbolen. Ziel der 
% digitalen bertragungseinrichtungen ist fast immer, die bertragungsgeschwindigkeit 
% in die Nhe von  {\fontname{Courier}c}  zu bringen.
%
% Nachdem diese Versuche 35 Jahre lang deprimierend weit vom Ideal endeten, ist es 
% in den letzten Jahren dank des Einsatzes hoher Rechenleistung beim Kodieren und 
% Dekodieren gelungen, das Ziel fast zu erreichen.
%
% Offenbar steigt die Kanalkapazitt nur logarithmisch mit dem Signal/Rauschverhltnis:
%
fh = fullscreen('Kanalkapazitt');
plot(kanalkap(1:1000,1))  % Kanalkapazitt fr b = 1 Hz
title('Kanalkapazitt fr eine Bandbreite von 1 Hz','Fontsize',13)
xlabel('Signal/Rauschverhltnis','Fontsize',13)
ylabel('Informationsbits / Sekunde','Fontsize',13)
text(300,5,'theoretisch erreichbares Gebiet','Fontsize',13)
text(100,9,'unerreichbares Gebiet','Fontsize',13)
%
% Der Zusammenhang zwischen  {\fontname{Courier}c}  und  {\fontname{Courier}b}  ist nicht so einfach, wie die Formel aussieht, 
% denn die Rauschleistung ist proportional zu  {\fontname{Courier}b} :
%
%        N = b * N_0   %<'FontName',MSVFORMFONT>
%
% Damit gilt
%
%         c = b * log_2 (1 + S/(b N_0))   %<'FontName',MSVFORMFONT>
%
% Die Abhngigkeit von  {\fontname{Courier}b}  zeigt das folgende Bild:
%
bm = 20;                 % Bandbreitenbereich      1...bm
S  = [0.2 0.5 1 2 5 10]; % Signalleistung
N0 = 1;                  % Rauschleistung pro Bandbreite (AWGN)
b  = 0.1:0.1:bm;         % Bandbreite
fh = fullscreen('Kanalkapazitt');
plot(b,ones(size(S'))*b.*log2(1+(S'/N0)*(1./b)))
line(b,1./(b.*log2(1+1./(b*N0))),'Color','r','LineStyle',':')
title('Kanalkapazitt als Funktion von Bandbreite und Signalleistung bei  N_0 = 1','Fontsize',13)
xlabel('Bandbreite [Hz]','Fontsize',13)
ylabel('Informationsbits / Sekunde','Fontsize',13)
lgnd = []; for k=1:length(S) lgnd = [lgnd; sprintf('S =%4.1f',S(k))]; end
lgnd = [lgnd;'Eb  S=1'];
legend(lgnd,0)
%
% Aus diesem Bild ergibt sich, dass die Kanalkapazitt bei zunehmender Bandbreite 
% trotz linear ansteigender Rauschleistung grsser wird.  Allerdings wird praktisch 
% schon bei   {\fontname{Courier}b = 4 c}   der Grenzwert asymptotisch erreicht.  Entsprechend wird die 
% pro Informationsbit erforderliche Energie  {\fontname{Courier}E_b}  mit steigender Bandbreite kleiner 
% (rot strichliert).  Bei Deep-Space-Kommunikation ist deshalb die Benutzung grosser 
% Bandbreite vorteilhaft.
%
% Andererseits ist es bei kostbarer Bandbreite gnstiger, mit geringer Bandbreite 
% auszukommen.  Das folgende Bild zeigt die bertragungskapazitt pro Bandbreite.
%
bm = 1;                  % Bandbreitenbereich      1...bm
S  = [0.2 0.5 1 2 5 10]; % Signalleistung
N0 = 1;                  % Rauschleistung pro Bandbreite (AWGN)
b  = 0.0:0.01:bm;        % Bandbreite
fh = fullscreen('Bandbreite-Effizienz');
plot(b,log2(1+(S'/N0)*(1./b)))
line(b,1./(b.*log2(1+1./(b*N0))),'Color','r','LineStyle',':')
line(b,b.*log2(1+1./(b*N0)).^2,'Color','k','LineStyle',':')
set(gca,'YLim',[0 5])
title('bertragungskapazitt pro Bandbreite als Funktion von Bandbreite und Signalleistung','Fontsize',13)
xlabel('Bandbreite [Hz]','Fontsize',13)
ylabel('Informationsbits / Sekunde / Bandbreite','Fontsize',13)
lgnd = []; for k=1:length(S) lgnd = [lgnd; sprintf('S =%4.1f',S(k))]; end
lgnd = [lgnd;'Eb  S=1';'bEff/Eb'];
legend(lgnd,0)
%
% Die Bandbreite wird theoretisch also bei infinitesimaler Bandbreite am besten ausgenutzt. 
% Das Bild zeigt (rot strichliert) aber, dass dann auch die pro Informationsbit bentigte 
% Energie  {\fontname{Courier}E_b}  divergiert.  Das Verhltnis von  {\fontname{Courier}bertragungskapazitt/E_b}  ist schwarz strichliert 
% (beides fr den Fall   {\fontname{Courier}S = 1.0} ).  Dies ist offenbar bei etwa   {\fontname{Courier}b = S/(4 N_0)}  optimal.
%
%  Beispiel:
S  = 1.0;                       % Signalleistung
N0 = 1.0;                       % Rauschleistung pro Bandbreite
b  = [50, 10, 1, 0.2, 0.05];    % Bandbreiten
c  = b.*log2(1+S./(N0*b));      % Kanalkapazitt
be1= log2(1+S./(N0*b));         % bertragungskapazitt pro Bandbreite
Eb = S./(b.*log2(1+S./(b*N0))); % Energie pro Bit
be2= b.*log2(1+S./(b*N0)).^2;   % bertragungskapazitt pro Bandbreite pro Eb
str = sprintf('%s   %7.4f   %7.4f   %7.4f   %7.4f   %7.4f\n','              Bandbreite',b);
str = [str,sprintf('%s   %7.4f   %7.4f   %7.4f   %7.4f   %7.4f\n','          Kanalkapazitt',c)];
str = [str,sprintf('%s   %7.4f   %7.4f   %7.4f   %7.4f   %7.4f\n','         Energie pro Bit',Eb)];
str = [str,sprintf('%s   %7.4f   %7.4f   %7.4f   %7.4f   %7.4f\n','       Kapazitt pro Bit',be1)];
str = [str,sprintf('%s   %7.4f   %7.4f   %7.4f   %7.4f   %7.4f\n','Kapazitt pro Bit pro Eb',be2)];
str
%
%% Die Tabelle wird im Kommandofenster ausgegeben.
%
%
%% bung 9.2  Die von der Antenne aufgenommene Rauschleistung sei  {\fontname{Courier}N_0 = 2*10^{-17} W/Hz}.  
%% Die Leistung des empfangenen Nutzsignals ist  {\fontname{Courier}S = 10^{-18} W}.  
%% Geben Sie die maximal mgliche bertragungsrate in Abhngigkeit von der Bandbreite an.
%
