%
%
%9.3.1  Statistische Eigenschaften des Rauschens %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-12,'Color',MSVTITLCOLOR>
%
%
%
% Wir interessieren uns fr die Eigenschaften des am Eingang des Datenentscheiders
% anliegenden zeitdiskreten Rauschens.  Dieses Rauschen setzt sich im allgemeinen aus 
% sehr vielen Komponenten zusammen, so dass sich nach dem zentralen Grenzwertsatz 
% eine Gauss-Verteilung ergibt:
% 
a  = 4;
x  = -a:0.1:+a;
fh = fullscreen('Verteilungsdichte');
plot(x,1/sqrt(2*pi)*exp(-x.^2/2))
title('Gauss-Verteilung','FontSize',13)
xlabel('Rauschwert / Standardabweichung','FontSize',13)
%
% Die Wahrscheinlichkeitsdichte der Gaussverteilung ist
%
% (1/(\sigma*sqrt(2\pi))) * exp(-x^2/(2\sigma^2))   %<'FontName',MSVFORMFONT>
%
% Zur Berechnung der Wahrscheinlichkeit von Datenentscheidungsfehlern ist 
% zu bestimmen, wie gross die Wahrscheinlichkeit ist, dass die normalverteilte 
% Zufallsgrsse eine gegebene Schwelle berschreitet.  Dies liefert die normierte 
% Verteilungsfunktion  
%
%         x                                                     %<'FontName',MSVFORMFONT>
% \Psi(x) = _{\fontsize{24}\int} (1/sqrt(2\pi)) e^{-t^2/2} dt   %<'FontName',MSVFORMFONT>
%       -\infty                                                 %<'FontName',MSVFORMFONT>
%
% Das uneigentliche Integral in  {\fontname{Courier}\Psi(x)}  ist leider nicht in geschlossener Form lsbar.  
% Man benutzt deshalb Tabellen.  Anstelle von  {\fontname{Courier}\Psi(x)}  ist die Verwendung der auf 
% die Standardabweichung  {\fontname{Courier}\sigma = 1/sqrt(2)}  normierten Verteilungsfuntion  {\fontname{Courier}erf(x)} blich:
%
%          x                                                %<'FontName',MSVFORMFONT>
% erf(x) = _{\fontsize{24}\int} (2/sqrt(\pi)) e^{-t^2} dt   %<'FontName',MSVFORMFONT>
%         0                                                 %<'FontName',MSVFORMFONT>
%
% Der Zusammenhang zwischen der Normalverteilung und den Funktionen  {\fontname{Courier}erf(x)} 
% und  {\fontname{Courier}erfc(x) = 1 - erf(x)}  wird in folgendem Bild veranschaulicht:
%
a  = 3;
g  = 1.3;
d  = 0.01;
sigma = 1/sqrt(2);
x  = -a:d:+a;
y  = 0:d:g;
z  = g:d:a;
fh = fullscreen('erf');
patch([0 y g],[0 1/(sigma*sqrt(2*pi))*exp(-y.^2/(2*sigma^2)) 0],0.7*[1 1 1])
patch([g z a],[0 1/(sigma*sqrt(2*pi))*exp(-z.^2/(2*sigma^2)) 0],'r')
line(x,1/(sigma*sqrt(2*pi))*exp(-x.^2/(2*sigma^2)),'LineWidth',1.5)
title('Zusammenhang zwischen Gauss-Verteilung,  erf  und  erfc','FontSize',13)
text(g,-0.01,'x','FontSize',13,'HorizontalAlignment','center')
text(0.1,0.1,'Flche = erf(x)/2','FontSize',13)
text(g+0.2,0.1,'Flche = erfc(x)/2','FontSize',13,'Color','r')
xlabel('Rauschwert (\sigma = 0.7071)','FontSize',13)
%
% {\fontname{Courier}erf(x)}  und  {\fontname{Courier}erfc(x) = 1 - erf(x)}  sind Standardfunktionen in MATLAB:
%
help erf   % siehe Kommandofenster
help erfc  % siehe Kommandofenster
%
% Die Funktionen  {\fontname{Courier}erfspec}  und  {\fontname{Courier}erfcspec}  nehmen auch noch die Skalierung 
% auf den Mittelwert  {\fontname{Courier}1.0}  und die Standardabweichung  {\fontname{Courier}1/sqrt(2)}  vor:
%
help erfspec
help erfcspec
%%
% Der Zusammenhang zwischen der Normalverteilung und den Funktionen  {\fontname{Courier}erfspec(x,m,s)} 
% und  {\fontname{Courier}erfcspec(x,m,s)}  wird in folgendem Bild veranschaulicht:
%
m  = 5.3;           % Mittelwert der Gauss-Verteilung
sigma = 2.1;        % Standardabweichung der Gauaa-Verteilung
a  = [-2, +13];     % Grenzen der Darstellung
g  = 7.7;           % Argument von erfspec
d  = 0.01;
x  = -a:d:+a;
y  = a(1):d:g;
z  = g:d:a(2);
fh = fullscreen('erfspec');
patch([a(1) y g],[0 1/(sigma*sqrt(2*pi))*exp(-(y-m).^2/(2*sigma^2)) 0],0.7*[1 1 1])
patch([g z a(2)],[0 1/(sigma*sqrt(2*pi))*exp(-(z-m).^2/(2*sigma^2)) 0],'r')
line(x,1/(sigma*sqrt(2*pi))*exp(-x.^2/(2*sigma^2)),'LineWidth',1.5)
line([m m],[0 1/(sigma*sqrt(2*pi))],'LineStyle',':','Color','k')
title('Zusammenhang zwischen Gauss-Verteilung,  erfspec(x,m,\sigma)  und  erfcspec(x,m,\sigma)','FontSize',13)
text(m,-0.005,'m','FontSize',13,'HorizontalAlignment','center')
text(g,-0.005,'x','FontSize',13,'HorizontalAlignment','center')
text(m-2,0.1,'Flche = erfspec(x,m,\sigma)','FontSize',13)
text(g+1,0.1,'Flche = erfcspec(x,m,\sigma)','FontSize',13,'Color','r')
xlabel('Rauschwert (\sigma = 0.7071)','FontSize',13)
set(gca,'XLim',a)
%

% Fllt die Datenentscheidung nicht aufgrund des Signales sondern aufgrund 
% seiner Energie, so ist die Verteilung des Signalquadrates zu betrachten. 
% Die Verteilungsdichte des Quadrates ist die  \chi^2-Verteilung mit einem 
% Freiheitsgrad.  Sie lsst sich herleiten aus der Gauss-Verteilung durch 
% die Substitution  {\fontname{Courier}y = x^2} :
%
% Sei   {\fontname{Courier}v(y)}   die gesuchte Verteilungsdichte von   {\fontname{Courier}y = x^2} , dann muss gelten
%
% v(y) dy  =  2/sqrt(2*\pi) exp(-x^2/2) dx %<'FontName',MSVFORMFONT>
%
% Aus   {\fontname{Courier}dy = 2 x dx}   folgt   {\fontname{Courier}dx = dy / (2 x) = dy / (2 sqrt(y))}  und damit
%
% v(y) = 1/sqrt(2\piy) exp(-y/2) %<'FontName',MSVFORMFONT>
%
% Die Verteilungsfunktion ist dann
%
%                   y                                              %<'FontName',MSVFORMFONT>
% F(y) = 1/sqrt(2\pi) _{\fontsize{24}\int} 1/sqrt(t) e^{-t^2} dt   %<'FontName',MSVFORMFONT>
%                  -\infty                                         %<'FontName',MSVFORMFONT>
%
% Die Verteilungsdichte sowie die Verteilungsfunktion der Rauschenergie 
% sind in den folgenden beiden Bildern dargestellt:
%
a  = 5;
y  = 0:0.05:a;
fh1= fullscreen('Verteilungsdichte','w',0,[2 1; 1 1]);
plot(y,1./sqrt(2*pi*y).*exp(-y/2),'LineWidth',1.5)
title('\chi^2-Verteilung mit einem Freiheitsgrad','FontSize',13)
xlabel('Rauschenergie','FontSize',13)
d  = 0.0004; 
y  = d:d:a;
fh2= fullscreen('Verteilungfunktion','w',0,[2 1; 2 1]);
plot(y,d*cumsum(1./sqrt(2*pi*y).*exp(-y/2)),'LineWidth',1.5)
title('Verteilungsfunktion der \chi^2-Verteilung mit einem Freiheitsgrad','FontSize',13)
xlabel('Rauschenergie','FontSize',13)
%
% Auch hier wird zur Berechnung von Bitfehlerwahrscheinlichkeiten meist 
% die Funktion  {\fontname{Courier}1 - F(y)}  bentigt:
%
a  = 5;
d  = 0.05;
g  = 1.2;
y  = 0:d:a;
z  = g:d:a;
fh3= fullscreen('Verteilungsdichte','w',0,[2 1; 1 1]);
patch([g z a],[0 1./sqrt(2*pi*z).*exp(-z/2) 0],'r')
line(y,1./sqrt(2*pi*y).*exp(-y/2),'LineWidth',1.5)
title('\chi^2-Verteilung mit einem Freiheitsgrad','FontSize',13)
xlabel('Rauschenergie','FontSize',13)
d  = 0.0004; 
y  = d:d:a;
fh4= fullscreen('Verteilungfunktion','w',0,[2 1; 2 1]);
F  = 1-d*cumsum(1./sqrt(2*pi*y).*exp(-y/2));
plot(y,F,'LineWidth',1.5)
line(g,F(round(g/d)),'Marker','.','MarkerSize',20,'Color','r')
title('1 - Verteilungsfunktion der \chi^2-Verteilung mit einem Freiheitsgrad','FontSize',13)
xlabel('Rauschenergie','FontSize',13)
%