%
%
%9.3.2.  Basisbandbertragung%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%          
% Zunchst soll der einfache Fall der reellen 2-PCM im Basisband behandelt werden. 
% Folgendes liegt also vor:  
%
% 1.  Reeller Kanal
%
% 2.  Gauss-verteiltes Rauschen mit Standardabweichung  {\fontname{Courier}\sigma}
%
% 3.  Binres Signal  {\fontname{Courier}\pm1}  mit gleicher Wahrscheinlichkeit
%
% Zunchst sei die Situation anschaulich simuliert.  Gezeigt wird das Histogramm der 
% empfangenen Signale bei verschiedenen Verhltnissen  {\fontname{Courier}E_b/N_0}  (Dieses Verhltnis ist 
% der Parameter von  {\fontname{Courier}awgn\_vert}).
%
awgn_vert(50)  % nahezu Rausch-frei
%
awgn_vert(20)  % geringes Rauschen
%
awgn_vert(10)  % mittleres Rauschen, Trennung der Stufen noch gegeben
%
awgn_vert(5)   % starkes Rauschen
%
awgn_vert(2)   % Sehr starkes Rauschen
%
awgn_vert(0)   % Stufen schwach erkennbar
%
awgn_vert(-10) % Stufen nicht mehr erkennbar
%
% Angenommen, es wird das Signal  {\fontname{Courier}s}  gesendet, so ist die Wahrscheinlichkeitsdichte 
% am Empfangsort gegeben durch die Normalverteilung
%
% p(x) = (1/(\sigma*sqrt(2\pi))) * exp(-(x-s)^2/(2\sigma^2))   %<'FontName',MSVFORMFONT>
%
% Das folgende Bild zeigt dies fr   {\fontname{Courier}s = +1}   und   {\fontname{Courier}\sigma = 0.5} :
%
sigma = 0.5;
s = 1;
n = 400;
x = (s+4*sigma)*((1:2*n)/n - 1);
fh = fullscreen('Wahrscheinlichkeitsdichte');
line(x, (1/(sigma*sqrt(2*pi))) * exp(-(x-s).^2/(2*sigma^2)),'LineWidth',1.5,'Color','b')
axis([(s+4*sigma)*[-1 +1]  1.1*get(gca,'YLim')])
%%  Bild stehen lassen!
%
% Im Falle von   {\fontname{Courier}s = -1}   ergibt sich die selbe Verteilung symmetrisch zu Null:
%
s = -1; figure(fh);
line(x, (1/(sigma*sqrt(2*pi))) * exp(-(x-s).^2/(2*sigma^2)),'LineWidth',1.5,'Color','g')
%%  Bild stehen lassen!
%
% Wegen der in Punkt 3 geforderten gleichen Hufigkeit von   {\fontname{Courier}s = -1}   und   {\fontname{Courier}s = +1}   liegt die 
% optimale Entscheidungsschwelle des Empfngers bei  {\fontname{Courier}0}.  Der Datenentscheider wird also jeden 
% Wert  {\fontname{Courier}> 0}  als   {\fontname{Courier}s = +1}   interpretieren und als   {\fontname{Courier}s = -1}   sonst.  Das fhrt im Falle der 
% berlappung der beiden Wahrscheinlichkeitsdichten bisweilen zu Fehlentscheidungen, nmlich 
% dann, wenn   {\fontname{Courier}s = +1 (-1)}   gesendet wurde, das Rauschen aber zu negativem (positivem) 
% Empfangswert fhrt.  Sind die Verteilungen bekannt, so kann die Wahrscheinlichkeit der 
% Fehlentscheidung berechnet werden.  Wir wollen dies fr den vorliegenden Fall des Gauss-
% Rauschens tun.
%
% Die Fehlerwahrscheinlichkeit ergibt sich aus der berlappungsflche wie im vorigen Abschnitt 
% behandelt:
%
figure(fh);
patch([x(1:n),0],[(1/(sigma*sqrt(2*pi)))*exp(-(x(1:n)-1).^2/(2*sigma^2)),0],'b')
patch([0,x(n+1:2*n)],[0,(1/(sigma*sqrt(2*pi)))*exp(-(x(n+1:2*n)+1).^2/(2*sigma^2))],'g')
%
% In diesem Fall sind die Schwelle  {\fontname{Courier}x = 0}  und der Mittelwert  {\fontname{Courier}m = +1 (-1)} .  Damit ergibt sich die 
% Bitfehlerwahrscheinlichkeit in Abhngigkeit von der Standardabweichung des Rauschens 
% zu  {\fontname{Courier}erfspec(0,1,\sigma)} bzw.  {\fontname{Courier}erfcspec(0,-1,\sigma)} .  Das folgende Skript stellt den Verlauf dar.  
% Dieser Verlauf gilt dann auch fr beliebige Sequenzen von  {\fontname{Courier}-1}  und  {\fontname{Courier}+1} .
%
n = 400;
sigma = (0:2*n)/n;
for k=1:length(sigma)  p(k) = erfspec(0,1,sigma(k)); end
fh = fullscreen('Bitfehlerwahrscheinlichkeit');
line(sigma,p,'LineWidth',1.5)
set(gca,'FontSize',13)
title('Bitfehlerwahrscheinlichkeit','FontSize',13)
xlabel('Standardabweichung des Rauschens (Signal {-1, +1})','FontSize',13)
ylabel('Bitfehlerwahrscheinlichkeit','FontSize',13)
grid on
%
% Diese Darstellung ist in der vorliegenden linearen Skalierung wenig sinnvoll, da der 
% interessante Fall kleiner Fehlerwahrscheinlichkeit nicht gut aufgelst wird. 
%
% berdies ist das Argument  {\fontname{Courier}\sigma}  unblich.  Man betrachtet vielmehr das Verhltnis 
% der Energien von Signal und Rauschen  {\fontname{Courier}SNR} .  Wie immer in diesem Skript ist die 
% Leistung gleich dem Quadrat der Signalamplitude.  Fr den Fall elektrischer Signale ist 
% also der Widerstand  {\fontname{Courier}R = 1 \Omega}  zu setzen:
%
% Die Signalenergie in einem Schritt ist             E_b = s^2                  %<'FontName',MSVFORMFONT>
% Die Rauschenergie in einem Schritt ist im Mittel    N = \sigma^2              %<'FontName',MSVFORMFONT>
% Das Signal/Rauschverhltnis ist                   SNR = E_b/N = (s/\sigma)^2  %<'FontName',MSVFORMFONT>
% also mit  s = \pm1                                    \sigma = sqrt(1/SNR)    %<'FontName',MSVFORMFONT>
%
% Besser ist die Darstellung  {\fontname{Courier}log(Fehlerwahrscheinlichkeit)}  ber dem  {\fontname{Courier}SNR}  in  {\fontname{Courier}dB}:
%
snrdB = -10:10;
sigma = 1./sqrt(10.^(snrdB/10));
fh = fullscreen('Bitfehlerwahrscheinlichkeit')
line(snrdB,(1/2)*erfc(1./(sqrt(2)*sigma)),'LineWidth',1.5)
set(gca,'YScale','log','FontSize',13);
grid on
title('Bitfehlerwahrscheinlichkeit fr den symmetrischen reellen Kanal','FontSize',13)
xlabel('SNR in dB','FontSize',13)
ylabel('Bitfehlerwahrscheinlichkeit','FontSize',13)
%% Bild stehen lassen!
%
% Die Asymptote liegt bei der Bitfehlerwahrscheinlichkeit  {\fontname{Courier}0.5} :
%
figure(fh)
line(get(gca,'XLim'),0.5*[1 1],'LineWidth',1.5,'Color','r')
%%  Bild stehen lassen!
%
% blicherweise wird in dieser Darstellung nicht das  {\fontname{Courier}SNR}  als Abszisse verwendet sondern 
% die Grsse  {\fontname{Courier}E_b/N_0} .    {\fontname{Courier}E_b}  ist die Energie, die zur bertragung eines Informationsbits zur 
% Verfgung steht, und  {\fontname{Courier}N_0}  ist die Rauschleistung pro Hertz Bandbreite.  Im Falle der Matched Filter 
% gilt  {\fontname{Courier}E_b/N_0 = SNR}.  Wir nehmen durchweg diesen Fall an und ersetzen deshalb  {\fontname{Courier}SNR}  durch  {\fontname{Courier}E_b/N_0} .
% Damit ergibt sich
%
%       W(Bitfehler) = 0.5 * erfc(\sigma_0/\sigma * s)   %<'FontName',MSVFORMFONT>
%
% Hierin sind :  
%
%       \sigma_0 = 1/sqrt(2)                 Standardabweichung, auf die erfc normiert ist  %<'FontName',MSVFORMFONT>
%        \sigma = sqrt(1/SNR) = sqrt(N_0/E_b) die aktuelle Standardabweichung               %<'FontName',MSVFORMFONT>
%        s = -1.0                      der Signalwert                                       %<'FontName',MSVFORMFONT>
%
% Diese Werte eingesetzt liefern endgltig
% 
%       W(Bitfehler) = 0.5 * erfc(sqrt((E_b/N_0)/2))   %<'FontName',MSVFORMFONT>
%
% Wir ndern im Diagramm entsprechend  {\fontname{Courier}SNR}  in  {\fontname{Courier}E_b/N_0} : 
%
figure(fh)
xlabel('E_b/N_0 in dB','FontSize',13)
%% Bild stehen lassen!
%
% Werden wie bei ASK anstelle der bipoaren Signalwerte  {\fontname{Courier}-1, +1}  die unipolaren Werte  {\fontname{Courier}0, +1}  
% verwendet, so haben diese nur noch den halben Abstand.  Das fhrt zu einem Faktor  {\fontname{Courier}1/2}  
% im Argument der  {\fontname{Courier}erfc}-Funktion.  Andererseits wird nur bei der Aussendung von  {\fontname{Courier}s = 1}  
% Energie bentigt, so dass unter der Annahme gleicher Hufigkeit der Symbole  {\fontname{Courier}0}  und  {\fontname{Courier}1}  
% hierfr gegenber dem bipolaren Fall die doppelte Energie bei der Aussendung einer  {\fontname{Courier}1} 
% zur Verfgung steht.  In der Formel geht diese jedoch nur unter der Wurzel ein, so dass 
% insgesamt fr den unipolaren Fall im Basisband verbleibt:
%
%       W(Bitfehler) = 0.5 * erfc(sqrt((E_b/N_0)/4))   %<'FontName',MSVFORMFONT>
%
figure(fh)
line(snrdB,(1/2)*erfc(1./(2*sigma)),'Color','g','LineWidth',1.5)
title('Bitfehlerwahrscheinlichkeit fr reellen Kanal','FontSize',13)
legend('bipolar','Grenze 0.5','unipolar',3)
%
%
%% bung 9.3.1   Im Basisband soll eine binre, unipolare bertragung mit den 
%% Niveaus  {\fontname{Courier}0.0 V}  bzw.  {\fontname{Courier}5.0 V}  durchgefhrt werden mit einer maximalen Bitfehlerrate 
%% von  {\fontname{Courier}10^{-6}}.  Geben Sie die maximal zulssige Standardabweichung des Rauschens an.
%