%
%
%9.3.3.  PSK und DSB %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Im vorangegangenen Abschnitt wurde die bertragung im Basisband behandelt.  Jetzt folgt 
% die Betrachtung der Bitfehlerwahrscheinlichkeit fr den Fall, dass sowohl  {\fontname{Courier}E_b}  wie auch  {\fontname{Courier}N_0}  
% im  {\fontname{Courier}HF}-Band gemessen werden. 
%
%
% \bf2-PSK
%
% Bei der Demodulation von 2-PSK (BPSK) wird nur der Realteil des komplexen Signals 
% ausgewertet.  Dadurch geht nur die Hlfte der Leistung des  {\fontname{Courier}HF}-Rauschens in das 
% Basisband-Signal ein:
%
%       SNR(NF) = 2*SNR(HF)   %<'FontName',MSVFORMFONT>
%
% Wir interpretieren das Resultat wie folgt:
% Gegeben sei ein Kanal mit weissem Gauss-Rauschen.  Dann ist das  {\fontname{Courier}SNR}  um den Faktor  {\fontname{Courier}2}  
% besser, wenn PSK benutzt wird anstelle direkter bertragung im Basisband.  Die Modulation 
% ermglicht also nicht nur die Ausnutzung eines Kanals im Frequenzmultiplex, sie verbessert 
% auch das  {\fontname{Courier}SNR}  bei gleicher Sendeleistung.
%
% Das folgende Bild zeigt ein mehrfach wiederholtes Symbol mit Rauschen im Signalraum:
%
complex_noise
%
% In diesem Fall wurden Real- und Imaginrteil unabhngig durch normalverteilte 
% Zufallszahlen erzeugt.  Das Bild ist normiert auf die mittlere Rauschenergie pro 
% Punkt = 1.0 .  Diese Energie setzt sich additiv aus den im Mittel gleichen Energien 
% von Real- und Imaginrteil zusammen.  Bei diesen ist also   {\fontname{Courier}\sigma^2 = 1/2} , 
% also   {\fontname{Courier}\sigma = 1/sqrt(2)} . 
%
% Fr den blichen antipodalen Fall der  BPSK  erhlt man aus den berlegungen des 
% vorangegangenen Abschnitts durch Halbierung des Rauschanteils:
%
%       W(Bitfehler) = 0.5 * erfc(sqrt(E_b/N_0))   %<'FontName',MSVFORMFONT>
%
% Das folgende Bild vergleicht  2-PSK (BPSK)  mit der im vorigen Abschnitt behandelten 
% unipolaren und bipolaren Basisbandbertragung.  Zustzlich ist die Bitfehlerwahr-
% scheinlichkeit fr  PSK  mit  {\fontname{Courier}m = 4}  Stufen (sog. {\fontname{Courier}4-PSK}  oder  {\fontname{Courier}QPSK}) 
% eingetragen.  Dies ist allerdings eine Approximation, die bei grossen Bitfehlerraten 
% schlecht ist (sie geht ber  {\fontname{Courier}BER = 0.5}):
%
perr_psk([1 1 1 1 0 0])
%
% Bei  BPSK  und  QPSK  wurde hier kohrente Demodulation angenommen, d.h. die korrekte 
% Phasenlage muss beim Empfnger bekannt sein.  Meistens kann die Phasenlage nur 
% modulo \pi  rekonstruiert werden.  Dann ist eine Phasendifferenzkodierung erforderlich. 
% Eine logische  {\fontname{Courier}0}  wird durch die selbe Phase wie im letzten Schritt und eine logische  {\fontname{Courier}1}  
% durch Phasenwechsel kodiert.  In diesem Fall bewirkt ein fehlerhaft entschiedenes 
% Bit, dass auch das nchste Bit falsch ist.  Die Bitfehlerrate ist dann also doppelt 
% so gross wie im letzten Bild.  Die Bitfehlerrate bei Differenzkodierung ist fr  BPSK  
% und  QPSK  (sog. DPSK bzw. DQPSK)  im folgenden Bild zustzlich eingetragen:
%
perr_psk
%
% Inkohrente Demodulation liefert deutlich schlechtere Ergebnisse.
%
%
%
% \bfDSB
%
% Bei der Demodulation der Zweiseitenbandmodulation sind die beiden Nutzseitenbnder 
% kohrent, die Rauschanteile aber nicht.  Das fhrt zu dem selben Ergebnis wie bei 
% BPSK, wenn mit zwei antipodalen Stufen gearbeitet wird:
%
%       W(Bitfehler) = 0.5 * erfc(sqrt(E_b/N_0))   %<'FontName',MSVFORMFONT>
%
% Verwunderlich ist das nicht, denn digitale antipodale  PSK  und  DSB  schalten beide 
% um zwischen den selben Symbolen.  Entsprechend sind auch  4-PSK  und  4-QAM 
% quivalent.  Bei   {\fontname{Courier}m > 4}  findet sich jedoch keine solche Entsprechung.
%