%
%
%14.1.1  FSK %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-12,'Color',MSVTITLCOLOR>
%
%
%
% Im Fall der digitalen bertragung sollten die Reprsentationen der Symbole optimal 
% unterscheidbar sein.  Werden im Falle von FSK  {\fontname{Courier}k}  unterschiedliche Frequenzen 
% benutzt, so sollte muss der Empfnger in der zur Verfgung stehenden Zeit, nmlich in einem 
% Schritt zwische den Frequenzen entscheiden knnen.  Insbesondere sollte auch unter 
% Rauschen ein gegebenes Signal nicht die Wahrscheinlichkeiten zur Entscheidung fr die 
% brigen Frequenzen beeinflussen.  Im Falle eines Korrelationsempfngers mssen also 
% die genau einen Schritt langen Signale der  {\fontname{Courier}k}  Frequenzen alle gegeneinander 
% orthogonal sein.  Wir bestimmen die Korrelation zunchst symbolisch fr beliebige 
% Frequenzen  f1  und  f2  und Schrittlnge  T  als bestimmtes Integral ber die 
% Sinus-Signale:
%
clear t f1 f2 T
syms  t f1 f2 T
c0 = int(sin(2*pi*f1*t)^2,t,0,T);
c  = int(sin(2*pi*f1*t)*sin(2*pi*f2*t),t,0,T);
pretty(simplify(c))
%
% Als Beispiel nehmen wir
%
T  = 1;                       % Schrittlnge
f1 = 2;                       % eine der Frequenzen
z0 = eval(c0);                % Normierunsfaktor
for k=1:100  f2 = f1 + 0.05*k; f(k) = f2; z(k) = eval(c)/z0; end;
fh = fullscreen('Korrelation'); 
plot(f,z)
line([min(f) max(f)],[0 0],'Color',0.7*[1 1 1])
fsiz = 13;
title('Korrelation zweier Sinussignale der Frequenzen  f_1 = 2  und  f_2  in endlichem Zeitintervall  [0 1]','FontSize',fsiz)
xlabel('f_2','FontSize',fsiz)
%
% Die Korrelation hat offenbar genau dann eine Nullstelle, wenn die Schwingungen 
% innerhalb eines Schrittes sich um eine ganze Zahl von halben Schwingungen 
% unterscheiden.  Das folgende Bild stellt mehrere zueinander orthogonale 
% Schwingungen dar.
%
fullscreen('Orthogonalitt'); 
t = (0:399)/400; 
plot(t,[sin(2*pi*2.0*t); sin(2*pi*2.5*t); sin(2*pi*3.0*t); sin(2*pi*3.5*t)]')
axis([min(t) max(t) -1.2 +1.2])
title('orthogonale Schwingungen')
%
% Schrittlnge und Frequenzschritt mssen bei FSK also derartig gewhlt werden,
% dass jeweils eine ganze Zahl halber Schwingungen in einen Schritt passt.
% Insbesondere gibt es einen minimalen Frequenzschritt, bei dem der Unterschied 
% der beiden Frequenzen (2FSK) bzw. zweier benachbarter Frequenzen (mFSK) gerade 
% eine halbe Schwingung ausmacht.  Diese Einstellung wird  {\bfMinimum Shift Keying},
% {\bfMSK}  genannt.  Wir behandeln sie im folgenden Abschnitt.
%