function y = pddemod(x)
% y = pddemod(x)
% Demodulation der Pulsdauermodulation 
% Die Schrittweite wird automatisch ermittelt aus
% dem Abstand der beiden ersten steigenden Flanken.
% Wird y nicht zugewiesen, so gibt es eine Graphik.

dx = diff(x);                 % Flanken des Signals
sf = find(dx>0);              % Indices der steigenden Flanken
ff = find(dx<0);              % Indices der fallenden Flanken
if sf(1)<ff(1)                % fhrende Nullen fortwerfen
   x = x(sf(1)+1:length(x));
   sf = find(dx>0);
   ff = find(dx<0);
end

if length(sf)<2  error('zu wenig Flanken im Signal'); end

sr = sf(2) - sf(1);           % Schritt in Samples

ls = length(sf);              % Anzahl der Zeichen
k  = 1:ls;                    % Indexbereich der Zeichen
y  = 2*(ff(k)-sf(k)-2)/sr - 1;% Demodulation

if nargout>0 break; end       % keine Graphik bei Zuweisung

t  = 1:0.1:length(y);
yy = interp1(1:length(y),y,t,'spline');
fh = fullscreen('Pulsdauer-Demodulation');
plot(t,yy);
line([1,ls-1],[0,0],'color',0.7*[1 1 1]);
axis([1,ls-1,-1,1]);
