function plotber(ber,txt)
% plotber(ber,txt)
% Plot fr Bitfehlerrate ber Eb/N0
% ber(:,1)  :  Eb/N0-Werte
% ber(:,2)  :  zugehrige Bitfehlerrate
% ber(:,3)  :  Anzahl der Bitfehler (optional)
% txt       :  Textstring, der in das Diagramm eingefgt wird (max. 32 Zeichen).
%
% Falls die Anzahl der Bitfehler angegeben ist, die bei einer 
% Messung oder Simulation zu dem betreffenden Punkt fhren, 
% so wird auch ein Fehlerbalken gezeichnet.

if nargin<2  txt = ''; end
fsiz = 13;                       % FontSize
[m,n] = size(ber);
fh = fullscreen('BER');
x  = ber(find(ber(:,2)~=0),:);   % fehlerfreie Zeilen streichen
if n==3
   errorbar(x(:,1)',x(:,2)',(x(:,2)./sqrt(x(:,3)))')
end
line(x(:,1)',x(:,2)','Marker','.')
axis([min(ber(:,1)) max(ber(:,1)) 10^floor(log10(min(x(:,2)))) 1])
set(gca,'YScale','log')
grid on
title(txt,'FontSize',fsiz)
xlabel('E_b/N_0  [dB]','FontSize',fsiz)
ylabel('Bitfehlerrate','FontSize',fsiz)