function qamgraph
% Diagramm zur Erluterung der Quadratur-Amplitudenmodulation

% K. v. d. Heide,  e-mail:  v.d.heide@on-line.de
%
a  = 0.8;
b  = 0.5;
fh = fullscreen('QAM');
t  = (0:512)/256;
p  = 2*pi*t;
c  = cos(p);
s  = sin(p);
line(t,a*c,'Color','b','Linewidth',2)
line(t,b*s,'Color','r','Linewidth',2)
line(t,a*c+b*s,'Color',0.7*[1 1 1],'Linewidth',2)
legend('Cos-Anteil','Sin-Anteil','Summe',0)
line([0 2],[0 0],'Color',0.8*[1 1 1],'LineStyle',':')
line([0 0; 1 1; 2 2; 3 3; 4 4]'/2,a*[0 1; 0 -1; 0 1; 0 -1; 0 1]','Color','b')
line([0 1 2 3 4]/2,a*[1 -1 1 -1 1],'Color','b','LineStyle','none','Marker','.','MarkerSize',40)
line(1/4+[0 0; 1 1; 2 2; 3 3]'/2,b*[0 1; 0 -1; 0 1; 0 -1]','Color','r')
line(1/4+[0 1 2 3]/2,b*[1 -1 1 -1],'Color','r','LineStyle','none','Marker','.','MarkerSize',40)
line([0 1 2 3 4 5 6 7 8]/4,zeros(9),'Color','k','LineStyle','none','Marker','o','MarkerSize',10,'Linewidth',2)
axis off
