function y = rekfalt2(g,x,ende)
% y = rekfalt2(g,x,ende)
% Rekursive Faltung des binren Informationsvektors x mit den 
% in den Zeilen von g vorliegenden Mustern im GF(2).
% g(1,:) enthlt das Polynom fr die Rckkopplung.
% Fr den Output wird anstelle von g(1,:)  g = [1 0 0 0 ...] 
% genommen (systematischer Code).
% Mit ende > 0 wird eine Trellis-Terminierung durchgefhrt.

if nargin < 3  ende = 0; end; % Default: ohne Trellis-Terminierung
if nargin < 2  x = randb(64); end
[n,cl] = size(g);             % Coderate 1/n
m  = cl - 1;                  % Constraint length cl
sr = zeros(1,m);              % Schieberegister-Normierung

for i = 1:length(x)            
   s = [mod(g(1,:)*[x(i) sr]',2),sr];
   h = mod(g*s',2);           % Faltung
   h(1) = x(i);
   sr = s(1:m);
   y(:,i) = h;
end;

if ende > 0                   % Trellis-Terminierung
   for i = i+1:i+m
      a = mod(g(1,:)*[0 sr]',2);
      s = [mod(g(1,:)*[a sr]',2),sr];
      h = mod(g*s',2);
      h(1) = a;
      sr = s(1:m);
      y(:,i) = h;
   end;
end;
      