function zweiweg
% zweiweg stellt den Frequenzbereich ber der Wegdifferenz dar:
% Minima gibt es, wenn die Wegdifferenz ein ungerades Vielfaches 
% der halben Wellenlnge  lambda/2 = c/(2*f) ist.

% K. v. d. Heide,  e-mail:  v.d.heide@on-line.de

fsz= 13;                      % FontSize
n  = 1000;                    % Anzahl der Plotpunkte 
c  = 299792458;               % Lichtgeschwindigkeit in m/s
x  = 150*(1:n)/n;             % Wegdifferenzbereich  in m 
y  = 0.000001*c./x;           % Frequenzen fr x = lambda/2 in MHz
h1 = fullscreen('Zweiwege');
plot(x,(1/2:1:30)'*y); 
axis([0,150,0,30]);
title('Minima bei Zweiwegeausbreitung','FontSize',fsz);
xlabel('Wegdifferenz  [m]','FontSize',fsz);
ylabel('Frequenz  [MHz]','FontSize',fsz);
